#define FFI_LIB "libGL.so.1"
#define FFI_SCOPE "gl"

typedef unsigned int    GLenum;
typedef unsigned char   GLboolean;
typedef unsigned int    GLbitfield;
typedef void            GLvoid;
typedef signed char     GLbyte;         /* 1-byte signed */
typedef short           GLshort;        /* 2-byte signed */
typedef int             GLint;          /* 4-byte signed */
typedef unsigned char   GLubyte;        /* 1-byte unsigned */
typedef unsigned short  GLushort;       /* 2-byte unsigned */
typedef unsigned int    GLuint;         /* 4-byte unsigned */
typedef int             GLsizei;        /* 4-byte signed */
typedef float           GLfloat;        /* single precision float */
typedef float           GLclampf;       /* single precision float in [0,1] */
typedef double          GLdouble;       /* double precision float */
typedef double          GLclampd;       /* double precision float in [0,1] */

typedef char GLchar;

typedef long GLsizeiptr;
typedef long GLintptr;
typedef long GLsync;

typedef long GLeglImageOES;
typedef void *GLeglClientBufferEXT;

typedef uint64_t GLuint64;
typedef int64_t GLint64;

typedef uint64_t GLuint64EXT;
typedef int64_t GLint64EXT;

typedef GLint GLfixed;

typedef unsigned short GLhalfNV;

typedef unsigned int GLhandleARB;
typedef char GLcharARB;

typedef long GLintptrARB;
typedef long GLsizeiptrARB;

typedef int32_t GLclampx;

typedef void (*__GLXextFuncPtr)(void);

typedef void ( *GLDEBUGPROC)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);
typedef void ( *GLDEBUGPROCARB)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);
typedef void ( *GLDEBUGPROCKHR)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);

typedef void ( *GLDEBUGPROCAMD)(GLuint id,GLenum category,GLenum severity,GLsizei length,const GLchar *message,void *userParam);
typedef unsigned short GLhalfNV;
typedef GLintptr GLvdpauSurfaceNV;

__GLXextFuncPtr glXGetProcAddress (const GLubyte *procName);
// GENERATED DATA START

typedef void (* FUNC_glAccum) (GLenum, GLfloat);
typedef void (* FUNC_glAccumxOES) (GLenum, GLfixed);
typedef void (* FUNC_glActiveProgramEXT) (GLuint);
typedef void (* FUNC_glActiveShaderProgram) (GLuint, GLuint);
typedef void (* FUNC_glActiveShaderProgramEXT) (GLuint, GLuint);
typedef void (* FUNC_glActiveStencilFaceEXT) (GLenum);
typedef void (* FUNC_glActiveTexture) (GLenum);
typedef void (* FUNC_glActiveTextureARB) (GLenum);
typedef void (* FUNC_glActiveVaryingNV) (GLuint, const GLchar *);
typedef void (* FUNC_glAlphaFragmentOp1ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glAlphaFragmentOp2ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glAlphaFragmentOp3ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glAlphaFunc) (GLenum, GLfloat);
typedef void (* FUNC_glAlphaFuncQCOM) (GLenum, GLclampf);
typedef void (* FUNC_glAlphaFuncx) (GLenum, GLfixed);
typedef void (* FUNC_glAlphaFuncxOES) (GLenum, GLfixed);
typedef void (* FUNC_glApplyFramebufferAttachmentCMAAINTEL) ();
typedef void (* FUNC_glApplyTextureEXT) (GLenum);
typedef GLboolean (* FUNC_glAreProgramsResidentNV) (GLsizei, const GLuint *, GLboolean *);
typedef GLboolean (* FUNC_glAreTexturesResident) (GLsizei, const GLuint *, GLboolean *);
typedef GLboolean (* FUNC_glAreTexturesResidentEXT) (GLsizei, const GLuint *, GLboolean *);
typedef void (* FUNC_glArrayElement) (GLint);
typedef void (* FUNC_glArrayElementEXT) (GLint);
typedef void (* FUNC_glArrayObjectATI) (GLenum, GLint, GLenum, GLsizei, GLuint, GLuint);
typedef void (* FUNC_glAsyncMarkerSGIX) (GLuint);
typedef void (* FUNC_glAttachObjectARB) (GLhandleARB, GLhandleARB);
typedef void (* FUNC_glAttachShader) (GLuint, GLuint);
typedef void (* FUNC_glBegin) (GLenum);
typedef void (* FUNC_glBeginConditionalRender) (GLuint, GLenum);
typedef void (* FUNC_glBeginConditionalRenderNV) (GLuint, GLenum);
typedef void (* FUNC_glBeginConditionalRenderNVX) (GLuint);
typedef void (* FUNC_glBeginFragmentShaderATI) ();
typedef void (* FUNC_glBeginOcclusionQueryNV) (GLuint);
typedef void (* FUNC_glBeginPerfMonitorAMD) (GLuint);
typedef void (* FUNC_glBeginPerfQueryINTEL) (GLuint);
typedef void (* FUNC_glBeginQuery) (GLenum, GLuint);
typedef void (* FUNC_glBeginQueryARB) (GLenum, GLuint);
typedef void (* FUNC_glBeginQueryEXT) (GLenum, GLuint);
typedef void (* FUNC_glBeginQueryIndexed) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glBeginTransformFeedback) (GLenum);
typedef void (* FUNC_glBeginTransformFeedbackEXT) (GLenum);
typedef void (* FUNC_glBeginTransformFeedbackNV) (GLenum);
typedef void (* FUNC_glBeginVertexShaderEXT) ();
typedef void (* FUNC_glBeginVideoCaptureNV) (GLuint);
typedef void (* FUNC_glBindAttribLocation) (GLuint, GLuint, const GLchar *);
typedef void (* FUNC_glBindAttribLocationARB) (GLhandleARB, GLuint, const GLcharARB *);
typedef void (* FUNC_glBindBuffer) (GLenum, GLuint);
typedef void (* FUNC_glBindBufferARB) (GLenum, GLuint);
typedef void (* FUNC_glBindBufferBase) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glBindBufferBaseEXT) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glBindBufferBaseNV) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glBindBufferOffsetEXT) (GLenum, GLuint, GLuint, GLintptr);
typedef void (* FUNC_glBindBufferOffsetNV) (GLenum, GLuint, GLuint, GLintptr);
typedef void (* FUNC_glBindBufferRange) (GLenum, GLuint, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glBindBufferRangeEXT) (GLenum, GLuint, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glBindBufferRangeNV) (GLenum, GLuint, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glBindBuffersBase) (GLenum, GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glBindBuffersRange) (GLenum, GLuint, GLsizei, const GLuint *, const GLintptr *, const GLsizeiptr *);
typedef void (* FUNC_glBindFragDataLocation) (GLuint, GLuint, const GLchar *);
typedef void (* FUNC_glBindFragDataLocationEXT) (GLuint, GLuint, const GLchar *);
typedef void (* FUNC_glBindFragDataLocationIndexed) (GLuint, GLuint, GLuint, const GLchar *);
typedef void (* FUNC_glBindFragDataLocationIndexedEXT) (GLuint, GLuint, GLuint, const GLchar *);
typedef void (* FUNC_glBindFragmentShaderATI) (GLuint);
typedef void (* FUNC_glBindFramebuffer) (GLenum, GLuint);
typedef void (* FUNC_glBindFramebufferEXT) (GLenum, GLuint);
typedef void (* FUNC_glBindFramebufferOES) (GLenum, GLuint);
typedef void (* FUNC_glBindImageTexture) (GLuint, GLuint, GLint, GLboolean, GLint, GLenum, GLenum);
typedef void (* FUNC_glBindImageTextureEXT) (GLuint, GLuint, GLint, GLboolean, GLint, GLenum, GLint);
typedef void (* FUNC_glBindImageTextures) (GLuint, GLsizei, const GLuint *);
typedef GLuint (* FUNC_glBindLightParameterEXT) (GLenum, GLenum);
typedef GLuint (* FUNC_glBindMaterialParameterEXT) (GLenum, GLenum);
typedef void (* FUNC_glBindMultiTextureEXT) (GLenum, GLenum, GLuint);
typedef GLuint (* FUNC_glBindParameterEXT) (GLenum);
typedef void (* FUNC_glBindProgramARB) (GLenum, GLuint);
typedef void (* FUNC_glBindProgramNV) (GLenum, GLuint);
typedef void (* FUNC_glBindProgramPipeline) (GLuint);
typedef void (* FUNC_glBindProgramPipelineEXT) (GLuint);
typedef void (* FUNC_glBindRenderbuffer) (GLenum, GLuint);
typedef void (* FUNC_glBindRenderbufferEXT) (GLenum, GLuint);
typedef void (* FUNC_glBindRenderbufferOES) (GLenum, GLuint);
typedef void (* FUNC_glBindSampler) (GLuint, GLuint);
typedef void (* FUNC_glBindSamplers) (GLuint, GLsizei, const GLuint *);
typedef GLuint (* FUNC_glBindTexGenParameterEXT) (GLenum, GLenum, GLenum);
typedef void (* FUNC_glBindTexture) (GLenum, GLuint);
typedef void (* FUNC_glBindTextureEXT) (GLenum, GLuint);
typedef void (* FUNC_glBindTextureUnit) (GLuint, GLuint);
typedef GLuint (* FUNC_glBindTextureUnitParameterEXT) (GLenum, GLenum);
typedef void (* FUNC_glBindTextures) (GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glBindTransformFeedback) (GLenum, GLuint);
typedef void (* FUNC_glBindTransformFeedbackNV) (GLenum, GLuint);
typedef void (* FUNC_glBindVertexArray) (GLuint);
typedef void (* FUNC_glBindVertexArrayAPPLE) (GLuint);
typedef void (* FUNC_glBindVertexArrayOES) (GLuint);
typedef void (* FUNC_glBindVertexBuffer) (GLuint, GLuint, GLintptr, GLsizei);
typedef void (* FUNC_glBindVertexBuffers) (GLuint, GLsizei, const GLuint *, const GLintptr *, const GLsizei *);
typedef void (* FUNC_glBindVertexShaderEXT) (GLuint);
typedef void (* FUNC_glBindVideoCaptureStreamBufferNV) (GLuint, GLuint, GLenum, GLintptrARB);
typedef void (* FUNC_glBindVideoCaptureStreamTextureNV) (GLuint, GLuint, GLenum, GLenum, GLuint);
typedef void (* FUNC_glBinormal3bEXT) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glBinormal3bvEXT) (const GLbyte *);
typedef void (* FUNC_glBinormal3dEXT) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glBinormal3dvEXT) (const GLdouble *);
typedef void (* FUNC_glBinormal3fEXT) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glBinormal3fvEXT) (const GLfloat *);
typedef void (* FUNC_glBinormal3iEXT) (GLint, GLint, GLint);
typedef void (* FUNC_glBinormal3ivEXT) (const GLint *);
typedef void (* FUNC_glBinormal3sEXT) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glBinormal3svEXT) (const GLshort *);
typedef void (* FUNC_glBinormalPointerEXT) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glBitmap) (GLsizei, GLsizei, GLfloat, GLfloat, GLfloat, GLfloat, const GLubyte *);
typedef void (* FUNC_glBitmapxOES) (GLsizei, GLsizei, GLfixed, GLfixed, GLfixed, GLfixed, const GLubyte *);
typedef void (* FUNC_glBlendBarrier) ();
typedef void (* FUNC_glBlendBarrierKHR) ();
typedef void (* FUNC_glBlendBarrierNV) ();
typedef void (* FUNC_glBlendColor) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glBlendColorEXT) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glBlendColorxOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glBlendEquation) (GLenum);
typedef void (* FUNC_glBlendEquationEXT) (GLenum);
typedef void (* FUNC_glBlendEquationIndexedAMD) (GLuint, GLenum);
typedef void (* FUNC_glBlendEquationOES) (GLenum);
typedef void (* FUNC_glBlendEquationSeparate) (GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateEXT) (GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateIndexedAMD) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateOES) (GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparatei) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateiARB) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateiEXT) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendEquationSeparateiOES) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendEquationi) (GLuint, GLenum);
typedef void (* FUNC_glBlendEquationiARB) (GLuint, GLenum);
typedef void (* FUNC_glBlendEquationiEXT) (GLuint, GLenum);
typedef void (* FUNC_glBlendEquationiOES) (GLuint, GLenum);
typedef void (* FUNC_glBlendFunc) (GLenum, GLenum);
typedef void (* FUNC_glBlendFuncIndexedAMD) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparate) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateEXT) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateINGR) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateIndexedAMD) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateOES) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparatei) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateiARB) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateiEXT) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFuncSeparateiOES) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glBlendFunci) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendFunciARB) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendFunciEXT) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendFunciOES) (GLuint, GLenum, GLenum);
typedef void (* FUNC_glBlendParameteriNV) (GLenum, GLint);
typedef void (* FUNC_glBlitFramebuffer) (GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
typedef void (* FUNC_glBlitFramebufferANGLE) (GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
typedef void (* FUNC_glBlitFramebufferEXT) (GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
typedef void (* FUNC_glBlitFramebufferNV) (GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
typedef void (* FUNC_glBlitNamedFramebuffer) (GLuint, GLuint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
typedef void (* FUNC_glBufferAddressRangeNV) (GLenum, GLuint, GLuint64EXT, GLsizeiptr);
typedef void (* FUNC_glBufferData) (GLenum, GLsizeiptr, const void *, GLenum);
typedef void (* FUNC_glBufferDataARB) (GLenum, GLsizeiptrARB, const void *, GLenum);
typedef void (* FUNC_glBufferPageCommitmentARB) (GLenum, GLintptr, GLsizeiptr, GLboolean);
typedef void (* FUNC_glBufferParameteriAPPLE) (GLenum, GLenum, GLint);
typedef void (* FUNC_glBufferStorage) (GLenum, GLsizeiptr, const void *, GLbitfield);
typedef void (* FUNC_glBufferStorageEXT) (GLenum, GLsizeiptr, const void *, GLbitfield);
typedef void (* FUNC_glBufferSubData) (GLenum, GLintptr, GLsizeiptr, const void *);
typedef void (* FUNC_glBufferSubDataARB) (GLenum, GLintptrARB, GLsizeiptrARB, const void *);
typedef void (* FUNC_glCallCommandListNV) (GLuint);
typedef void (* FUNC_glCallList) (GLuint);
typedef void (* FUNC_glCallLists) (GLsizei, GLenum, const void *);
typedef GLenum (* FUNC_glCheckFramebufferStatus) (GLenum);
typedef GLenum (* FUNC_glCheckFramebufferStatusEXT) (GLenum);
typedef GLenum (* FUNC_glCheckFramebufferStatusOES) (GLenum);
typedef GLenum (* FUNC_glCheckNamedFramebufferStatus) (GLuint, GLenum);
typedef GLenum (* FUNC_glCheckNamedFramebufferStatusEXT) (GLuint, GLenum);
typedef void (* FUNC_glClampColor) (GLenum, GLenum);
typedef void (* FUNC_glClampColorARB) (GLenum, GLenum);
typedef void (* FUNC_glClear) (GLbitfield);
typedef void (* FUNC_glClearAccum) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glClearAccumxOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glClearBufferData) (GLenum, GLenum, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearBufferSubData) (GLenum, GLenum, GLintptr, GLsizeiptr, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearBufferfi) (GLenum, GLint, GLfloat, GLint);
typedef void (* FUNC_glClearBufferfv) (GLenum, GLint, const GLfloat *);
typedef void (* FUNC_glClearBufferiv) (GLenum, GLint, const GLint *);
typedef void (* FUNC_glClearBufferuiv) (GLenum, GLint, const GLuint *);
typedef void (* FUNC_glClearColor) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glClearColorIiEXT) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glClearColorIuiEXT) (GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glClearColorx) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glClearColorxOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glClearDepth) (GLdouble);
typedef void (* FUNC_glClearDepthdNV) (GLdouble);
typedef void (* FUNC_glClearDepthf) (GLfloat);
typedef void (* FUNC_glClearDepthfOES) (GLclampf);
typedef void (* FUNC_glClearDepthx) (GLfixed);
typedef void (* FUNC_glClearDepthxOES) (GLfixed);
typedef void (* FUNC_glClearIndex) (GLfloat);
typedef void (* FUNC_glClearNamedBufferData) (GLuint, GLenum, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearNamedBufferDataEXT) (GLuint, GLenum, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearNamedBufferSubData) (GLuint, GLenum, GLintptr, GLsizeiptr, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearNamedBufferSubDataEXT) (GLuint, GLenum, GLsizeiptr, GLsizeiptr, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearNamedFramebufferfi) (GLuint, GLenum, GLint, GLfloat, GLint);
typedef void (* FUNC_glClearNamedFramebufferfv) (GLuint, GLenum, GLint, const GLfloat *);
typedef void (* FUNC_glClearNamedFramebufferiv) (GLuint, GLenum, GLint, const GLint *);
typedef void (* FUNC_glClearNamedFramebufferuiv) (GLuint, GLenum, GLint, const GLuint *);
typedef void (* FUNC_glClearPixelLocalStorageuiEXT) (GLsizei, GLsizei, const GLuint *);
typedef void (* FUNC_glClearStencil) (GLint);
typedef void (* FUNC_glClearTexImage) (GLuint, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearTexImageEXT) (GLuint, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearTexSubImage) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glClearTexSubImageEXT) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glClientActiveTexture) (GLenum);
typedef void (* FUNC_glClientActiveTextureARB) (GLenum);
typedef void (* FUNC_glClientActiveVertexStreamATI) (GLenum);
typedef void (* FUNC_glClientAttribDefaultEXT) (GLbitfield);
typedef GLenum (* FUNC_glClientWaitSync) (GLsync, GLbitfield, GLuint64);
typedef GLenum (* FUNC_glClientWaitSyncAPPLE) (GLsync, GLbitfield, GLuint64);
typedef void (* FUNC_glClipControl) (GLenum, GLenum);
typedef void (* FUNC_glClipPlane) (GLenum, const GLdouble *);
typedef void (* FUNC_glClipPlanef) (GLenum, const GLfloat *);
typedef void (* FUNC_glClipPlanefIMG) (GLenum, const GLfloat *);
typedef void (* FUNC_glClipPlanefOES) (GLenum, const GLfloat *);
typedef void (* FUNC_glClipPlanex) (GLenum, const GLfixed *);
typedef void (* FUNC_glClipPlanexIMG) (GLenum, const GLfixed *);
typedef void (* FUNC_glClipPlanexOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glColor3b) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glColor3bv) (const GLbyte *);
typedef void (* FUNC_glColor3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glColor3dv) (const GLdouble *);
typedef void (* FUNC_glColor3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glColor3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glColor3fVertex3fvSUN) (const GLfloat *, const GLfloat *);
typedef void (* FUNC_glColor3fv) (const GLfloat *);
typedef void (* FUNC_glColor3hNV) (GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glColor3hvNV) (const GLhalfNV *);
typedef void (* FUNC_glColor3i) (GLint, GLint, GLint);
typedef void (* FUNC_glColor3iv) (const GLint *);
typedef void (* FUNC_glColor3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glColor3sv) (const GLshort *);
typedef void (* FUNC_glColor3ub) (GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glColor3ubv) (const GLubyte *);
typedef void (* FUNC_glColor3ui) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glColor3uiv) (const GLuint *);
typedef void (* FUNC_glColor3us) (GLushort, GLushort, GLushort);
typedef void (* FUNC_glColor3usv) (const GLushort *);
typedef void (* FUNC_glColor3xOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glColor3xvOES) (const GLfixed *);
typedef void (* FUNC_glColor4b) (GLbyte, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glColor4bv) (const GLbyte *);
typedef void (* FUNC_glColor4d) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glColor4dv) (const GLdouble *);
typedef void (* FUNC_glColor4f) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glColor4fNormal3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glColor4fNormal3fVertex3fvSUN) (const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glColor4fv) (const GLfloat *);
typedef void (* FUNC_glColor4hNV) (GLhalfNV, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glColor4hvNV) (const GLhalfNV *);
typedef void (* FUNC_glColor4i) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glColor4iv) (const GLint *);
typedef void (* FUNC_glColor4s) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glColor4sv) (const GLshort *);
typedef void (* FUNC_glColor4ub) (GLubyte, GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glColor4ubVertex2fSUN) (GLubyte, GLubyte, GLubyte, GLubyte, GLfloat, GLfloat);
typedef void (* FUNC_glColor4ubVertex2fvSUN) (const GLubyte *, const GLfloat *);
typedef void (* FUNC_glColor4ubVertex3fSUN) (GLubyte, GLubyte, GLubyte, GLubyte, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glColor4ubVertex3fvSUN) (const GLubyte *, const GLfloat *);
typedef void (* FUNC_glColor4ubv) (const GLubyte *);
typedef void (* FUNC_glColor4ui) (GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glColor4uiv) (const GLuint *);
typedef void (* FUNC_glColor4us) (GLushort, GLushort, GLushort, GLushort);
typedef void (* FUNC_glColor4usv) (const GLushort *);
typedef void (* FUNC_glColor4x) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glColor4xOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glColor4xvOES) (const GLfixed *);
typedef void (* FUNC_glColorFormatNV) (GLint, GLenum, GLsizei);
typedef void (* FUNC_glColorFragmentOp1ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glColorFragmentOp2ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glColorFragmentOp3ATI) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glColorMask) (GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glColorMaskIndexedEXT) (GLuint, GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glColorMaski) (GLuint, GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glColorMaskiEXT) (GLuint, GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glColorMaskiOES) (GLuint, GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glColorMaterial) (GLenum, GLenum);
typedef void (* FUNC_glColorP3ui) (GLenum, GLuint);
typedef void (* FUNC_glColorP3uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glColorP4ui) (GLenum, GLuint);
typedef void (* FUNC_glColorP4uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glColorPointer) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glColorPointerEXT) (GLint, GLenum, GLsizei, GLsizei, const void *);
typedef void (* FUNC_glColorPointerListIBM) (GLint, GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glColorPointervINTEL) (GLint, GLenum, const void **);
typedef void (* FUNC_glColorSubTable) (GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glColorSubTableEXT) (GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glColorTable) (GLenum, GLenum, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glColorTableEXT) (GLenum, GLenum, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glColorTableParameterfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glColorTableParameterfvSGI) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glColorTableParameteriv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glColorTableParameterivSGI) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glColorTableSGI) (GLenum, GLenum, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glCombinerInputNV) (GLenum, GLenum, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glCombinerOutputNV) (GLenum, GLenum, GLenum, GLenum, GLenum, GLenum, GLenum, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glCombinerParameterfNV) (GLenum, GLfloat);
typedef void (* FUNC_glCombinerParameterfvNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glCombinerParameteriNV) (GLenum, GLint);
typedef void (* FUNC_glCombinerParameterivNV) (GLenum, const GLint *);
typedef void (* FUNC_glCombinerStageParameterfvNV) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glCommandListSegmentsNV) (GLuint, GLuint);
typedef void (* FUNC_glCompileCommandListNV) (GLuint);
typedef void (* FUNC_glCompileShader) (GLuint);
typedef void (* FUNC_glCompileShaderARB) (GLhandleARB);
typedef void (* FUNC_glCompileShaderIncludeARB) (GLuint, GLsizei, const GLchar *const*, const GLint *);
typedef void (* FUNC_glCompressedMultiTexImage1DEXT) (GLenum, GLenum, GLint, GLenum, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedMultiTexImage2DEXT) (GLenum, GLenum, GLint, GLenum, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedMultiTexImage3DEXT) (GLenum, GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedMultiTexSubImage1DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedMultiTexSubImage2DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedMultiTexSubImage3DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage1D) (GLenum, GLint, GLenum, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage1DARB) (GLenum, GLint, GLenum, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage2D) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage2DARB) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage3D) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage3DARB) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexImage3DOES) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage1D) (GLenum, GLint, GLint, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage1DARB) (GLenum, GLint, GLint, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage2D) (GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage2DARB) (GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage3D) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage3DARB) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTexSubImage3DOES) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureImage1DEXT) (GLuint, GLenum, GLint, GLenum, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureImage2DEXT) (GLuint, GLenum, GLint, GLenum, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureImage3DEXT) (GLuint, GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage1D) (GLuint, GLint, GLint, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage1DEXT) (GLuint, GLenum, GLint, GLint, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage2D) (GLuint, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage2DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage3D) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glCompressedTextureSubImage3DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void *);
typedef void (* FUNC_glConservativeRasterParameterfNV) (GLenum, GLfloat);
typedef void (* FUNC_glConservativeRasterParameteriNV) (GLenum, GLint);
typedef void (* FUNC_glConvolutionFilter1D) (GLenum, GLenum, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glConvolutionFilter1DEXT) (GLenum, GLenum, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glConvolutionFilter2D) (GLenum, GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glConvolutionFilter2DEXT) (GLenum, GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glConvolutionParameterf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glConvolutionParameterfEXT) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glConvolutionParameterfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glConvolutionParameterfvEXT) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glConvolutionParameteri) (GLenum, GLenum, GLint);
typedef void (* FUNC_glConvolutionParameteriEXT) (GLenum, GLenum, GLint);
typedef void (* FUNC_glConvolutionParameteriv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glConvolutionParameterivEXT) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glConvolutionParameterxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glConvolutionParameterxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glCopyBufferSubData) (GLenum, GLenum, GLintptr, GLintptr, GLsizeiptr);
typedef void (* FUNC_glCopyBufferSubDataNV) (GLenum, GLenum, GLintptr, GLintptr, GLsizeiptr);
typedef void (* FUNC_glCopyColorSubTable) (GLenum, GLsizei, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyColorSubTableEXT) (GLenum, GLsizei, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyColorTable) (GLenum, GLenum, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyColorTableSGI) (GLenum, GLenum, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyConvolutionFilter1D) (GLenum, GLenum, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyConvolutionFilter1DEXT) (GLenum, GLenum, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyConvolutionFilter2D) (GLenum, GLenum, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyConvolutionFilter2DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyImageSubData) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glCopyImageSubDataEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glCopyImageSubDataNV) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glCopyImageSubDataOES) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glCopyMultiTexImage1DEXT) (GLenum, GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLint);
typedef void (* FUNC_glCopyMultiTexImage2DEXT) (GLenum, GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glCopyMultiTexSubImage1DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyMultiTexSubImage2DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyMultiTexSubImage3DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyNamedBufferSubData) (GLuint, GLuint, GLintptr, GLintptr, GLsizeiptr);
typedef void (* FUNC_glCopyPathNV) (GLuint, GLuint);
typedef void (* FUNC_glCopyPixels) (GLint, GLint, GLsizei, GLsizei, GLenum);
typedef void (* FUNC_glCopyTexImage1D) (GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLint);
typedef void (* FUNC_glCopyTexImage1DEXT) (GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLint);
typedef void (* FUNC_glCopyTexImage2D) (GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glCopyTexImage2DEXT) (GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glCopyTexSubImage1D) (GLenum, GLint, GLint, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyTexSubImage1DEXT) (GLenum, GLint, GLint, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyTexSubImage2D) (GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTexSubImage2DEXT) (GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTexSubImage3D) (GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTexSubImage3DEXT) (GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTexSubImage3DOES) (GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTextureImage1DEXT) (GLuint, GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLint);
typedef void (* FUNC_glCopyTextureImage2DEXT) (GLuint, GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glCopyTextureLevelsAPPLE) (GLuint, GLuint, GLint, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage1D) (GLuint, GLint, GLint, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage1DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage2D) (GLuint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage2DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage3D) (GLuint, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCopyTextureSubImage3DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glCoverFillPathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glCoverFillPathNV) (GLuint, GLenum);
typedef void (* FUNC_glCoverStrokePathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glCoverStrokePathNV) (GLuint, GLenum);
typedef void (* FUNC_glCoverageMaskNV) (GLboolean);
typedef void (* FUNC_glCoverageModulationNV) (GLenum);
typedef void (* FUNC_glCoverageModulationTableNV) (GLsizei, const GLfloat *);
typedef void (* FUNC_glCoverageOperationNV) (GLenum);
typedef void (* FUNC_glCreateBuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glCreateCommandListsNV) (GLsizei, GLuint *);
typedef void (* FUNC_glCreateFramebuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glCreatePerfQueryINTEL) (GLuint, GLuint *);
typedef GLuint (* FUNC_glCreateProgram) ();
typedef GLhandleARB (* FUNC_glCreateProgramObjectARB) ();
typedef void (* FUNC_glCreateProgramPipelines) (GLsizei, GLuint *);
typedef void (* FUNC_glCreateQueries) (GLenum, GLsizei, GLuint *);
typedef void (* FUNC_glCreateRenderbuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glCreateSamplers) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glCreateShader) (GLenum);
typedef GLhandleARB (* FUNC_glCreateShaderObjectARB) (GLenum);
typedef GLuint (* FUNC_glCreateShaderProgramEXT) (GLenum, const GLchar *);
typedef GLuint (* FUNC_glCreateShaderProgramv) (GLenum, GLsizei, const GLchar *const*);
typedef GLuint (* FUNC_glCreateShaderProgramvEXT) (GLenum, GLsizei, const GLchar **);
typedef void (* FUNC_glCreateStatesNV) (GLsizei, GLuint *);
typedef GLsync (* FUNC_glCreateSyncFromCLeventARB) (struct _cl_context *, struct _cl_event *, GLbitfield);
typedef void (* FUNC_glCreateTextures) (GLenum, GLsizei, GLuint *);
typedef void (* FUNC_glCreateTransformFeedbacks) (GLsizei, GLuint *);
typedef void (* FUNC_glCreateVertexArrays) (GLsizei, GLuint *);
typedef void (* FUNC_glCullFace) (GLenum);
typedef void (* FUNC_glCullParameterdvEXT) (GLenum, GLdouble *);
typedef void (* FUNC_glCullParameterfvEXT) (GLenum, GLfloat *);
typedef void (* FUNC_glCurrentPaletteMatrixARB) (GLint);
typedef void (* FUNC_glCurrentPaletteMatrixOES) (GLuint);
typedef void (* FUNC_glDebugMessageCallback) (GLDEBUGPROC, const void *);
typedef void (* FUNC_glDebugMessageCallbackAMD) (GLDEBUGPROCAMD, void *);
typedef void (* FUNC_glDebugMessageCallbackARB) (GLDEBUGPROCARB, const void *);
typedef void (* FUNC_glDebugMessageCallbackKHR) (GLDEBUGPROCKHR, const void *);
typedef void (* FUNC_glDebugMessageControl) (GLenum, GLenum, GLenum, GLsizei, const GLuint *, GLboolean);
typedef void (* FUNC_glDebugMessageControlARB) (GLenum, GLenum, GLenum, GLsizei, const GLuint *, GLboolean);
typedef void (* FUNC_glDebugMessageControlKHR) (GLenum, GLenum, GLenum, GLsizei, const GLuint *, GLboolean);
typedef void (* FUNC_glDebugMessageEnableAMD) (GLenum, GLenum, GLsizei, const GLuint *, GLboolean);
typedef void (* FUNC_glDebugMessageInsert) (GLenum, GLenum, GLuint, GLenum, GLsizei, const GLchar *);
typedef void (* FUNC_glDebugMessageInsertAMD) (GLenum, GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glDebugMessageInsertARB) (GLenum, GLenum, GLuint, GLenum, GLsizei, const GLchar *);
typedef void (* FUNC_glDebugMessageInsertKHR) (GLenum, GLenum, GLuint, GLenum, GLsizei, const GLchar *);
typedef void (* FUNC_glDeformSGIX) (GLbitfield);
typedef void (* FUNC_glDeformationMap3dSGIX) (GLenum, GLdouble, GLdouble, GLint, GLint, GLdouble, GLdouble, GLint, GLint, GLdouble, GLdouble, GLint, GLint, const GLdouble *);
typedef void (* FUNC_glDeformationMap3fSGIX) (GLenum, GLfloat, GLfloat, GLint, GLint, GLfloat, GLfloat, GLint, GLint, GLfloat, GLfloat, GLint, GLint, const GLfloat *);
typedef void (* FUNC_glDeleteAsyncMarkersSGIX) (GLuint, GLsizei);
typedef void (* FUNC_glDeleteBuffers) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteBuffersARB) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteCommandListsNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteFencesAPPLE) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteFencesNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteFragmentShaderATI) (GLuint);
typedef void (* FUNC_glDeleteFramebuffers) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteFramebuffersEXT) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteFramebuffersOES) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteLists) (GLuint, GLsizei);
typedef void (* FUNC_glDeleteNamedStringARB) (GLint, const GLchar *);
typedef void (* FUNC_glDeleteNamesAMD) (GLenum, GLuint, const GLuint *);
typedef void (* FUNC_glDeleteObjectARB) (GLhandleARB);
typedef void (* FUNC_glDeleteOcclusionQueriesNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeletePathsNV) (GLuint, GLsizei);
typedef void (* FUNC_glDeletePerfMonitorsAMD) (GLsizei, GLuint *);
typedef void (* FUNC_glDeletePerfQueryINTEL) (GLuint);
typedef void (* FUNC_glDeleteProgram) (GLuint);
typedef void (* FUNC_glDeleteProgramPipelines) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteProgramPipelinesEXT) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteProgramsARB) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteProgramsNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteQueries) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteQueriesARB) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteQueriesEXT) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteRenderbuffers) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteRenderbuffersEXT) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteRenderbuffersOES) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteSamplers) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteShader) (GLuint);
typedef void (* FUNC_glDeleteStatesNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteSync) (GLsync);
typedef void (* FUNC_glDeleteSyncAPPLE) (GLsync);
typedef void (* FUNC_glDeleteTextures) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteTexturesEXT) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteTransformFeedbacks) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteTransformFeedbacksNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteVertexArrays) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteVertexArraysAPPLE) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteVertexArraysOES) (GLsizei, const GLuint *);
typedef void (* FUNC_glDeleteVertexShaderEXT) (GLuint);
typedef void (* FUNC_glDepthBoundsEXT) (GLclampd, GLclampd);
typedef void (* FUNC_glDepthBoundsdNV) (GLdouble, GLdouble);
typedef void (* FUNC_glDepthFunc) (GLenum);
typedef void (* FUNC_glDepthMask) (GLboolean);
typedef void (* FUNC_glDepthRange) (GLdouble, GLdouble);
typedef void (* FUNC_glDepthRangeArrayfvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glDepthRangeArrayfvOES) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glDepthRangeArrayv) (GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glDepthRangeIndexed) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glDepthRangeIndexedfNV) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glDepthRangeIndexedfOES) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glDepthRangedNV) (GLdouble, GLdouble);
typedef void (* FUNC_glDepthRangef) (GLfloat, GLfloat);
typedef void (* FUNC_glDepthRangefOES) (GLclampf, GLclampf);
typedef void (* FUNC_glDepthRangex) (GLfixed, GLfixed);
typedef void (* FUNC_glDepthRangexOES) (GLfixed, GLfixed);
typedef void (* FUNC_glDetachObjectARB) (GLhandleARB, GLhandleARB);
typedef void (* FUNC_glDetachShader) (GLuint, GLuint);
typedef void (* FUNC_glDetailTexFuncSGIS) (GLenum, GLsizei, const GLfloat *);
typedef void (* FUNC_glDisable) (GLenum);
typedef void (* FUNC_glDisableClientState) (GLenum);
typedef void (* FUNC_glDisableClientStateIndexedEXT) (GLenum, GLuint);
typedef void (* FUNC_glDisableClientStateiEXT) (GLenum, GLuint);
typedef void (* FUNC_glDisableDriverControlQCOM) (GLuint);
typedef void (* FUNC_glDisableIndexedEXT) (GLenum, GLuint);
typedef void (* FUNC_glDisableVariantClientStateEXT) (GLuint);
typedef void (* FUNC_glDisableVertexArrayAttrib) (GLuint, GLuint);
typedef void (* FUNC_glDisableVertexArrayAttribEXT) (GLuint, GLuint);
typedef void (* FUNC_glDisableVertexArrayEXT) (GLuint, GLenum);
typedef void (* FUNC_glDisableVertexAttribAPPLE) (GLuint, GLenum);
typedef void (* FUNC_glDisableVertexAttribArray) (GLuint);
typedef void (* FUNC_glDisableVertexAttribArrayARB) (GLuint);
typedef void (* FUNC_glDisablei) (GLenum, GLuint);
typedef void (* FUNC_glDisableiEXT) (GLenum, GLuint);
typedef void (* FUNC_glDisableiNV) (GLenum, GLuint);
typedef void (* FUNC_glDisableiOES) (GLenum, GLuint);
typedef void (* FUNC_glDiscardFramebufferEXT) (GLenum, GLsizei, const GLenum *);
typedef void (* FUNC_glDispatchCompute) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glDispatchComputeGroupSizeARB) (GLuint, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glDispatchComputeIndirect) (GLintptr);
typedef void (* FUNC_glDrawArrays) (GLenum, GLint, GLsizei);
typedef void (* FUNC_glDrawArraysEXT) (GLenum, GLint, GLsizei);
typedef void (* FUNC_glDrawArraysIndirect) (GLenum, const void *);
typedef void (* FUNC_glDrawArraysInstanced) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawArraysInstancedANGLE) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawArraysInstancedARB) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawArraysInstancedBaseInstance) (GLenum, GLint, GLsizei, GLsizei, GLuint);
typedef void (* FUNC_glDrawArraysInstancedBaseInstanceEXT) (GLenum, GLint, GLsizei, GLsizei, GLuint);
typedef void (* FUNC_glDrawArraysInstancedEXT) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawArraysInstancedNV) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawBuffer) (GLenum);
typedef void (* FUNC_glDrawBuffers) (GLsizei, const GLenum *);
typedef void (* FUNC_glDrawBuffersARB) (GLsizei, const GLenum *);
typedef void (* FUNC_glDrawBuffersATI) (GLsizei, const GLenum *);
typedef void (* FUNC_glDrawBuffersEXT) (GLsizei, const GLenum *);
typedef void (* FUNC_glDrawBuffersIndexedEXT) (GLint, const GLenum *, const GLint *);
typedef void (* FUNC_glDrawBuffersNV) (GLsizei, const GLenum *);
typedef void (* FUNC_glDrawCommandsAddressNV) (GLenum, const GLuint64 *, const GLsizei *, GLuint);
typedef void (* FUNC_glDrawCommandsNV) (GLenum, GLuint, const GLintptr *, const GLsizei *, GLuint);
typedef void (* FUNC_glDrawCommandsStatesAddressNV) (const GLuint64 *, const GLsizei *, const GLuint *, const GLuint *, GLuint);
typedef void (* FUNC_glDrawCommandsStatesNV) (GLuint, const GLintptr *, const GLsizei *, const GLuint *, const GLuint *, GLuint);
typedef void (* FUNC_glDrawElementArrayAPPLE) (GLenum, GLint, GLsizei);
typedef void (* FUNC_glDrawElementArrayATI) (GLenum, GLsizei);
typedef void (* FUNC_glDrawElements) (unsigned long long, unsigned long long, unsigned long long, unsigned long long);
typedef void (* FUNC_glDrawElementsBaseVertex) (GLenum, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawElementsBaseVertexEXT) (GLenum, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawElementsBaseVertexOES) (GLenum, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawElementsIndirect) (GLenum, GLenum, const void *);
typedef void (* FUNC_glDrawElementsInstanced) (GLenum, GLsizei, GLenum, const void *, GLsizei);
typedef void (* FUNC_glDrawElementsInstancedANGLE) (GLenum, GLsizei, GLenum, const void *, GLsizei);
typedef void (* FUNC_glDrawElementsInstancedARB) (GLenum, GLsizei, GLenum, const void *, GLsizei);
typedef void (* FUNC_glDrawElementsInstancedBaseInstance) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLuint);
typedef void (* FUNC_glDrawElementsInstancedBaseInstanceEXT) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLuint);
typedef void (* FUNC_glDrawElementsInstancedBaseVertex) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLint);
typedef void (* FUNC_glDrawElementsInstancedBaseVertexBaseInstance) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLint, GLuint);
typedef void (* FUNC_glDrawElementsInstancedBaseVertexBaseInstanceEXT) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLint, GLuint);
typedef void (* FUNC_glDrawElementsInstancedBaseVertexEXT) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLint);
typedef void (* FUNC_glDrawElementsInstancedBaseVertexOES) (GLenum, GLsizei, GLenum, const void *, GLsizei, GLint);
typedef void (* FUNC_glDrawElementsInstancedEXT) (GLenum, GLsizei, GLenum, const void *, GLsizei);
typedef void (* FUNC_glDrawElementsInstancedNV) (GLenum, GLsizei, GLenum, const void *, GLsizei);
typedef void (* FUNC_glDrawMeshArraysSUN) (GLenum, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glDrawPixels) (GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glDrawRangeElementArrayAPPLE) (GLenum, GLuint, GLuint, GLint, GLsizei);
typedef void (* FUNC_glDrawRangeElementArrayATI) (GLenum, GLuint, GLuint, GLsizei);
typedef void (* FUNC_glDrawRangeElements) (GLenum, GLuint, GLuint, GLsizei, GLenum, const void *);
typedef void (* FUNC_glDrawRangeElementsBaseVertex) (GLenum, GLuint, GLuint, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawRangeElementsBaseVertexEXT) (GLenum, GLuint, GLuint, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawRangeElementsBaseVertexOES) (GLenum, GLuint, GLuint, GLsizei, GLenum, const void *, GLint);
typedef void (* FUNC_glDrawRangeElementsEXT) (GLenum, GLuint, GLuint, GLsizei, GLenum, const void *);
typedef void (* FUNC_glDrawTexfOES) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glDrawTexfvOES) (const GLfloat *);
typedef void (* FUNC_glDrawTexiOES) (GLint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glDrawTexivOES) (const GLint *);
typedef void (* FUNC_glDrawTexsOES) (GLshort, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glDrawTexsvOES) (const GLshort *);
typedef void (* FUNC_glDrawTextureNV) (GLuint, GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glDrawTexxOES) (GLfixed, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glDrawTexxvOES) (const GLfixed *);
typedef void (* FUNC_glDrawTransformFeedback) (GLenum, GLuint);
typedef void (* FUNC_glDrawTransformFeedbackEXT) (GLenum, GLuint);
typedef void (* FUNC_glDrawTransformFeedbackInstanced) (GLenum, GLuint, GLsizei);
typedef void (* FUNC_glDrawTransformFeedbackInstancedEXT) (GLenum, GLuint, GLsizei);
typedef void (* FUNC_glDrawTransformFeedbackNV) (GLenum, GLuint);
typedef void (* FUNC_glDrawTransformFeedbackStream) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glDrawTransformFeedbackStreamInstanced) (GLenum, GLuint, GLuint, GLsizei);
typedef void (* FUNC_glEGLImageTargetRenderbufferStorageOES) (GLenum, GLeglImageOES);
typedef void (* FUNC_glEGLImageTargetTexture2DOES) (GLenum, GLeglImageOES);
typedef void (* FUNC_glEdgeFlag) (GLboolean);
typedef void (* FUNC_glEdgeFlagFormatNV) (GLsizei);
typedef void (* FUNC_glEdgeFlagPointer) (GLsizei, const void *);
typedef void (* FUNC_glEdgeFlagPointerEXT) (GLsizei, GLsizei, const GLboolean *);
typedef void (* FUNC_glEdgeFlagPointerListIBM) (GLint, const GLboolean **, GLint);
typedef void (* FUNC_glEdgeFlagv) (const GLboolean *);
typedef void (* FUNC_glElementPointerAPPLE) (GLenum, const void *);
typedef void (* FUNC_glElementPointerATI) (GLenum, const void *);
typedef void (* FUNC_glEnable) (GLenum);
typedef void (* FUNC_glEnableClientState) (GLenum);
typedef void (* FUNC_glEnableClientStateIndexedEXT) (GLenum, GLuint);
typedef void (* FUNC_glEnableClientStateiEXT) (GLenum, GLuint);
typedef void (* FUNC_glEnableDriverControlQCOM) (GLuint);
typedef void (* FUNC_glEnableIndexedEXT) (GLenum, GLuint);
typedef void (* FUNC_glEnableVariantClientStateEXT) (GLuint);
typedef void (* FUNC_glEnableVertexArrayAttrib) (GLuint, GLuint);
typedef void (* FUNC_glEnableVertexArrayAttribEXT) (GLuint, GLuint);
typedef void (* FUNC_glEnableVertexArrayEXT) (GLuint, GLenum);
typedef void (* FUNC_glEnableVertexAttribAPPLE) (GLuint, GLenum);
typedef void (* FUNC_glEnableVertexAttribArray) (GLuint);
typedef void (* FUNC_glEnableVertexAttribArrayARB) (GLuint);
typedef void (* FUNC_glEnablei) (GLenum, GLuint);
typedef void (* FUNC_glEnableiEXT) (GLenum, GLuint);
typedef void (* FUNC_glEnableiNV) (GLenum, GLuint);
typedef void (* FUNC_glEnableiOES) (GLenum, GLuint);
typedef void (* FUNC_glEnd) ();
typedef void (* FUNC_glEndConditionalRender) ();
typedef void (* FUNC_glEndConditionalRenderNV) ();
typedef void (* FUNC_glEndConditionalRenderNVX) ();
typedef void (* FUNC_glEndFragmentShaderATI) ();
typedef void (* FUNC_glEndList) ();
typedef void (* FUNC_glEndOcclusionQueryNV) ();
typedef void (* FUNC_glEndPerfMonitorAMD) (GLuint);
typedef void (* FUNC_glEndPerfQueryINTEL) (GLuint);
typedef void (* FUNC_glEndQuery) (GLenum);
typedef void (* FUNC_glEndQueryARB) (GLenum);
typedef void (* FUNC_glEndQueryEXT) (GLenum);
typedef void (* FUNC_glEndQueryIndexed) (GLenum, GLuint);
typedef void (* FUNC_glEndTilingQCOM) (GLbitfield);
typedef void (* FUNC_glEndTransformFeedback) ();
typedef void (* FUNC_glEndTransformFeedbackEXT) ();
typedef void (* FUNC_glEndTransformFeedbackNV) ();
typedef void (* FUNC_glEndVertexShaderEXT) ();
typedef void (* FUNC_glEndVideoCaptureNV) (GLuint);
typedef void (* FUNC_glEvalCoord1d) (GLdouble);
typedef void (* FUNC_glEvalCoord1dv) (const GLdouble *);
typedef void (* FUNC_glEvalCoord1f) (GLfloat);
typedef void (* FUNC_glEvalCoord1fv) (const GLfloat *);
typedef void (* FUNC_glEvalCoord1xOES) (GLfixed);
typedef void (* FUNC_glEvalCoord1xvOES) (const GLfixed *);
typedef void (* FUNC_glEvalCoord2d) (GLdouble, GLdouble);
typedef void (* FUNC_glEvalCoord2dv) (const GLdouble *);
typedef void (* FUNC_glEvalCoord2f) (GLfloat, GLfloat);
typedef void (* FUNC_glEvalCoord2fv) (const GLfloat *);
typedef void (* FUNC_glEvalCoord2xOES) (GLfixed, GLfixed);
typedef void (* FUNC_glEvalCoord2xvOES) (const GLfixed *);
typedef void (* FUNC_glEvalMapsNV) (GLenum, GLenum);
typedef void (* FUNC_glEvalMesh1) (GLenum, GLint, GLint);
typedef void (* FUNC_glEvalMesh2) (GLenum, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glEvalPoint1) (GLint);
typedef void (* FUNC_glEvalPoint2) (GLint, GLint);
typedef void (* FUNC_glEvaluateDepthValuesARB) ();
typedef void (* FUNC_glExecuteProgramNV) (GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glExtGetBufferPointervQCOM) (GLenum, void **);
typedef void (* FUNC_glExtGetBuffersQCOM) (GLuint *, GLint, GLint *);
typedef void (* FUNC_glExtGetFramebuffersQCOM) (GLuint *, GLint, GLint *);
typedef void (* FUNC_glExtGetProgramBinarySourceQCOM) (GLuint, GLenum, GLchar *, GLint *);
typedef void (* FUNC_glExtGetProgramsQCOM) (GLuint *, GLint, GLint *);
typedef void (* FUNC_glExtGetRenderbuffersQCOM) (GLuint *, GLint, GLint *);
typedef void (* FUNC_glExtGetShadersQCOM) (GLuint *, GLint, GLint *);
typedef void (* FUNC_glExtGetTexLevelParameterivQCOM) (GLuint, GLenum, GLint, GLenum, GLint *);
typedef void (* FUNC_glExtGetTexSubImageQCOM) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, void *);
typedef void (* FUNC_glExtGetTexturesQCOM) (GLuint *, GLint, GLint *);
typedef GLboolean (* FUNC_glExtIsProgramBinaryQCOM) (GLuint);
typedef void (* FUNC_glExtTexObjectStateOverrideiQCOM) (GLenum, GLenum, GLint);
typedef void (* FUNC_glExtractComponentEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glFeedbackBuffer) (GLsizei, GLenum, GLfloat *);
typedef void (* FUNC_glFeedbackBufferxOES) (GLsizei, GLenum, const GLfixed *);
typedef GLsync (* FUNC_glFenceSync) (GLenum, GLbitfield);
typedef GLsync (* FUNC_glFenceSyncAPPLE) (GLenum, GLbitfield);
typedef void (* FUNC_glFinalCombinerInputNV) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glFinish) ();
typedef GLint (* FUNC_glFinishAsyncSGIX) (GLuint *);
typedef void (* FUNC_glFinishFenceAPPLE) (GLuint);
typedef void (* FUNC_glFinishFenceNV) (GLuint);
typedef void (* FUNC_glFinishObjectAPPLE) (GLenum, GLint);
typedef void (* FUNC_glFinishTextureSUNX) ();
typedef void (* FUNC_glFlush) ();
typedef void (* FUNC_glFlushMappedBufferRange) (GLenum, GLintptr, GLsizeiptr);
typedef void (* FUNC_glFlushMappedBufferRangeAPPLE) (GLenum, GLintptr, GLsizeiptr);
typedef void (* FUNC_glFlushMappedBufferRangeEXT) (GLenum, GLintptr, GLsizeiptr);
typedef void (* FUNC_glFlushMappedNamedBufferRange) (GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glFlushMappedNamedBufferRangeEXT) (GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glFlushPixelDataRangeNV) (GLenum);
typedef void (* FUNC_glFlushRasterSGIX) ();
typedef void (* FUNC_glFlushStaticDataIBM) (GLenum);
typedef void (* FUNC_glFlushVertexArrayRangeAPPLE) (GLsizei, void *);
typedef void (* FUNC_glFlushVertexArrayRangeNV) ();
typedef void (* FUNC_glFogCoordFormatNV) (GLenum, GLsizei);
typedef void (* FUNC_glFogCoordPointer) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glFogCoordPointerEXT) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glFogCoordPointerListIBM) (GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glFogCoordd) (GLdouble);
typedef void (* FUNC_glFogCoorddEXT) (GLdouble);
typedef void (* FUNC_glFogCoorddv) (const GLdouble *);
typedef void (* FUNC_glFogCoorddvEXT) (const GLdouble *);
typedef void (* FUNC_glFogCoordf) (GLfloat);
typedef void (* FUNC_glFogCoordfEXT) (GLfloat);
typedef void (* FUNC_glFogCoordfv) (const GLfloat *);
typedef void (* FUNC_glFogCoordfvEXT) (const GLfloat *);
typedef void (* FUNC_glFogCoordhNV) (GLhalfNV);
typedef void (* FUNC_glFogCoordhvNV) (const GLhalfNV *);
typedef void (* FUNC_glFogFuncSGIS) (GLsizei, const GLfloat *);
typedef void (* FUNC_glFogf) (GLenum, GLfloat);
typedef void (* FUNC_glFogfv) (GLenum, const GLfloat *);
typedef void (* FUNC_glFogi) (GLenum, GLint);
typedef void (* FUNC_glFogiv) (GLenum, const GLint *);
typedef void (* FUNC_glFogx) (GLenum, GLfixed);
typedef void (* FUNC_glFogxOES) (GLenum, GLfixed);
typedef void (* FUNC_glFogxv) (GLenum, const GLfixed *);
typedef void (* FUNC_glFogxvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glFragmentColorMaterialSGIX) (GLenum, GLenum);
typedef void (* FUNC_glFragmentCoverageColorNV) (GLuint);
typedef void (* FUNC_glFragmentLightModelfSGIX) (GLenum, GLfloat);
typedef void (* FUNC_glFragmentLightModelfvSGIX) (GLenum, const GLfloat *);
typedef void (* FUNC_glFragmentLightModeliSGIX) (GLenum, GLint);
typedef void (* FUNC_glFragmentLightModelivSGIX) (GLenum, const GLint *);
typedef void (* FUNC_glFragmentLightfSGIX) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glFragmentLightfvSGIX) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glFragmentLightiSGIX) (GLenum, GLenum, GLint);
typedef void (* FUNC_glFragmentLightivSGIX) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glFragmentMaterialfSGIX) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glFragmentMaterialfvSGIX) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glFragmentMaterialiSGIX) (GLenum, GLenum, GLint);
typedef void (* FUNC_glFragmentMaterialivSGIX) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glFrameTerminatorGREMEDY) ();
typedef void (* FUNC_glFrameZoomSGIX) (GLint);
typedef void (* FUNC_glFramebufferDrawBufferEXT) (GLuint, GLenum);
typedef void (* FUNC_glFramebufferDrawBuffersEXT) (GLuint, GLsizei, const GLenum *);
typedef void (* FUNC_glFramebufferParameteri) (GLenum, GLenum, GLint);
typedef void (* FUNC_glFramebufferPixelLocalStorageSizeEXT) (GLuint, GLsizei);
typedef void (* FUNC_glFramebufferReadBufferEXT) (GLuint, GLenum);
typedef void (* FUNC_glFramebufferRenderbuffer) (GLenum, GLenum, GLenum, GLuint);
typedef void (* FUNC_glFramebufferRenderbufferEXT) (GLenum, GLenum, GLenum, GLuint);
typedef void (* FUNC_glFramebufferRenderbufferOES) (GLenum, GLenum, GLenum, GLuint);
typedef void (* FUNC_glFramebufferSampleLocationsfvARB) (GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glFramebufferSampleLocationsfvNV) (GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glFramebufferSamplePositionsfvAMD) (GLenum, GLuint, GLuint, const GLfloat *);
typedef void (* FUNC_glFramebufferTexture) (GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture1D) (GLenum, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture1DEXT) (GLenum, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture2D) (GLenum, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture2DEXT) (GLenum, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture2DDownsampleIMG) (GLenum, GLenum, GLenum, GLuint, GLint, GLint, GLint);
typedef void (* FUNC_glFramebufferTexture2DMultisampleEXT) (GLenum, GLenum, GLenum, GLuint, GLint, GLsizei);
typedef void (* FUNC_glFramebufferTexture2DMultisampleIMG) (GLenum, GLenum, GLenum, GLuint, GLint, GLsizei);
typedef void (* FUNC_glFramebufferTexture2DOES) (GLenum, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTexture3D) (GLenum, GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTexture3DEXT) (GLenum, GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTexture3DOES) (GLenum, GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTextureARB) (GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTextureEXT) (GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFramebufferTextureFaceARB) (GLenum, GLenum, GLuint, GLint, GLenum);
typedef void (* FUNC_glFramebufferTextureFaceEXT) (GLenum, GLenum, GLuint, GLint, GLenum);
typedef void (* FUNC_glFramebufferTextureLayer) (GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTextureLayerARB) (GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTextureLayerEXT) (GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glFramebufferTextureLayerDownsampleIMG) (GLenum, GLenum, GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glFramebufferTextureMultisampleMultiviewOVR) (GLenum, GLenum, GLuint, GLint, GLsizei, GLint, GLsizei);
typedef void (* FUNC_glFramebufferTextureMultiviewOVR) (GLenum, GLenum, GLuint, GLint, GLint, GLsizei);
typedef void (* FUNC_glFramebufferTextureOES) (GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glFreeObjectBufferATI) (GLuint);
typedef void (* FUNC_glFrontFace) (GLenum);
typedef void (* FUNC_glFrustum) (GLdouble, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glFrustumf) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glFrustumfOES) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glFrustumx) (GLfixed, GLfixed, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glFrustumxOES) (GLfixed, GLfixed, GLfixed, GLfixed, GLfixed, GLfixed);
typedef GLuint (* FUNC_glGenAsyncMarkersSGIX) (GLsizei);
typedef void (* FUNC_glGenBuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glGenBuffersARB) (GLsizei, GLuint *);
typedef void (* FUNC_glGenFencesAPPLE) (GLsizei, GLuint *);
typedef void (* FUNC_glGenFencesNV) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glGenFragmentShadersATI) (GLuint);
typedef void (* FUNC_glGenFramebuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glGenFramebuffersEXT) (GLsizei, GLuint *);
typedef void (* FUNC_glGenFramebuffersOES) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glGenLists) (GLsizei);
typedef void (* FUNC_glGenNamesAMD) (GLenum, GLuint, GLuint *);
typedef void (* FUNC_glGenOcclusionQueriesNV) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glGenPathsNV) (GLsizei);
typedef void (* FUNC_glGenPerfMonitorsAMD) (GLsizei, GLuint *);
typedef void (* FUNC_glGenProgramPipelines) (GLsizei, GLuint *);
typedef void (* FUNC_glGenProgramPipelinesEXT) (GLsizei, GLuint *);
typedef void (* FUNC_glGenProgramsARB) (GLsizei, GLuint *);
typedef void (* FUNC_glGenProgramsNV) (GLsizei, GLuint *);
typedef void (* FUNC_glGenQueries) (GLsizei, GLuint *);
typedef void (* FUNC_glGenQueriesARB) (GLsizei, GLuint *);
typedef void (* FUNC_glGenQueriesEXT) (GLsizei, GLuint *);
typedef void (* FUNC_glGenRenderbuffers) (GLsizei, GLuint *);
typedef void (* FUNC_glGenRenderbuffersEXT) (GLsizei, GLuint *);
typedef void (* FUNC_glGenRenderbuffersOES) (GLsizei, GLuint *);
typedef void (* FUNC_glGenSamplers) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glGenSymbolsEXT) (GLenum, GLenum, GLenum, GLuint);
typedef void (* FUNC_glGenTextures) (GLsizei, GLuint *);
typedef void (* FUNC_glGenTexturesEXT) (GLsizei, GLuint *);
typedef void (* FUNC_glGenTransformFeedbacks) (GLsizei, GLuint *);
typedef void (* FUNC_glGenTransformFeedbacksNV) (GLsizei, GLuint *);
typedef void (* FUNC_glGenVertexArrays) (GLsizei, GLuint *);
typedef void (* FUNC_glGenVertexArraysAPPLE) (GLsizei, GLuint *);
typedef void (* FUNC_glGenVertexArraysOES) (GLsizei, GLuint *);
typedef GLuint (* FUNC_glGenVertexShadersEXT) (GLuint);
typedef void (* FUNC_glGenerateMipmap) (GLenum);
typedef void (* FUNC_glGenerateMipmapEXT) (GLenum);
typedef void (* FUNC_glGenerateMipmapOES) (GLenum);
typedef void (* FUNC_glGenerateMultiTexMipmapEXT) (GLenum, GLenum);
typedef void (* FUNC_glGenerateTextureMipmap) (GLuint);
typedef void (* FUNC_glGenerateTextureMipmapEXT) (GLuint, GLenum);
typedef void (* FUNC_glGetActiveAtomicCounterBufferiv) (GLuint, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetActiveAttrib) (GLuint, GLuint, GLsizei, GLsizei *, GLint *, GLenum *, GLchar *);
typedef void (* FUNC_glGetActiveAttribARB) (GLhandleARB, GLuint, GLsizei, GLsizei *, GLint *, GLenum *, GLcharARB *);
typedef void (* FUNC_glGetActiveSubroutineName) (GLuint, GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetActiveSubroutineUniformName) (GLuint, GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetActiveSubroutineUniformiv) (GLuint, GLenum, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetActiveUniform) (GLuint, GLuint, GLsizei, GLsizei *, GLint *, GLenum *, GLchar *);
typedef void (* FUNC_glGetActiveUniformARB) (GLhandleARB, GLuint, GLsizei, GLsizei *, GLint *, GLenum *, GLcharARB *);
typedef void (* FUNC_glGetActiveUniformBlockName) (GLuint, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetActiveUniformBlockiv) (GLuint, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetActiveUniformName) (GLuint, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetActiveUniformsiv) (GLuint, GLsizei, const GLuint *, GLenum, GLint *);
typedef void (* FUNC_glGetActiveVaryingNV) (GLuint, GLuint, GLsizei, GLsizei *, GLsizei *, GLenum *, GLchar *);
typedef void (* FUNC_glGetArrayObjectfvATI) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetArrayObjectivATI) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetAttachedObjectsARB) (GLhandleARB, GLsizei, GLsizei *, GLhandleARB *);
typedef void (* FUNC_glGetAttachedShaders) (GLuint, GLsizei, GLsizei *, GLuint *);
typedef GLint (* FUNC_glGetAttribLocation) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetAttribLocationARB) (GLhandleARB, const GLcharARB *);
typedef void (* FUNC_glGetBooleanIndexedvEXT) (GLenum, GLuint, GLboolean *);
typedef void (* FUNC_glGetBooleani_v) (GLenum, GLuint, GLboolean *);
typedef void (* FUNC_glGetBooleanv) (GLenum, GLboolean *);
typedef void (* FUNC_glGetBufferParameteri64v) (GLenum, GLenum, GLint64 *);
typedef void (* FUNC_glGetBufferParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetBufferParameterivARB) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetBufferParameterui64vNV) (GLenum, GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetBufferPointerv) (GLenum, GLenum, void **);
typedef void (* FUNC_glGetBufferPointervARB) (GLenum, GLenum, void **);
typedef void (* FUNC_glGetBufferPointervOES) (GLenum, GLenum, void **);
typedef void (* FUNC_glGetBufferSubData) (GLenum, GLintptr, GLsizeiptr, void *);
typedef void (* FUNC_glGetBufferSubDataARB) (GLenum, GLintptrARB, GLsizeiptrARB, void *);
typedef void (* FUNC_glGetClipPlane) (GLenum, GLdouble *);
typedef void (* FUNC_glGetClipPlanef) (GLenum, GLfloat *);
typedef void (* FUNC_glGetClipPlanefOES) (GLenum, GLfloat *);
typedef void (* FUNC_glGetClipPlanex) (GLenum, GLfixed *);
typedef void (* FUNC_glGetClipPlanexOES) (GLenum, GLfixed *);
typedef void (* FUNC_glGetColorTable) (GLenum, GLenum, GLenum, void *);
typedef void (* FUNC_glGetColorTableEXT) (GLenum, GLenum, GLenum, void *);
typedef void (* FUNC_glGetColorTableParameterfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetColorTableParameterfvEXT) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetColorTableParameterfvSGI) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetColorTableParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetColorTableParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetColorTableParameterivSGI) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetColorTableSGI) (GLenum, GLenum, GLenum, void *);
typedef void (* FUNC_glGetCombinerInputParameterfvNV) (GLenum, GLenum, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetCombinerInputParameterivNV) (GLenum, GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetCombinerOutputParameterfvNV) (GLenum, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetCombinerOutputParameterivNV) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetCombinerStageParameterfvNV) (GLenum, GLenum, GLfloat *);
typedef GLuint (* FUNC_glGetCommandHeaderNV) (GLenum, GLuint);
typedef void (* FUNC_glGetCompressedMultiTexImageEXT) (GLenum, GLenum, GLint, void *);
typedef void (* FUNC_glGetCompressedTexImage) (GLenum, GLint, void *);
typedef void (* FUNC_glGetCompressedTexImageARB) (GLenum, GLint, void *);
typedef void (* FUNC_glGetCompressedTextureImage) (GLuint, GLint, GLsizei, void *);
typedef void (* FUNC_glGetCompressedTextureImageEXT) (GLuint, GLenum, GLint, void *);
typedef void (* FUNC_glGetCompressedTextureSubImage) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLsizei, void *);
typedef void (* FUNC_glGetConvolutionFilter) (GLenum, GLenum, GLenum, void *);
typedef void (* FUNC_glGetConvolutionFilterEXT) (GLenum, GLenum, GLenum, void *);
typedef void (* FUNC_glGetConvolutionParameterfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetConvolutionParameterfvEXT) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetConvolutionParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetConvolutionParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetConvolutionParameterxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetCoverageModulationTableNV) (GLsizei, GLfloat *);
typedef GLuint (* FUNC_glGetDebugMessageLog) (GLuint, GLsizei, GLenum *, GLenum *, GLuint *, GLenum *, GLsizei *, GLchar *);
typedef GLuint (* FUNC_glGetDebugMessageLogAMD) (GLuint, GLsizei, GLenum *, GLuint *, GLuint *, GLsizei *, GLchar *);
typedef GLuint (* FUNC_glGetDebugMessageLogARB) (GLuint, GLsizei, GLenum *, GLenum *, GLuint *, GLenum *, GLsizei *, GLchar *);
typedef GLuint (* FUNC_glGetDebugMessageLogKHR) (GLuint, GLsizei, GLenum *, GLenum *, GLuint *, GLenum *, GLsizei *, GLchar *);
typedef void (* FUNC_glGetDetailTexFuncSGIS) (GLenum, GLfloat *);
typedef void (* FUNC_glGetDoubleIndexedvEXT) (GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetDoublei_v) (GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetDoublei_vEXT) (GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetDoublev) (GLenum, GLdouble *);
typedef void (* FUNC_glGetDriverControlStringQCOM) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetDriverControlsQCOM) (GLint *, GLsizei, GLuint *);
typedef GLenum (* FUNC_glGetError) ();
typedef void (* FUNC_glGetFenceivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetFinalCombinerInputParameterfvNV) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetFinalCombinerInputParameterivNV) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFirstPerfQueryIdINTEL) (GLuint *);
typedef void (* FUNC_glGetFixedv) (GLenum, GLfixed *);
typedef void (* FUNC_glGetFixedvOES) (GLenum, GLfixed *);
typedef void (* FUNC_glGetFloatIndexedvEXT) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetFloati_v) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetFloati_vEXT) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetFloati_vNV) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetFloati_vOES) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetFloatv) (GLenum, GLfloat *);
typedef void (* FUNC_glGetFogFuncSGIS) (GLfloat *);
typedef GLint (* FUNC_glGetFragDataIndex) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetFragDataIndexEXT) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetFragDataLocation) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetFragDataLocationEXT) (GLuint, const GLchar *);
typedef void (* FUNC_glGetFragmentLightfvSGIX) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetFragmentLightivSGIX) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFragmentMaterialfvSGIX) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetFragmentMaterialivSGIX) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFramebufferAttachmentParameteriv) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFramebufferAttachmentParameterivEXT) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFramebufferAttachmentParameterivOES) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFramebufferParameterfvAMD) (GLenum, GLenum, GLuint, GLuint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetFramebufferParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetFramebufferParameterivEXT) (GLuint, GLenum, GLint *);
typedef GLsizei (* FUNC_glGetFramebufferPixelLocalStorageSizeEXT) (GLuint);
typedef GLenum (* FUNC_glGetGraphicsResetStatus) ();
typedef GLenum (* FUNC_glGetGraphicsResetStatusARB) ();
typedef GLenum (* FUNC_glGetGraphicsResetStatusEXT) ();
typedef GLenum (* FUNC_glGetGraphicsResetStatusKHR) ();
typedef GLhandleARB (* FUNC_glGetHandleARB) (GLenum);
typedef void (* FUNC_glGetHistogram) (GLenum, GLboolean, GLenum, GLenum, void *);
typedef void (* FUNC_glGetHistogramEXT) (GLenum, GLboolean, GLenum, GLenum, void *);
typedef void (* FUNC_glGetHistogramParameterfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetHistogramParameterfvEXT) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetHistogramParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetHistogramParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetHistogramParameterxvOES) (GLenum, GLenum, GLfixed *);
typedef GLuint64 (* FUNC_glGetImageHandleARB) (GLuint, GLint, GLboolean, GLint, GLenum);
typedef GLuint64 (* FUNC_glGetImageHandleNV) (GLuint, GLint, GLboolean, GLint, GLenum);
typedef void (* FUNC_glGetImageTransformParameterfvHP) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetImageTransformParameterivHP) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetInfoLogARB) (GLhandleARB, GLsizei, GLsizei *, GLcharARB *);
typedef GLint (* FUNC_glGetInstrumentsSGIX) ();
typedef void (* FUNC_glGetInteger64i_v) (GLenum, GLuint, GLint64 *);
typedef void (* FUNC_glGetInteger64v) (GLenum, GLint64 *);
typedef void (* FUNC_glGetInteger64vAPPLE) (GLenum, GLint64 *);
typedef void (* FUNC_glGetIntegerIndexedvEXT) (GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetIntegeri_v) (GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetIntegeri_vEXT) (GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetIntegerui64i_vNV) (GLenum, GLuint, GLuint64EXT *);
typedef void (* FUNC_glGetIntegerui64vNV) (GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetIntegerv) (GLenum, GLint *);
typedef void (* FUNC_glGetInternalformatSampleivNV) (GLenum, GLenum, GLsizei, GLenum, GLsizei, GLint *);
typedef void (* FUNC_glGetInternalformati64v) (GLenum, GLenum, GLenum, GLsizei, GLint64 *);
typedef void (* FUNC_glGetInternalformativ) (GLenum, GLenum, GLenum, GLsizei, GLint *);
typedef void (* FUNC_glGetInvariantBooleanvEXT) (GLuint, GLenum, GLboolean *);
typedef void (* FUNC_glGetInvariantFloatvEXT) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetInvariantIntegervEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetLightfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetLightiv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetLightxOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetLightxv) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetLightxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetListParameterfvSGIX) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetListParameterivSGIX) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetLocalConstantBooleanvEXT) (GLuint, GLenum, GLboolean *);
typedef void (* FUNC_glGetLocalConstantFloatvEXT) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetLocalConstantIntegervEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetMapAttribParameterfvNV) (GLenum, GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetMapAttribParameterivNV) (GLenum, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetMapControlPointsNV) (GLenum, GLuint, GLenum, GLsizei, GLsizei, GLboolean, void *);
typedef void (* FUNC_glGetMapParameterfvNV) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMapParameterivNV) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMapdv) (GLenum, GLenum, GLdouble *);
typedef void (* FUNC_glGetMapfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMapiv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMapxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetMaterialfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMaterialiv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMaterialxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glGetMaterialxv) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetMaterialxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetMinmax) (GLenum, GLboolean, GLenum, GLenum, void *);
typedef void (* FUNC_glGetMinmaxEXT) (GLenum, GLboolean, GLenum, GLenum, void *);
typedef void (* FUNC_glGetMinmaxParameterfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMinmaxParameterfvEXT) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMinmaxParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMinmaxParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMultiTexEnvfvEXT) (GLenum, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMultiTexEnvivEXT) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMultiTexGendvEXT) (GLenum, GLenum, GLenum, GLdouble *);
typedef void (* FUNC_glGetMultiTexGenfvEXT) (GLenum, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMultiTexGenivEXT) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMultiTexImageEXT) (GLenum, GLenum, GLint, GLenum, GLenum, void *);
typedef void (* FUNC_glGetMultiTexLevelParameterfvEXT) (GLenum, GLenum, GLint, GLenum, GLfloat *);
typedef void (* FUNC_glGetMultiTexLevelParameterivEXT) (GLenum, GLenum, GLint, GLenum, GLint *);
typedef void (* FUNC_glGetMultiTexParameterIivEXT) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMultiTexParameterIuivEXT) (GLenum, GLenum, GLenum, GLuint *);
typedef void (* FUNC_glGetMultiTexParameterfvEXT) (GLenum, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetMultiTexParameterivEXT) (GLenum, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetMultisamplefv) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetMultisamplefvNV) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetNamedBufferParameteri64v) (GLuint, GLenum, GLint64 *);
typedef void (* FUNC_glGetNamedBufferParameteriv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedBufferParameterivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedBufferParameterui64vNV) (GLuint, GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetNamedBufferPointerv) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetNamedBufferPointervEXT) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetNamedBufferSubData) (GLuint, GLintptr, GLsizeiptr, void *);
typedef void (* FUNC_glGetNamedBufferSubDataEXT) (GLuint, GLintptr, GLsizeiptr, void *);
typedef void (* FUNC_glGetNamedFramebufferParameterfvAMD) (GLenum, GLenum, GLuint, GLuint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetNamedFramebufferAttachmentParameteriv) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetNamedFramebufferAttachmentParameterivEXT) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetNamedFramebufferParameteriv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedFramebufferParameterivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedProgramLocalParameterIivEXT) (GLuint, GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetNamedProgramLocalParameterIuivEXT) (GLuint, GLenum, GLuint, GLuint *);
typedef void (* FUNC_glGetNamedProgramLocalParameterdvEXT) (GLuint, GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetNamedProgramLocalParameterfvEXT) (GLuint, GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetNamedProgramStringEXT) (GLuint, GLenum, GLenum, void *);
typedef void (* FUNC_glGetNamedProgramivEXT) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetNamedRenderbufferParameteriv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedRenderbufferParameterivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetNamedStringARB) (GLint, const GLchar *, GLsizei, GLint *, GLchar *);
typedef void (* FUNC_glGetNamedStringivARB) (GLint, const GLchar *, GLenum, GLint *);
typedef void (* FUNC_glGetNextPerfQueryIdINTEL) (GLuint, GLuint *);
typedef void (* FUNC_glGetObjectBufferfvATI) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetObjectBufferivATI) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetObjectLabel) (GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetObjectLabelEXT) (GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetObjectLabelKHR) (GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetObjectParameterfvARB) (GLhandleARB, GLenum, GLfloat *);
typedef void (* FUNC_glGetObjectParameterivAPPLE) (GLenum, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetObjectParameterivARB) (GLhandleARB, GLenum, GLint *);
typedef void (* FUNC_glGetObjectPtrLabel) (const void *, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetObjectPtrLabelKHR) (const void *, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetOcclusionQueryivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetOcclusionQueryuivNV) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetPathColorGenfvNV) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetPathColorGenivNV) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetPathCommandsNV) (GLuint, GLubyte *);
typedef void (* FUNC_glGetPathCoordsNV) (GLuint, GLfloat *);
typedef void (* FUNC_glGetPathDashArrayNV) (GLuint, GLfloat *);
typedef GLfloat (* FUNC_glGetPathLengthNV) (GLuint, GLsizei, GLsizei);
typedef void (* FUNC_glGetPathMetricRangeNV) (GLbitfield, GLuint, GLsizei, GLsizei, GLfloat *);
typedef void (* FUNC_glGetPathMetricsNV) (GLbitfield, GLsizei, GLenum, const void *, GLuint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetPathParameterfvNV) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetPathParameterivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetPathSpacingNV) (GLenum, GLsizei, GLenum, const void *, GLuint, GLfloat, GLfloat, GLenum, GLfloat *);
typedef void (* FUNC_glGetPathTexGenfvNV) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetPathTexGenivNV) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetPerfCounterInfoINTEL) (GLuint, GLuint, GLuint, GLchar *, GLuint, GLchar *, GLuint *, GLuint *, GLuint *, GLuint *, GLuint64 *);
typedef void (* FUNC_glGetPerfMonitorCounterDataAMD) (GLuint, GLenum, GLsizei, GLuint *, GLint *);
typedef void (* FUNC_glGetPerfMonitorCounterInfoAMD) (GLuint, GLuint, GLenum, void *);
typedef void (* FUNC_glGetPerfMonitorCounterStringAMD) (GLuint, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetPerfMonitorCountersAMD) (GLuint, GLint *, GLint *, GLsizei, GLuint *);
typedef void (* FUNC_glGetPerfMonitorGroupStringAMD) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetPerfMonitorGroupsAMD) (GLint *, GLsizei, GLuint *);
typedef void (* FUNC_glGetPerfQueryDataINTEL) (GLuint, GLuint, GLsizei, GLvoid *, GLuint *);
typedef void (* FUNC_glGetPerfQueryIdByNameINTEL) (GLchar *, GLuint *);
typedef void (* FUNC_glGetPerfQueryInfoINTEL) (GLuint, GLuint, GLchar *, GLuint *, GLuint *, GLuint *, GLuint *);
typedef void (* FUNC_glGetPixelMapfv) (GLenum, GLfloat *);
typedef void (* FUNC_glGetPixelMapuiv) (GLenum, GLuint *);
typedef void (* FUNC_glGetPixelMapusv) (GLenum, GLushort *);
typedef void (* FUNC_glGetPixelMapxv) (GLenum, GLint, GLfixed *);
typedef void (* FUNC_glGetPixelTexGenParameterfvSGIS) (GLenum, GLfloat *);
typedef void (* FUNC_glGetPixelTexGenParameterivSGIS) (GLenum, GLint *);
typedef void (* FUNC_glGetPixelTransformParameterfvEXT) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetPixelTransformParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetPointerIndexedvEXT) (GLenum, GLuint, void **);
typedef void (* FUNC_glGetPointeri_vEXT) (GLenum, GLuint, void **);
typedef void (* FUNC_glGetPointerv) (GLenum, void **);
typedef void (* FUNC_glGetPointervEXT) (GLenum, void **);
typedef void (* FUNC_glGetPointervKHR) (GLenum, void **);
typedef void (* FUNC_glGetPolygonStipple) (GLubyte *);
typedef void (* FUNC_glGetProgramBinary) (GLuint, GLsizei, GLsizei *, GLenum *, void *);
typedef void (* FUNC_glGetProgramBinaryOES) (GLuint, GLsizei, GLsizei *, GLenum *, void *);
typedef void (* FUNC_glGetProgramEnvParameterIivNV) (GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetProgramEnvParameterIuivNV) (GLenum, GLuint, GLuint *);
typedef void (* FUNC_glGetProgramEnvParameterdvARB) (GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetProgramEnvParameterfvARB) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetProgramInfoLog) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetProgramInterfaceiv) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetProgramLocalParameterIivNV) (GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetProgramLocalParameterIuivNV) (GLenum, GLuint, GLuint *);
typedef void (* FUNC_glGetProgramLocalParameterdvARB) (GLenum, GLuint, GLdouble *);
typedef void (* FUNC_glGetProgramLocalParameterfvARB) (GLenum, GLuint, GLfloat *);
typedef void (* FUNC_glGetProgramNamedParameterdvNV) (GLuint, GLsizei, const GLubyte *, GLdouble *);
typedef void (* FUNC_glGetProgramNamedParameterfvNV) (GLuint, GLsizei, const GLubyte *, GLfloat *);
typedef void (* FUNC_glGetProgramParameterdvNV) (GLenum, GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetProgramParameterfvNV) (GLenum, GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetProgramPipelineInfoLog) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetProgramPipelineInfoLogEXT) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetProgramPipelineiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetProgramPipelineivEXT) (GLuint, GLenum, GLint *);
typedef GLuint (* FUNC_glGetProgramResourceIndex) (GLuint, GLenum, const GLchar *);
typedef GLint (* FUNC_glGetProgramResourceLocation) (GLuint, GLenum, const GLchar *);
typedef GLint (* FUNC_glGetProgramResourceLocationIndex) (GLuint, GLenum, const GLchar *);
typedef GLint (* FUNC_glGetProgramResourceLocationIndexEXT) (GLuint, GLenum, const GLchar *);
typedef void (* FUNC_glGetProgramResourceName) (GLuint, GLenum, GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetProgramResourcefvNV) (GLuint, GLenum, GLuint, GLsizei, const GLenum *, GLsizei, GLsizei *, GLfloat *);
typedef void (* FUNC_glGetProgramResourceiv) (GLuint, GLenum, GLuint, GLsizei, const GLenum *, GLsizei, GLsizei *, GLint *);
typedef void (* FUNC_glGetProgramStageiv) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetProgramStringARB) (GLenum, GLenum, void *);
typedef void (* FUNC_glGetProgramStringNV) (GLuint, GLenum, GLubyte *);
typedef void (* FUNC_glGetProgramSubroutineParameteruivNV) (GLenum, GLuint, GLuint *);
typedef void (* FUNC_glGetProgramiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetProgramivARB) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetProgramivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetQueryBufferObjecti64v) (GLuint, GLuint, GLenum, GLintptr);
typedef void (* FUNC_glGetQueryBufferObjectiv) (GLuint, GLuint, GLenum, GLintptr);
typedef void (* FUNC_glGetQueryBufferObjectui64v) (GLuint, GLuint, GLenum, GLintptr);
typedef void (* FUNC_glGetQueryBufferObjectuiv) (GLuint, GLuint, GLenum, GLintptr);
typedef void (* FUNC_glGetQueryIndexediv) (GLenum, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetQueryObjecti64v) (GLuint, GLenum, GLint64 *);
typedef void (* FUNC_glGetQueryObjecti64vEXT) (GLuint, GLenum, GLint64 *);
typedef void (* FUNC_glGetQueryObjectiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetQueryObjectivARB) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetQueryObjectivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetQueryObjectui64v) (GLuint, GLenum, GLuint64 *);
typedef void (* FUNC_glGetQueryObjectui64vEXT) (GLuint, GLenum, GLuint64 *);
typedef void (* FUNC_glGetQueryObjectuiv) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetQueryObjectuivARB) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetQueryObjectuivEXT) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetQueryiv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetQueryivARB) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetQueryivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetRenderbufferParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetRenderbufferParameterivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetRenderbufferParameterivOES) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetSamplerParameterIiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetSamplerParameterIivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetSamplerParameterIivOES) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetSamplerParameterIuiv) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetSamplerParameterIuivEXT) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetSamplerParameterIuivOES) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetSamplerParameterfv) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetSamplerParameteriv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetSeparableFilter) (GLenum, GLenum, GLenum, void *, void *, void *);
typedef void (* FUNC_glGetSeparableFilterEXT) (GLenum, GLenum, GLenum, void *, void *, void *);
typedef void (* FUNC_glGetShaderInfoLog) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetShaderPrecisionFormat) (GLenum, GLenum, GLint *, GLint *);
typedef void (* FUNC_glGetShaderSource) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef void (* FUNC_glGetShaderSourceARB) (GLhandleARB, GLsizei, GLsizei *, GLcharARB *);
typedef void (* FUNC_glGetShaderiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetSharpenTexFuncSGIS) (GLenum, GLfloat *);
typedef GLushort (* FUNC_glGetStageIndexNV) (GLenum);
typedef const GLubyte * (* FUNC_glGetString) (GLenum);
typedef const GLubyte * (* FUNC_glGetStringi) (GLenum, GLuint);
typedef GLuint (* FUNC_glGetSubroutineIndex) (GLuint, GLenum, const GLchar *);
typedef GLint (* FUNC_glGetSubroutineUniformLocation) (GLuint, GLenum, const GLchar *);
typedef void (* FUNC_glGetSynciv) (GLsync, GLenum, GLsizei, GLsizei *, GLint *);
typedef void (* FUNC_glGetSyncivAPPLE) (GLsync, GLenum, GLsizei, GLsizei *, GLint *);
typedef void (* FUNC_glGetTexBumpParameterfvATI) (GLenum, GLfloat *);
typedef void (* FUNC_glGetTexBumpParameterivATI) (GLenum, GLint *);
typedef void (* FUNC_glGetTexEnvfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexEnviv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexEnvxv) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetTexEnvxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetTexFilterFuncSGIS) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexGendv) (GLenum, GLenum, GLdouble *);
typedef void (* FUNC_glGetTexGenfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexGenfvOES) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexGeniv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexGenivOES) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexGenxvOES) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetTexImage) (GLenum, GLint, GLenum, GLenum, void *);
typedef void (* FUNC_glGetTexLevelParameterfv) (GLenum, GLint, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexLevelParameteriv) (GLenum, GLint, GLenum, GLint *);
typedef void (* FUNC_glGetTexLevelParameterxvOES) (GLenum, GLint, GLenum, GLfixed *);
typedef void (* FUNC_glGetTexParameterIiv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexParameterIivEXT) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexParameterIivOES) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexParameterIuiv) (GLenum, GLenum, GLuint *);
typedef void (* FUNC_glGetTexParameterIuivEXT) (GLenum, GLenum, GLuint *);
typedef void (* FUNC_glGetTexParameterIuivOES) (GLenum, GLenum, GLuint *);
typedef void (* FUNC_glGetTexParameterPointervAPPLE) (GLenum, GLenum, void **);
typedef void (* FUNC_glGetTexParameterfv) (GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTexParameteriv) (GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTexParameterxv) (GLenum, GLenum, GLfixed *);
typedef void (* FUNC_glGetTexParameterxvOES) (GLenum, GLenum, GLfixed *);
typedef GLuint64 (* FUNC_glGetTextureHandleARB) (GLuint);
typedef GLuint64 (* FUNC_glGetTextureHandleIMG) (GLuint);
typedef GLuint64 (* FUNC_glGetTextureHandleNV) (GLuint);
typedef void (* FUNC_glGetTextureImage) (GLuint, GLint, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetTextureImageEXT) (GLuint, GLenum, GLint, GLenum, GLenum, void *);
typedef void (* FUNC_glGetTextureLevelParameterfv) (GLuint, GLint, GLenum, GLfloat *);
typedef void (* FUNC_glGetTextureLevelParameterfvEXT) (GLuint, GLenum, GLint, GLenum, GLfloat *);
typedef void (* FUNC_glGetTextureLevelParameteriv) (GLuint, GLint, GLenum, GLint *);
typedef void (* FUNC_glGetTextureLevelParameterivEXT) (GLuint, GLenum, GLint, GLenum, GLint *);
typedef void (* FUNC_glGetTextureParameterIiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetTextureParameterIivEXT) (GLuint, GLenum, GLenum, GLint *);
typedef void (* FUNC_glGetTextureParameterIuiv) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetTextureParameterIuivEXT) (GLuint, GLenum, GLenum, GLuint *);
typedef void (* FUNC_glGetTextureParameterfv) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetTextureParameterfvEXT) (GLuint, GLenum, GLenum, GLfloat *);
typedef void (* FUNC_glGetTextureParameteriv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetTextureParameterivEXT) (GLuint, GLenum, GLenum, GLint *);
typedef GLuint64 (* FUNC_glGetTextureSamplerHandleARB) (GLuint, GLuint);
typedef GLuint64 (* FUNC_glGetTextureSamplerHandleIMG) (GLuint, GLuint);
typedef GLuint64 (* FUNC_glGetTextureSamplerHandleNV) (GLuint, GLuint);
typedef void (* FUNC_glGetTextureSubImage) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetTrackMatrixivNV) (GLenum, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetTransformFeedbackVarying) (GLuint, GLuint, GLsizei, GLsizei *, GLsizei *, GLenum *, GLchar *);
typedef void (* FUNC_glGetTransformFeedbackVaryingEXT) (GLuint, GLuint, GLsizei, GLsizei *, GLsizei *, GLenum *, GLchar *);
typedef void (* FUNC_glGetTransformFeedbackVaryingNV) (GLuint, GLuint, GLint *);
typedef void (* FUNC_glGetTransformFeedbacki64_v) (GLuint, GLenum, GLuint, GLint64 *);
typedef void (* FUNC_glGetTransformFeedbacki_v) (GLuint, GLenum, GLuint, GLint *);
typedef void (* FUNC_glGetTransformFeedbackiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetTranslatedShaderSourceANGLE) (GLuint, GLsizei, GLsizei *, GLchar *);
typedef GLuint (* FUNC_glGetUniformBlockIndex) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetUniformBufferSizeEXT) (GLuint, GLint);
typedef void (* FUNC_glGetUniformIndices) (GLuint, GLsizei, const GLchar *const*, GLuint *);
typedef GLint (* FUNC_glGetUniformLocation) (GLuint, const GLchar *);
typedef GLint (* FUNC_glGetUniformLocationARB) (GLhandleARB, const GLcharARB *);
typedef GLintptr (* FUNC_glGetUniformOffsetEXT) (GLuint, GLint);
typedef void (* FUNC_glGetUniformSubroutineuiv) (GLenum, GLint, GLuint *);
typedef void (* FUNC_glGetUniformdv) (GLuint, GLint, GLdouble *);
typedef void (* FUNC_glGetUniformfv) (GLuint, GLint, GLfloat *);
typedef void (* FUNC_glGetUniformfvARB) (GLhandleARB, GLint, GLfloat *);
typedef void (* FUNC_glGetUniformi64vARB) (GLuint, GLint, GLint64 *);
typedef void (* FUNC_glGetUniformi64vNV) (GLuint, GLint, GLint64EXT *);
typedef void (* FUNC_glGetUniformiv) (GLuint, GLint, GLint *);
typedef void (* FUNC_glGetUniformivARB) (GLhandleARB, GLint, GLint *);
typedef void (* FUNC_glGetUniformui64vARB) (GLuint, GLint, GLuint64 *);
typedef void (* FUNC_glGetUniformui64vNV) (GLuint, GLint, GLuint64EXT *);
typedef void (* FUNC_glGetUniformuiv) (GLuint, GLint, GLuint *);
typedef void (* FUNC_glGetUniformuivEXT) (GLuint, GLint, GLuint *);
typedef void (* FUNC_glGetVariantArrayObjectfvATI) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVariantArrayObjectivATI) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVariantBooleanvEXT) (GLuint, GLenum, GLboolean *);
typedef void (* FUNC_glGetVariantFloatvEXT) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVariantIntegervEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVariantPointervEXT) (GLuint, GLenum, void **);
typedef GLint (* FUNC_glGetVaryingLocationNV) (GLuint, const GLchar *);
typedef void (* FUNC_glGetVertexArrayIndexed64iv) (GLuint, GLuint, GLenum, GLint64 *);
typedef void (* FUNC_glGetVertexArrayIndexediv) (GLuint, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexArrayIntegeri_vEXT) (GLuint, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexArrayIntegervEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexArrayPointeri_vEXT) (GLuint, GLuint, GLenum, void **);
typedef void (* FUNC_glGetVertexArrayPointervEXT) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetVertexArrayiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribArrayObjectfvATI) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVertexAttribArrayObjectivATI) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribIiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribIivEXT) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribIuiv) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetVertexAttribIuivEXT) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetVertexAttribLdv) (GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVertexAttribLdvEXT) (GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVertexAttribLi64vNV) (GLuint, GLenum, GLint64EXT *);
typedef void (* FUNC_glGetVertexAttribLui64vARB) (GLuint, GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetVertexAttribLui64vNV) (GLuint, GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetVertexAttribPointerv) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetVertexAttribPointervARB) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetVertexAttribPointervNV) (GLuint, GLenum, void **);
typedef void (* FUNC_glGetVertexAttribdv) (GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVertexAttribdvARB) (GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVertexAttribdvNV) (GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVertexAttribfv) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVertexAttribfvARB) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVertexAttribfvNV) (GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVertexAttribiv) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribivARB) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVertexAttribivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVideoCaptureStreamdvNV) (GLuint, GLuint, GLenum, GLdouble *);
typedef void (* FUNC_glGetVideoCaptureStreamfvNV) (GLuint, GLuint, GLenum, GLfloat *);
typedef void (* FUNC_glGetVideoCaptureStreamivNV) (GLuint, GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVideoCaptureivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVideoi64vNV) (GLuint, GLenum, GLint64EXT *);
typedef void (* FUNC_glGetVideoivNV) (GLuint, GLenum, GLint *);
typedef void (* FUNC_glGetVideoui64vNV) (GLuint, GLenum, GLuint64EXT *);
typedef void (* FUNC_glGetVideouivNV) (GLuint, GLenum, GLuint *);
typedef void (* FUNC_glGetnColorTable) (GLenum, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnColorTableARB) (GLenum, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnCompressedTexImage) (GLenum, GLint, GLsizei, void *);
typedef void (* FUNC_glGetnCompressedTexImageARB) (GLenum, GLint, GLsizei, void *);
typedef void (* FUNC_glGetnConvolutionFilter) (GLenum, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnConvolutionFilterARB) (GLenum, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnHistogram) (GLenum, GLboolean, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnHistogramARB) (GLenum, GLboolean, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnMapdv) (GLenum, GLenum, GLsizei, GLdouble *);
typedef void (* FUNC_glGetnMapdvARB) (GLenum, GLenum, GLsizei, GLdouble *);
typedef void (* FUNC_glGetnMapfv) (GLenum, GLenum, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnMapfvARB) (GLenum, GLenum, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnMapiv) (GLenum, GLenum, GLsizei, GLint *);
typedef void (* FUNC_glGetnMapivARB) (GLenum, GLenum, GLsizei, GLint *);
typedef void (* FUNC_glGetnMinmax) (GLenum, GLboolean, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnMinmaxARB) (GLenum, GLboolean, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnPixelMapfv) (GLenum, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnPixelMapfvARB) (GLenum, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnPixelMapuiv) (GLenum, GLsizei, GLuint *);
typedef void (* FUNC_glGetnPixelMapuivARB) (GLenum, GLsizei, GLuint *);
typedef void (* FUNC_glGetnPixelMapusv) (GLenum, GLsizei, GLushort *);
typedef void (* FUNC_glGetnPixelMapusvARB) (GLenum, GLsizei, GLushort *);
typedef void (* FUNC_glGetnPolygonStipple) (GLsizei, GLubyte *);
typedef void (* FUNC_glGetnPolygonStippleARB) (GLsizei, GLubyte *);
typedef void (* FUNC_glGetnSeparableFilter) (GLenum, GLenum, GLenum, GLsizei, void *, GLsizei, void *, void *);
typedef void (* FUNC_glGetnSeparableFilterARB) (GLenum, GLenum, GLenum, GLsizei, void *, GLsizei, void *, void *);
typedef void (* FUNC_glGetnTexImage) (GLenum, GLint, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnTexImageARB) (GLenum, GLint, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glGetnUniformdv) (GLuint, GLint, GLsizei, GLdouble *);
typedef void (* FUNC_glGetnUniformdvARB) (GLuint, GLint, GLsizei, GLdouble *);
typedef void (* FUNC_glGetnUniformfv) (GLuint, GLint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnUniformfvARB) (GLuint, GLint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnUniformfvEXT) (GLuint, GLint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnUniformfvKHR) (GLuint, GLint, GLsizei, GLfloat *);
typedef void (* FUNC_glGetnUniformi64vARB) (GLuint, GLint, GLsizei, GLint64 *);
typedef void (* FUNC_glGetnUniformiv) (GLuint, GLint, GLsizei, GLint *);
typedef void (* FUNC_glGetnUniformivARB) (GLuint, GLint, GLsizei, GLint *);
typedef void (* FUNC_glGetnUniformivEXT) (GLuint, GLint, GLsizei, GLint *);
typedef void (* FUNC_glGetnUniformivKHR) (GLuint, GLint, GLsizei, GLint *);
typedef void (* FUNC_glGetnUniformui64vARB) (GLuint, GLint, GLsizei, GLuint64 *);
typedef void (* FUNC_glGetnUniformuiv) (GLuint, GLint, GLsizei, GLuint *);
typedef void (* FUNC_glGetnUniformuivARB) (GLuint, GLint, GLsizei, GLuint *);
typedef void (* FUNC_glGetnUniformuivKHR) (GLuint, GLint, GLsizei, GLuint *);
typedef void (* FUNC_glGlobalAlphaFactorbSUN) (GLbyte);
typedef void (* FUNC_glGlobalAlphaFactordSUN) (GLdouble);
typedef void (* FUNC_glGlobalAlphaFactorfSUN) (GLfloat);
typedef void (* FUNC_glGlobalAlphaFactoriSUN) (GLint);
typedef void (* FUNC_glGlobalAlphaFactorsSUN) (GLshort);
typedef void (* FUNC_glGlobalAlphaFactorubSUN) (GLubyte);
typedef void (* FUNC_glGlobalAlphaFactoruiSUN) (GLuint);
typedef void (* FUNC_glGlobalAlphaFactorusSUN) (GLushort);
typedef void (* FUNC_glHint) (GLenum, GLenum);
typedef void (* FUNC_glHintPGI) (GLenum, GLint);
typedef void (* FUNC_glHistogram) (GLenum, GLsizei, GLenum, GLboolean);
typedef void (* FUNC_glHistogramEXT) (GLenum, GLsizei, GLenum, GLboolean);
typedef void (* FUNC_glIglooInterfaceSGIX) (GLenum, const void *);
typedef void (* FUNC_glImageTransformParameterfHP) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glImageTransformParameterfvHP) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glImageTransformParameteriHP) (GLenum, GLenum, GLint);
typedef void (* FUNC_glImageTransformParameterivHP) (GLenum, GLenum, const GLint *);
typedef GLsync (* FUNC_glImportSyncEXT) (GLenum, GLintptr, GLbitfield);
typedef void (* FUNC_glIndexFormatNV) (GLenum, GLsizei);
typedef void (* FUNC_glIndexFuncEXT) (GLenum, GLclampf);
typedef void (* FUNC_glIndexMask) (GLuint);
typedef void (* FUNC_glIndexMaterialEXT) (GLenum, GLenum);
typedef void (* FUNC_glIndexPointer) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glIndexPointerEXT) (GLenum, GLsizei, GLsizei, const void *);
typedef void (* FUNC_glIndexPointerListIBM) (GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glIndexd) (GLdouble);
typedef void (* FUNC_glIndexdv) (const GLdouble *);
typedef void (* FUNC_glIndexf) (GLfloat);
typedef void (* FUNC_glIndexfv) (const GLfloat *);
typedef void (* FUNC_glIndexi) (GLint);
typedef void (* FUNC_glIndexiv) (const GLint *);
typedef void (* FUNC_glIndexs) (GLshort);
typedef void (* FUNC_glIndexsv) (const GLshort *);
typedef void (* FUNC_glIndexub) (GLubyte);
typedef void (* FUNC_glIndexubv) (const GLubyte *);
typedef void (* FUNC_glIndexxOES) (GLfixed);
typedef void (* FUNC_glIndexxvOES) (const GLfixed *);
typedef void (* FUNC_glInitNames) ();
typedef void (* FUNC_glInsertComponentEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glInsertEventMarkerEXT) (GLsizei, const GLchar *);
typedef void (* FUNC_glInstrumentsBufferSGIX) (GLsizei, GLint *);
typedef void (* FUNC_glInterleavedArrays) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glInterpolatePathsNV) (GLuint, GLuint, GLuint, GLfloat);
typedef void (* FUNC_glInvalidateBufferData) (GLuint);
typedef void (* FUNC_glInvalidateBufferSubData) (GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glInvalidateFramebuffer) (GLenum, GLsizei, const GLenum *);
typedef void (* FUNC_glInvalidateNamedFramebufferData) (GLuint, GLsizei, const GLenum *);
typedef void (* FUNC_glInvalidateNamedFramebufferSubData) (GLuint, GLsizei, const GLenum *, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glInvalidateSubFramebuffer) (GLenum, GLsizei, const GLenum *, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glInvalidateTexImage) (GLuint, GLint);
typedef void (* FUNC_glInvalidateTexSubImage) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei);
typedef GLboolean (* FUNC_glIsAsyncMarkerSGIX) (GLuint);
typedef GLboolean (* FUNC_glIsBuffer) (GLuint);
typedef GLboolean (* FUNC_glIsBufferARB) (GLuint);
typedef GLboolean (* FUNC_glIsBufferResidentNV) (GLenum);
typedef GLboolean (* FUNC_glIsCommandListNV) (GLuint);
typedef GLboolean (* FUNC_glIsEnabled) (GLenum);
typedef GLboolean (* FUNC_glIsEnabledIndexedEXT) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsEnabledi) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsEnablediEXT) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsEnablediNV) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsEnablediOES) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsFenceAPPLE) (GLuint);
typedef GLboolean (* FUNC_glIsFenceNV) (GLuint);
typedef GLboolean (* FUNC_glIsFramebuffer) (GLuint);
typedef GLboolean (* FUNC_glIsFramebufferEXT) (GLuint);
typedef GLboolean (* FUNC_glIsFramebufferOES) (GLuint);
typedef GLboolean (* FUNC_glIsImageHandleResidentARB) (GLuint64);
typedef GLboolean (* FUNC_glIsImageHandleResidentNV) (GLuint64);
typedef GLboolean (* FUNC_glIsList) (GLuint);
typedef GLboolean (* FUNC_glIsNameAMD) (GLenum, GLuint);
typedef GLboolean (* FUNC_glIsNamedBufferResidentNV) (GLuint);
typedef GLboolean (* FUNC_glIsNamedStringARB) (GLint, const GLchar *);
typedef GLboolean (* FUNC_glIsObjectBufferATI) (GLuint);
typedef GLboolean (* FUNC_glIsOcclusionQueryNV) (GLuint);
typedef GLboolean (* FUNC_glIsPathNV) (GLuint);
typedef GLboolean (* FUNC_glIsPointInFillPathNV) (GLuint, GLuint, GLfloat, GLfloat);
typedef GLboolean (* FUNC_glIsPointInStrokePathNV) (GLuint, GLfloat, GLfloat);
typedef GLboolean (* FUNC_glIsProgram) (GLuint);
typedef GLboolean (* FUNC_glIsProgramARB) (GLuint);
typedef GLboolean (* FUNC_glIsProgramNV) (GLuint);
typedef GLboolean (* FUNC_glIsProgramPipeline) (GLuint);
typedef GLboolean (* FUNC_glIsProgramPipelineEXT) (GLuint);
typedef GLboolean (* FUNC_glIsQuery) (GLuint);
typedef GLboolean (* FUNC_glIsQueryARB) (GLuint);
typedef GLboolean (* FUNC_glIsQueryEXT) (GLuint);
typedef GLboolean (* FUNC_glIsRenderbuffer) (GLuint);
typedef GLboolean (* FUNC_glIsRenderbufferEXT) (GLuint);
typedef GLboolean (* FUNC_glIsRenderbufferOES) (GLuint);
typedef GLboolean (* FUNC_glIsSampler) (GLuint);
typedef GLboolean (* FUNC_glIsShader) (GLuint);
typedef GLboolean (* FUNC_glIsStateNV) (GLuint);
typedef GLboolean (* FUNC_glIsSync) (GLsync);
typedef GLboolean (* FUNC_glIsSyncAPPLE) (GLsync);
typedef GLboolean (* FUNC_glIsTexture) (GLuint);
typedef GLboolean (* FUNC_glIsTextureEXT) (GLuint);
typedef GLboolean (* FUNC_glIsTextureHandleResidentARB) (GLuint64);
typedef GLboolean (* FUNC_glIsTextureHandleResidentNV) (GLuint64);
typedef GLboolean (* FUNC_glIsTransformFeedback) (GLuint);
typedef GLboolean (* FUNC_glIsTransformFeedbackNV) (GLuint);
typedef GLboolean (* FUNC_glIsVariantEnabledEXT) (GLuint, GLenum);
typedef GLboolean (* FUNC_glIsVertexArray) (GLuint);
typedef GLboolean (* FUNC_glIsVertexArrayAPPLE) (GLuint);
typedef GLboolean (* FUNC_glIsVertexArrayOES) (GLuint);
typedef GLboolean (* FUNC_glIsVertexAttribEnabledAPPLE) (GLuint, GLenum);
typedef void (* FUNC_glLabelObjectEXT) (GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glLightEnviSGIX) (GLenum, GLint);
typedef void (* FUNC_glLightModelf) (GLenum, GLfloat);
typedef void (* FUNC_glLightModelfv) (GLenum, const GLfloat *);
typedef void (* FUNC_glLightModeli) (GLenum, GLint);
typedef void (* FUNC_glLightModeliv) (GLenum, const GLint *);
typedef void (* FUNC_glLightModelx) (GLenum, GLfixed);
typedef void (* FUNC_glLightModelxOES) (GLenum, GLfixed);
typedef void (* FUNC_glLightModelxv) (GLenum, const GLfixed *);
typedef void (* FUNC_glLightModelxvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glLightf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glLightfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glLighti) (GLenum, GLenum, GLint);
typedef void (* FUNC_glLightiv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glLightx) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glLightxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glLightxv) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glLightxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glLineStipple) (GLint, GLushort);
typedef void (* FUNC_glLineWidth) (GLfloat);
typedef void (* FUNC_glLineWidthx) (GLfixed);
typedef void (* FUNC_glLineWidthxOES) (GLfixed);
typedef void (* FUNC_glLinkProgram) (GLuint);
typedef void (* FUNC_glLinkProgramARB) (GLhandleARB);
typedef void (* FUNC_glListBase) (GLuint);
typedef void (* FUNC_glListDrawCommandsStatesClientNV) (GLuint, GLuint, const void **, const GLsizei *, const GLuint *, const GLuint *, GLuint);
typedef void (* FUNC_glListParameterfSGIX) (GLuint, GLenum, GLfloat);
typedef void (* FUNC_glListParameterfvSGIX) (GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glListParameteriSGIX) (GLuint, GLenum, GLint);
typedef void (* FUNC_glListParameterivSGIX) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glLoadIdentity) ();
typedef void (* FUNC_glLoadIdentityDeformationMapSGIX) (GLbitfield);
typedef void (* FUNC_glLoadMatrixd) (const GLdouble *);
typedef void (* FUNC_glLoadMatrixf) (const GLfloat *);
typedef void (* FUNC_glLoadMatrixx) (const GLfixed *);
typedef void (* FUNC_glLoadMatrixxOES) (const GLfixed *);
typedef void (* FUNC_glLoadName) (GLuint);
typedef void (* FUNC_glLoadPaletteFromModelViewMatrixOES) ();
typedef void (* FUNC_glLoadProgramNV) (GLenum, GLuint, GLsizei, const GLubyte *);
typedef void (* FUNC_glLoadTransposeMatrixd) (const GLdouble *);
typedef void (* FUNC_glLoadTransposeMatrixdARB) (const GLdouble *);
typedef void (* FUNC_glLoadTransposeMatrixf) (const GLfloat *);
typedef void (* FUNC_glLoadTransposeMatrixfARB) (const GLfloat *);
typedef void (* FUNC_glLoadTransposeMatrixxOES) (const GLfixed *);
typedef void (* FUNC_glLockArraysEXT) (GLint, GLsizei);
typedef void (* FUNC_glLogicOp) (GLenum);
typedef void (* FUNC_glMakeBufferNonResidentNV) (GLenum);
typedef void (* FUNC_glMakeBufferResidentNV) (GLenum, GLenum);
typedef void (* FUNC_glMakeImageHandleNonResidentARB) (GLuint64);
typedef void (* FUNC_glMakeImageHandleNonResidentNV) (GLuint64);
typedef void (* FUNC_glMakeImageHandleResidentARB) (GLuint64, GLenum);
typedef void (* FUNC_glMakeImageHandleResidentNV) (GLuint64, GLenum);
typedef void (* FUNC_glMakeNamedBufferNonResidentNV) (GLuint);
typedef void (* FUNC_glMakeNamedBufferResidentNV) (GLuint, GLenum);
typedef void (* FUNC_glMakeTextureHandleNonResidentARB) (GLuint64);
typedef void (* FUNC_glMakeTextureHandleNonResidentNV) (GLuint64);
typedef void (* FUNC_glMakeTextureHandleResidentARB) (GLuint64);
typedef void (* FUNC_glMakeTextureHandleResidentNV) (GLuint64);
typedef void (* FUNC_glMap1d) (GLenum, GLdouble, GLdouble, GLint, GLint, const GLdouble *);
typedef void (* FUNC_glMap1f) (GLenum, GLfloat, GLfloat, GLint, GLint, const GLfloat *);
typedef void (* FUNC_glMap1xOES) (GLenum, GLfixed, GLfixed, GLint, GLint, GLfixed);
typedef void (* FUNC_glMap2d) (GLenum, GLdouble, GLdouble, GLint, GLint, GLdouble, GLdouble, GLint, GLint, const GLdouble *);
typedef void (* FUNC_glMap2f) (GLenum, GLfloat, GLfloat, GLint, GLint, GLfloat, GLfloat, GLint, GLint, const GLfloat *);
typedef void (* FUNC_glMap2xOES) (GLenum, GLfixed, GLfixed, GLint, GLint, GLfixed, GLfixed, GLint, GLint, GLfixed);
typedef void * (* FUNC_glMapBuffer) (GLenum, GLenum);
typedef void * (* FUNC_glMapBufferARB) (GLenum, GLenum);
typedef void * (* FUNC_glMapBufferOES) (GLenum, GLenum);
typedef void * (* FUNC_glMapBufferRange) (GLenum, GLintptr, GLsizeiptr, GLbitfield);
typedef void * (* FUNC_glMapBufferRangeEXT) (GLenum, GLintptr, GLsizeiptr, GLbitfield);
typedef void (* FUNC_glMapControlPointsNV) (GLenum, GLuint, GLenum, GLsizei, GLsizei, GLint, GLint, GLboolean, const void *);
typedef void (* FUNC_glMapGrid1d) (GLint, GLdouble, GLdouble);
typedef void (* FUNC_glMapGrid1f) (GLint, GLfloat, GLfloat);
typedef void (* FUNC_glMapGrid1xOES) (GLint, GLfixed, GLfixed);
typedef void (* FUNC_glMapGrid2d) (GLint, GLdouble, GLdouble, GLint, GLdouble, GLdouble);
typedef void (* FUNC_glMapGrid2f) (GLint, GLfloat, GLfloat, GLint, GLfloat, GLfloat);
typedef void (* FUNC_glMapGrid2xOES) (GLint, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void * (* FUNC_glMapNamedBuffer) (GLuint, GLenum);
typedef void * (* FUNC_glMapNamedBufferEXT) (GLuint, GLenum);
typedef void * (* FUNC_glMapNamedBufferRange) (GLuint, GLintptr, GLsizeiptr, GLbitfield);
typedef void * (* FUNC_glMapNamedBufferRangeEXT) (GLuint, GLintptr, GLsizeiptr, GLbitfield);
typedef void * (* FUNC_glMapObjectBufferATI) (GLuint);
typedef void (* FUNC_glMapParameterfvNV) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glMapParameterivNV) (GLenum, GLenum, const GLint *);
typedef void * (* FUNC_glMapTexture2DINTEL) (GLuint, GLint, GLbitfield, GLint *, GLenum *);
typedef void (* FUNC_glMapVertexAttrib1dAPPLE) (GLuint, GLuint, GLdouble, GLdouble, GLint, GLint, const GLdouble *);
typedef void (* FUNC_glMapVertexAttrib1fAPPLE) (GLuint, GLuint, GLfloat, GLfloat, GLint, GLint, const GLfloat *);
typedef void (* FUNC_glMapVertexAttrib2dAPPLE) (GLuint, GLuint, GLdouble, GLdouble, GLint, GLint, GLdouble, GLdouble, GLint, GLint, const GLdouble *);
typedef void (* FUNC_glMapVertexAttrib2fAPPLE) (GLuint, GLuint, GLfloat, GLfloat, GLint, GLint, GLfloat, GLfloat, GLint, GLint, const GLfloat *);
typedef void (* FUNC_glMaterialf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glMaterialfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glMateriali) (GLenum, GLenum, GLint);
typedef void (* FUNC_glMaterialiv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glMaterialx) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glMaterialxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glMaterialxv) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glMaterialxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glMatrixFrustumEXT) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMatrixIndexPointerARB) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glMatrixIndexPointerOES) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glMatrixIndexubvARB) (GLint, const GLubyte *);
typedef void (* FUNC_glMatrixIndexuivARB) (GLint, const GLuint *);
typedef void (* FUNC_glMatrixIndexusvARB) (GLint, const GLushort *);
typedef void (* FUNC_glMatrixLoad3x2fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixLoad3x3fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixLoadIdentityEXT) (GLenum);
typedef void (* FUNC_glMatrixLoadTranspose3x3fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixLoadTransposedEXT) (GLenum, const GLdouble *);
typedef void (* FUNC_glMatrixLoadTransposefEXT) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixLoaddEXT) (GLenum, const GLdouble *);
typedef void (* FUNC_glMatrixLoadfEXT) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixMode) (GLenum);
typedef void (* FUNC_glMatrixMult3x2fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixMult3x3fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixMultTranspose3x3fNV) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixMultTransposedEXT) (GLenum, const GLdouble *);
typedef void (* FUNC_glMatrixMultTransposefEXT) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixMultdEXT) (GLenum, const GLdouble *);
typedef void (* FUNC_glMatrixMultfEXT) (GLenum, const GLfloat *);
typedef void (* FUNC_glMatrixOrthoEXT) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMatrixPopEXT) (GLenum);
typedef void (* FUNC_glMatrixPushEXT) (GLenum);
typedef void (* FUNC_glMatrixRotatedEXT) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMatrixRotatefEXT) (GLenum, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMatrixScaledEXT) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMatrixScalefEXT) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMatrixTranslatedEXT) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMatrixTranslatefEXT) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMaxShaderCompilerThreadsARB) (GLuint);
typedef void (* FUNC_glMemoryBarrier) (GLbitfield);
typedef void (* FUNC_glMemoryBarrierByRegion) (GLbitfield);
typedef void (* FUNC_glMemoryBarrierEXT) (GLbitfield);
typedef void (* FUNC_glMinSampleShading) (GLfloat);
typedef void (* FUNC_glMinSampleShadingARB) (GLfloat);
typedef void (* FUNC_glMinSampleShadingOES) (GLfloat);
typedef void (* FUNC_glMinmax) (GLenum, GLenum, GLboolean);
typedef void (* FUNC_glMinmaxEXT) (GLenum, GLenum, GLboolean);
typedef void (* FUNC_glMultMatrixd) (const GLdouble *);
typedef void (* FUNC_glMultMatrixf) (const GLfloat *);
typedef void (* FUNC_glMultMatrixx) (const GLfixed *);
typedef void (* FUNC_glMultMatrixxOES) (const GLfixed *);
typedef void (* FUNC_glMultTransposeMatrixd) (const GLdouble *);
typedef void (* FUNC_glMultTransposeMatrixdARB) (const GLdouble *);
typedef void (* FUNC_glMultTransposeMatrixf) (const GLfloat *);
typedef void (* FUNC_glMultTransposeMatrixfARB) (const GLfloat *);
typedef void (* FUNC_glMultTransposeMatrixxOES) (const GLfixed *);
typedef void (* FUNC_glMultiDrawArrays) (GLenum, const GLint *, const GLsizei *, GLsizei);
typedef void (* FUNC_glMultiDrawArraysEXT) (GLenum, const GLint *, const GLsizei *, GLsizei);
typedef void (* FUNC_glMultiDrawArraysIndirect) (GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawArraysIndirectAMD) (GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawArraysIndirectBindlessCountNV) (GLenum, const void *, GLsizei, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glMultiDrawArraysIndirectBindlessNV) (GLenum, const void *, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glMultiDrawArraysIndirectCountARB) (GLenum, GLintptr, GLintptr, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawArraysIndirectEXT) (GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawElementArrayAPPLE) (GLenum, const GLint *, const GLsizei *, GLsizei);
typedef void (* FUNC_glMultiDrawElements) (GLenum, const GLsizei *, GLenum, const void *const*, GLsizei);
typedef void (* FUNC_glMultiDrawElementsBaseVertex) (GLenum, const GLsizei *, GLenum, const void *const*, GLsizei, const GLint *);
typedef void (* FUNC_glMultiDrawElementsBaseVertexEXT) (GLenum, const GLsizei *, GLenum, const void *const*, GLsizei, const GLint *);
typedef void (* FUNC_glMultiDrawElementsBaseVertexOES) (GLenum, const GLsizei *, GLenum, const void *const*, GLsizei, const GLint *);
typedef void (* FUNC_glMultiDrawElementsEXT) (GLenum, const GLsizei *, GLenum, const void *const*, GLsizei);
typedef void (* FUNC_glMultiDrawElementsIndirect) (GLenum, GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawElementsIndirectAMD) (GLenum, GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawElementsIndirectBindlessCountNV) (GLenum, GLenum, const void *, GLsizei, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glMultiDrawElementsIndirectBindlessNV) (GLenum, GLenum, const void *, GLsizei, GLsizei, GLint);
typedef void (* FUNC_glMultiDrawElementsIndirectCountARB) (GLenum, GLenum, GLintptr, GLintptr, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawElementsIndirectEXT) (GLenum, GLenum, const void *, GLsizei, GLsizei);
typedef void (* FUNC_glMultiDrawRangeElementArrayAPPLE) (GLenum, GLuint, GLuint, const GLint *, const GLsizei *, GLsizei);
typedef void (* FUNC_glMultiModeDrawArraysIBM) (const GLenum *, const GLint *, const GLsizei *, GLsizei, GLint);
typedef void (* FUNC_glMultiModeDrawElementsIBM) (const GLenum *, const GLsizei *, GLenum, const void *const*, GLsizei, GLint);
typedef void (* FUNC_glMultiTexBufferEXT) (GLenum, GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexCoord1bOES) (GLenum, GLbyte);
typedef void (* FUNC_glMultiTexCoord1bvOES) (GLenum, const GLbyte *);
typedef void (* FUNC_glMultiTexCoord1d) (GLenum, GLdouble);
typedef void (* FUNC_glMultiTexCoord1dARB) (GLenum, GLdouble);
typedef void (* FUNC_glMultiTexCoord1dv) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord1dvARB) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord1f) (GLenum, GLfloat);
typedef void (* FUNC_glMultiTexCoord1fARB) (GLenum, GLfloat);
typedef void (* FUNC_glMultiTexCoord1fv) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord1fvARB) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord1hNV) (GLenum, GLhalfNV);
typedef void (* FUNC_glMultiTexCoord1hvNV) (GLenum, const GLhalfNV *);
typedef void (* FUNC_glMultiTexCoord1i) (GLenum, GLint);
typedef void (* FUNC_glMultiTexCoord1iARB) (GLenum, GLint);
typedef void (* FUNC_glMultiTexCoord1iv) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord1ivARB) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord1s) (GLenum, GLshort);
typedef void (* FUNC_glMultiTexCoord1sARB) (GLenum, GLshort);
typedef void (* FUNC_glMultiTexCoord1sv) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord1svARB) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord1xOES) (GLenum, GLfixed);
typedef void (* FUNC_glMultiTexCoord1xvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glMultiTexCoord2bOES) (GLenum, GLbyte, GLbyte);
typedef void (* FUNC_glMultiTexCoord2bvOES) (GLenum, const GLbyte *);
typedef void (* FUNC_glMultiTexCoord2d) (GLenum, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord2dARB) (GLenum, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord2dv) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord2dvARB) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord2f) (GLenum, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord2fARB) (GLenum, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord2fv) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord2fvARB) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord2hNV) (GLenum, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glMultiTexCoord2hvNV) (GLenum, const GLhalfNV *);
typedef void (* FUNC_glMultiTexCoord2i) (GLenum, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord2iARB) (GLenum, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord2iv) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord2ivARB) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord2s) (GLenum, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord2sARB) (GLenum, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord2sv) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord2svARB) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord2xOES) (GLenum, GLfixed, GLfixed);
typedef void (* FUNC_glMultiTexCoord2xvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glMultiTexCoord3bOES) (GLenum, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glMultiTexCoord3bvOES) (GLenum, const GLbyte *);
typedef void (* FUNC_glMultiTexCoord3d) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord3dARB) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord3dv) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord3dvARB) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord3f) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord3fARB) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord3fv) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord3fvARB) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord3hNV) (GLenum, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glMultiTexCoord3hvNV) (GLenum, const GLhalfNV *);
typedef void (* FUNC_glMultiTexCoord3i) (GLenum, GLint, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord3iARB) (GLenum, GLint, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord3iv) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord3ivARB) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord3s) (GLenum, GLshort, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord3sARB) (GLenum, GLshort, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord3sv) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord3svARB) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord3xOES) (GLenum, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glMultiTexCoord3xvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glMultiTexCoord4bOES) (GLenum, GLbyte, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glMultiTexCoord4bvOES) (GLenum, const GLbyte *);
typedef void (* FUNC_glMultiTexCoord4d) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord4dARB) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glMultiTexCoord4dv) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord4dvARB) (GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexCoord4f) (GLenum, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord4fARB) (GLenum, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glMultiTexCoord4fv) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord4fvARB) (GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexCoord4hNV) (GLenum, GLhalfNV, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glMultiTexCoord4hvNV) (GLenum, const GLhalfNV *);
typedef void (* FUNC_glMultiTexCoord4i) (GLenum, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord4iARB) (GLenum, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glMultiTexCoord4iv) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord4ivARB) (GLenum, const GLint *);
typedef void (* FUNC_glMultiTexCoord4s) (GLenum, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord4sARB) (GLenum, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glMultiTexCoord4sv) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord4svARB) (GLenum, const GLshort *);
typedef void (* FUNC_glMultiTexCoord4x) (GLenum, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glMultiTexCoord4xOES) (GLenum, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glMultiTexCoord4xvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glMultiTexCoordP1ui) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexCoordP1uiv) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glMultiTexCoordP2ui) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexCoordP2uiv) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glMultiTexCoordP3ui) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexCoordP3uiv) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glMultiTexCoordP4ui) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexCoordP4uiv) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glMultiTexCoordPointerEXT) (GLenum, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glMultiTexEnvfEXT) (GLenum, GLenum, GLenum, GLfloat);
typedef void (* FUNC_glMultiTexEnvfvEXT) (GLenum, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexEnviEXT) (GLenum, GLenum, GLenum, GLint);
typedef void (* FUNC_glMultiTexEnvivEXT) (GLenum, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glMultiTexGendEXT) (GLenum, GLenum, GLenum, GLdouble);
typedef void (* FUNC_glMultiTexGendvEXT) (GLenum, GLenum, GLenum, const GLdouble *);
typedef void (* FUNC_glMultiTexGenfEXT) (GLenum, GLenum, GLenum, GLfloat);
typedef void (* FUNC_glMultiTexGenfvEXT) (GLenum, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexGeniEXT) (GLenum, GLenum, GLenum, GLint);
typedef void (* FUNC_glMultiTexGenivEXT) (GLenum, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glMultiTexImage1DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glMultiTexImage2DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glMultiTexImage3DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glMultiTexParameterIivEXT) (GLenum, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glMultiTexParameterIuivEXT) (GLenum, GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glMultiTexParameterfEXT) (GLenum, GLenum, GLenum, GLfloat);
typedef void (* FUNC_glMultiTexParameterfvEXT) (GLenum, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glMultiTexParameteriEXT) (GLenum, GLenum, GLenum, GLint);
typedef void (* FUNC_glMultiTexParameterivEXT) (GLenum, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glMultiTexRenderbufferEXT) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glMultiTexSubImage1DEXT) (GLenum, GLenum, GLint, GLint, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glMultiTexSubImage2DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glMultiTexSubImage3DEXT) (GLenum, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glNamedBufferData) (GLuint, GLsizeiptr, const void *, GLenum);
typedef void (* FUNC_glNamedBufferDataEXT) (GLuint, GLsizeiptr, const void *, GLenum);
typedef void (* FUNC_glNamedBufferPageCommitmentARB) (GLuint, GLintptr, GLsizeiptr, GLboolean);
typedef void (* FUNC_glNamedBufferPageCommitmentEXT) (GLuint, GLintptr, GLsizeiptr, GLboolean);
typedef void (* FUNC_glNamedBufferStorage) (GLuint, GLsizeiptr, const void *, GLbitfield);
typedef void (* FUNC_glNamedBufferStorageEXT) (GLuint, GLsizeiptr, const void *, GLbitfield);
typedef void (* FUNC_glNamedBufferSubData) (GLuint, GLintptr, GLsizeiptr, const void *);
typedef void (* FUNC_glNamedBufferSubDataEXT) (GLuint, GLintptr, GLsizeiptr, const void *);
typedef void (* FUNC_glNamedCopyBufferSubDataEXT) (GLuint, GLuint, GLintptr, GLintptr, GLsizeiptr);
typedef void (* FUNC_glNamedFramebufferDrawBuffer) (GLuint, GLenum);
typedef void (* FUNC_glNamedFramebufferDrawBuffers) (GLuint, GLsizei, const GLenum *);
typedef void (* FUNC_glNamedFramebufferParameteri) (GLuint, GLenum, GLint);
typedef void (* FUNC_glNamedFramebufferParameteriEXT) (GLuint, GLenum, GLint);
typedef void (* FUNC_glNamedFramebufferReadBuffer) (GLuint, GLenum);
typedef void (* FUNC_glNamedFramebufferRenderbuffer) (GLuint, GLenum, GLenum, GLuint);
typedef void (* FUNC_glNamedFramebufferRenderbufferEXT) (GLuint, GLenum, GLenum, GLuint);
typedef void (* FUNC_glNamedFramebufferSampleLocationsfvARB) (GLuint, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glNamedFramebufferSampleLocationsfvNV) (GLuint, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glNamedFramebufferTexture) (GLuint, GLenum, GLuint, GLint);
typedef void (* FUNC_glNamedFramebufferSamplePositionsfvAMD) (GLuint, GLuint, GLuint, const GLfloat *);
typedef void (* FUNC_glNamedFramebufferTexture1DEXT) (GLuint, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glNamedFramebufferTexture2DEXT) (GLuint, GLenum, GLenum, GLuint, GLint);
typedef void (* FUNC_glNamedFramebufferTexture3DEXT) (GLuint, GLenum, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glNamedFramebufferTextureEXT) (GLuint, GLenum, GLuint, GLint);
typedef void (* FUNC_glNamedFramebufferTextureFaceEXT) (GLuint, GLenum, GLuint, GLint, GLenum);
typedef void (* FUNC_glNamedFramebufferTextureLayer) (GLuint, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glNamedFramebufferTextureLayerEXT) (GLuint, GLenum, GLuint, GLint, GLint);
typedef void (* FUNC_glNamedProgramLocalParameter4dEXT) (GLuint, GLenum, GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glNamedProgramLocalParameter4dvEXT) (GLuint, GLenum, GLuint, const GLdouble *);
typedef void (* FUNC_glNamedProgramLocalParameter4fEXT) (GLuint, GLenum, GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glNamedProgramLocalParameter4fvEXT) (GLuint, GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glNamedProgramLocalParameterI4iEXT) (GLuint, GLenum, GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glNamedProgramLocalParameterI4ivEXT) (GLuint, GLenum, GLuint, const GLint *);
typedef void (* FUNC_glNamedProgramLocalParameterI4uiEXT) (GLuint, GLenum, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glNamedProgramLocalParameterI4uivEXT) (GLuint, GLenum, GLuint, const GLuint *);
typedef void (* FUNC_glNamedProgramLocalParameters4fvEXT) (GLuint, GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glNamedProgramLocalParametersI4ivEXT) (GLuint, GLenum, GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glNamedProgramLocalParametersI4uivEXT) (GLuint, GLenum, GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glNamedProgramStringEXT) (GLuint, GLenum, GLenum, GLsizei, const void *);
typedef void (* FUNC_glNamedRenderbufferStorage) (GLuint, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glNamedRenderbufferStorageEXT) (GLuint, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glNamedRenderbufferStorageMultisample) (GLuint, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glNamedRenderbufferStorageMultisampleCoverageEXT) (GLuint, GLsizei, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glNamedRenderbufferStorageMultisampleEXT) (GLuint, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glNamedStringARB) (GLenum, GLint, const GLchar *, GLint, const GLchar *);
typedef void (* FUNC_glNewList) (GLuint, GLenum);
typedef GLuint (* FUNC_glNewObjectBufferATI) (GLsizei, const void *, GLenum);
typedef void (* FUNC_glNormal3b) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glNormal3bv) (const GLbyte *);
typedef void (* FUNC_glNormal3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glNormal3dv) (const GLdouble *);
typedef void (* FUNC_glNormal3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glNormal3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glNormal3fVertex3fvSUN) (const GLfloat *, const GLfloat *);
typedef void (* FUNC_glNormal3fv) (const GLfloat *);
typedef void (* FUNC_glNormal3hNV) (GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glNormal3hvNV) (const GLhalfNV *);
typedef void (* FUNC_glNormal3i) (GLint, GLint, GLint);
typedef void (* FUNC_glNormal3iv) (const GLint *);
typedef void (* FUNC_glNormal3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glNormal3sv) (const GLshort *);
typedef void (* FUNC_glNormal3x) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glNormal3xOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glNormal3xvOES) (const GLfixed *);
typedef void (* FUNC_glNormalFormatNV) (GLenum, GLsizei);
typedef void (* FUNC_glNormalP3ui) (GLenum, GLuint);
typedef void (* FUNC_glNormalP3uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glNormalPointer) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glNormalPointerEXT) (GLenum, GLsizei, GLsizei, const void *);
typedef void (* FUNC_glNormalPointerListIBM) (GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glNormalPointervINTEL) (GLenum, const void **);
typedef void (* FUNC_glNormalStream3bATI) (GLenum, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glNormalStream3bvATI) (GLenum, const GLbyte *);
typedef void (* FUNC_glNormalStream3dATI) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glNormalStream3dvATI) (GLenum, const GLdouble *);
typedef void (* FUNC_glNormalStream3fATI) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glNormalStream3fvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glNormalStream3iATI) (GLenum, GLint, GLint, GLint);
typedef void (* FUNC_glNormalStream3ivATI) (GLenum, const GLint *);
typedef void (* FUNC_glNormalStream3sATI) (GLenum, GLshort, GLshort, GLshort);
typedef void (* FUNC_glNormalStream3svATI) (GLenum, const GLshort *);
typedef void (* FUNC_glObjectLabel) (GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glObjectLabelKHR) (GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glObjectPtrLabel) (const void *, GLsizei, const GLchar *);
typedef void (* FUNC_glObjectPtrLabelKHR) (const void *, GLsizei, const GLchar *);
typedef GLenum (* FUNC_glObjectPurgeableAPPLE) (GLenum, GLuint, GLenum);
typedef GLenum (* FUNC_glObjectUnpurgeableAPPLE) (GLenum, GLuint, GLenum);
typedef void (* FUNC_glOrtho) (GLdouble, GLdouble, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glOrthof) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glOrthofOES) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glOrthox) (GLfixed, GLfixed, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glOrthoxOES) (GLfixed, GLfixed, GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glPNTrianglesfATI) (GLenum, GLfloat);
typedef void (* FUNC_glPNTrianglesiATI) (GLenum, GLint);
typedef void (* FUNC_glPassTexCoordATI) (GLuint, GLuint, GLenum);
typedef void (* FUNC_glPassThrough) (GLfloat);
typedef void (* FUNC_glPassThroughxOES) (GLfixed);
typedef void (* FUNC_glPatchParameterfv) (GLenum, const GLfloat *);
typedef void (* FUNC_glPatchParameteri) (GLenum, GLint);
typedef void (* FUNC_glPatchParameteriEXT) (GLenum, GLint);
typedef void (* FUNC_glPatchParameteriOES) (GLenum, GLint);
typedef void (* FUNC_glPathColorGenNV) (GLenum, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glPathCommandsNV) (GLuint, GLsizei, const GLubyte *, GLsizei, GLenum, const void *);
typedef void (* FUNC_glPathCoordsNV) (GLuint, GLsizei, GLenum, const void *);
typedef void (* FUNC_glPathCoverDepthFuncNV) (GLenum);
typedef void (* FUNC_glPathDashArrayNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glPathFogGenNV) (GLenum);
typedef GLenum (* FUNC_glPathGlyphIndexArrayNV) (GLuint, GLenum, const void *, GLbitfield, GLuint, GLsizei, GLuint, GLfloat);
typedef GLenum (* FUNC_glPathGlyphIndexRangeNV) (GLenum, const void *, GLbitfield, GLuint, GLfloat, GLuint [2]);
typedef void (* FUNC_glPathGlyphRangeNV) (GLuint, GLenum, const void *, GLbitfield, GLuint, GLsizei, GLenum, GLuint, GLfloat);
typedef void (* FUNC_glPathGlyphsNV) (GLuint, GLenum, const void *, GLbitfield, GLsizei, GLenum, const void *, GLenum, GLuint, GLfloat);
typedef GLenum (* FUNC_glPathMemoryGlyphIndexArrayNV) (GLuint, GLenum, GLsizeiptr, const void *, GLsizei, GLuint, GLsizei, GLuint, GLfloat);
typedef void (* FUNC_glPathParameterfNV) (GLuint, GLenum, GLfloat);
typedef void (* FUNC_glPathParameterfvNV) (GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glPathParameteriNV) (GLuint, GLenum, GLint);
typedef void (* FUNC_glPathParameterivNV) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glPathStencilDepthOffsetNV) (GLfloat, GLfloat);
typedef void (* FUNC_glPathStencilFuncNV) (GLenum, GLint, GLuint);
typedef void (* FUNC_glPathStringNV) (GLuint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glPathSubCommandsNV) (GLuint, GLsizei, GLsizei, GLsizei, const GLubyte *, GLsizei, GLenum, const void *);
typedef void (* FUNC_glPathSubCoordsNV) (GLuint, GLsizei, GLsizei, GLenum, const void *);
typedef void (* FUNC_glPathTexGenNV) (GLenum, GLenum, GLint, const GLfloat *);
typedef void (* FUNC_glPauseTransformFeedback) ();
typedef void (* FUNC_glPauseTransformFeedbackNV) ();
typedef void (* FUNC_glPixelDataRangeNV) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glPixelMapfv) (GLenum, GLsizei, const GLfloat *);
typedef void (* FUNC_glPixelMapuiv) (GLenum, GLsizei, const GLuint *);
typedef void (* FUNC_glPixelMapusv) (GLenum, GLsizei, const GLushort *);
typedef void (* FUNC_glPixelMapx) (GLenum, GLint, const GLfixed *);
typedef void (* FUNC_glPixelStoref) (GLenum, GLfloat);
typedef void (* FUNC_glPixelStorei) (GLenum, GLint);
typedef void (* FUNC_glPixelStorex) (GLenum, GLfixed);
typedef void (* FUNC_glPixelTexGenParameterfSGIS) (GLenum, GLfloat);
typedef void (* FUNC_glPixelTexGenParameterfvSGIS) (GLenum, const GLfloat *);
typedef void (* FUNC_glPixelTexGenParameteriSGIS) (GLenum, GLint);
typedef void (* FUNC_glPixelTexGenParameterivSGIS) (GLenum, const GLint *);
typedef void (* FUNC_glPixelTexGenSGIX) (GLenum);
typedef void (* FUNC_glPixelTransferf) (GLenum, GLfloat);
typedef void (* FUNC_glPixelTransferi) (GLenum, GLint);
typedef void (* FUNC_glPixelTransferxOES) (GLenum, GLfixed);
typedef void (* FUNC_glPixelTransformParameterfEXT) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glPixelTransformParameterfvEXT) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glPixelTransformParameteriEXT) (GLenum, GLenum, GLint);
typedef void (* FUNC_glPixelTransformParameterivEXT) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glPixelZoom) (GLfloat, GLfloat);
typedef void (* FUNC_glPixelZoomxOES) (GLfixed, GLfixed);
typedef GLboolean (* FUNC_glPointAlongPathNV) (GLuint, GLsizei, GLsizei, GLfloat, GLfloat *, GLfloat *, GLfloat *, GLfloat *);
typedef void (* FUNC_glPointParameterf) (GLenum, GLfloat);
typedef void (* FUNC_glPointParameterfARB) (GLenum, GLfloat);
typedef void (* FUNC_glPointParameterfEXT) (GLenum, GLfloat);
typedef void (* FUNC_glPointParameterfSGIS) (GLenum, GLfloat);
typedef void (* FUNC_glPointParameterfv) (GLenum, const GLfloat *);
typedef void (* FUNC_glPointParameterfvARB) (GLenum, const GLfloat *);
typedef void (* FUNC_glPointParameterfvEXT) (GLenum, const GLfloat *);
typedef void (* FUNC_glPointParameterfvSGIS) (GLenum, const GLfloat *);
typedef void (* FUNC_glPointParameteri) (GLenum, GLint);
typedef void (* FUNC_glPointParameteriNV) (GLenum, GLint);
typedef void (* FUNC_glPointParameteriv) (GLenum, const GLint *);
typedef void (* FUNC_glPointParameterivNV) (GLenum, const GLint *);
typedef void (* FUNC_glPointParameterx) (GLenum, GLfixed);
typedef void (* FUNC_glPointParameterxOES) (GLenum, GLfixed);
typedef void (* FUNC_glPointParameterxv) (GLenum, const GLfixed *);
typedef void (* FUNC_glPointParameterxvOES) (GLenum, const GLfixed *);
typedef void (* FUNC_glPointSize) (GLfloat);
typedef void (* FUNC_glPointSizePointerOES) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glPointSizex) (GLfixed);
typedef void (* FUNC_glPointSizexOES) (GLfixed);
typedef GLint (* FUNC_glPollAsyncSGIX) (GLuint *);
typedef GLint (* FUNC_glPollInstrumentsSGIX) (GLint *);
typedef void (* FUNC_glPolygonMode) (GLenum, GLenum);
typedef void (* FUNC_glPolygonModeNV) (GLenum, GLenum);
typedef void (* FUNC_glPolygonOffset) (GLfloat, GLfloat);
typedef void (* FUNC_glPolygonOffsetClampEXT) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glPolygonOffsetEXT) (GLfloat, GLfloat);
typedef void (* FUNC_glPolygonOffsetx) (GLfixed, GLfixed);
typedef void (* FUNC_glPolygonOffsetxOES) (GLfixed, GLfixed);
typedef void (* FUNC_glPolygonStipple) (const GLubyte *);
typedef void (* FUNC_glPopAttrib) ();
typedef void (* FUNC_glPopClientAttrib) ();
typedef void (* FUNC_glPopDebugGroup) ();
typedef void (* FUNC_glPopDebugGroupKHR) ();
typedef void (* FUNC_glPopGroupMarkerEXT) ();
typedef void (* FUNC_glPopMatrix) ();
typedef void (* FUNC_glPopName) ();
typedef void (* FUNC_glPresentFrameDualFillNV) (GLuint, GLuint64EXT, GLuint, GLuint, GLenum, GLenum, GLuint, GLenum, GLuint, GLenum, GLuint, GLenum, GLuint);
typedef void (* FUNC_glPresentFrameKeyedNV) (GLuint, GLuint64EXT, GLuint, GLuint, GLenum, GLenum, GLuint, GLuint, GLenum, GLuint, GLuint);
typedef void (* FUNC_glPrimitiveBoundingBox) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glPrimitiveBoundingBoxARB) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glPrimitiveBoundingBoxEXT) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glPrimitiveBoundingBoxOES) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glPrimitiveRestartIndex) (GLuint);
typedef void (* FUNC_glPrimitiveRestartIndexNV) (GLuint);
typedef void (* FUNC_glPrimitiveRestartNV) ();
typedef void (* FUNC_glPrioritizeTextures) (GLsizei, const GLuint *, const GLfloat *);
typedef void (* FUNC_glPrioritizeTexturesEXT) (GLsizei, const GLuint *, const GLclampf *);
typedef void (* FUNC_glPrioritizeTexturesxOES) (GLsizei, const GLuint *, const GLfixed *);
typedef void (* FUNC_glProgramBinary) (GLuint, GLenum, const void *, GLsizei);
typedef void (* FUNC_glProgramBinaryOES) (GLuint, GLenum, const void *, GLint);
typedef void (* FUNC_glProgramBufferParametersIivNV) (GLenum, GLuint, GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramBufferParametersIuivNV) (GLenum, GLuint, GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramBufferParametersfvNV) (GLenum, GLuint, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramEnvParameter4dARB) (GLenum, GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramEnvParameter4dvARB) (GLenum, GLuint, const GLdouble *);
typedef void (* FUNC_glProgramEnvParameter4fARB) (GLenum, GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramEnvParameter4fvARB) (GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glProgramEnvParameterI4iNV) (GLenum, GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramEnvParameterI4ivNV) (GLenum, GLuint, const GLint *);
typedef void (* FUNC_glProgramEnvParameterI4uiNV) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramEnvParameterI4uivNV) (GLenum, GLuint, const GLuint *);
typedef void (* FUNC_glProgramEnvParameters4fvEXT) (GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramEnvParametersI4ivNV) (GLenum, GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramEnvParametersI4uivNV) (GLenum, GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramLocalParameter4dARB) (GLenum, GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramLocalParameter4dvARB) (GLenum, GLuint, const GLdouble *);
typedef void (* FUNC_glProgramLocalParameter4fARB) (GLenum, GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramLocalParameter4fvARB) (GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glProgramLocalParameterI4iNV) (GLenum, GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramLocalParameterI4ivNV) (GLenum, GLuint, const GLint *);
typedef void (* FUNC_glProgramLocalParameterI4uiNV) (GLenum, GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramLocalParameterI4uivNV) (GLenum, GLuint, const GLuint *);
typedef void (* FUNC_glProgramLocalParameters4fvEXT) (GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramLocalParametersI4ivNV) (GLenum, GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramLocalParametersI4uivNV) (GLenum, GLuint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramNamedParameter4dNV) (GLuint, GLsizei, const GLubyte *, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramNamedParameter4dvNV) (GLuint, GLsizei, const GLubyte *, const GLdouble *);
typedef void (* FUNC_glProgramNamedParameter4fNV) (GLuint, GLsizei, const GLubyte *, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramNamedParameter4fvNV) (GLuint, GLsizei, const GLubyte *, const GLfloat *);
typedef void (* FUNC_glProgramParameter4dNV) (GLenum, GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramParameter4dvNV) (GLenum, GLuint, const GLdouble *);
typedef void (* FUNC_glProgramParameter4fNV) (GLenum, GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramParameter4fvNV) (GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glProgramParameteri) (GLuint, GLenum, GLint);
typedef void (* FUNC_glProgramParameteriARB) (GLuint, GLenum, GLint);
typedef void (* FUNC_glProgramParameteriEXT) (GLuint, GLenum, GLint);
typedef void (* FUNC_glProgramParameters4dvNV) (GLenum, GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramParameters4fvNV) (GLenum, GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramPathFragmentInputGenNV) (GLuint, GLint, GLenum, GLint, const GLfloat *);
typedef void (* FUNC_glProgramStringARB) (GLenum, GLenum, GLsizei, const void *);
typedef void (* FUNC_glProgramSubroutineParametersuivNV) (GLenum, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform1d) (GLuint, GLint, GLdouble);
typedef void (* FUNC_glProgramUniform1dEXT) (GLuint, GLint, GLdouble);
typedef void (* FUNC_glProgramUniform1dv) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform1dvEXT) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform1f) (GLuint, GLint, GLfloat);
typedef void (* FUNC_glProgramUniform1fEXT) (GLuint, GLint, GLfloat);
typedef void (* FUNC_glProgramUniform1fv) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform1fvEXT) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform1i) (GLuint, GLint, GLint);
typedef void (* FUNC_glProgramUniform1i64ARB) (GLuint, GLint, GLint64);
typedef void (* FUNC_glProgramUniform1i64NV) (GLuint, GLint, GLint64EXT);
typedef void (* FUNC_glProgramUniform1i64vARB) (GLuint, GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glProgramUniform1i64vNV) (GLuint, GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glProgramUniform1iEXT) (GLuint, GLint, GLint);
typedef void (* FUNC_glProgramUniform1iv) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform1ivEXT) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform1ui) (GLuint, GLint, GLuint);
typedef void (* FUNC_glProgramUniform1ui64ARB) (GLuint, GLint, GLuint64);
typedef void (* FUNC_glProgramUniform1ui64NV) (GLuint, GLint, GLuint64EXT);
typedef void (* FUNC_glProgramUniform1ui64vARB) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniform1ui64vNV) (GLuint, GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glProgramUniform1uiEXT) (GLuint, GLint, GLuint);
typedef void (* FUNC_glProgramUniform1uiv) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform1uivEXT) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform2d) (GLuint, GLint, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform2dEXT) (GLuint, GLint, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform2dv) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform2dvEXT) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform2f) (GLuint, GLint, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform2fEXT) (GLuint, GLint, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform2fv) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform2fvEXT) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform2i) (GLuint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform2i64ARB) (GLuint, GLint, GLint64, GLint64);
typedef void (* FUNC_glProgramUniform2i64NV) (GLuint, GLint, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glProgramUniform2i64vARB) (GLuint, GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glProgramUniform2i64vNV) (GLuint, GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glProgramUniform2iEXT) (GLuint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform2iv) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform2ivEXT) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform2ui) (GLuint, GLint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform2ui64ARB) (GLuint, GLint, GLuint64, GLuint64);
typedef void (* FUNC_glProgramUniform2ui64NV) (GLuint, GLint, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glProgramUniform2ui64vARB) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniform2ui64vNV) (GLuint, GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glProgramUniform2uiEXT) (GLuint, GLint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform2uiv) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform2uivEXT) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform3d) (GLuint, GLint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform3dEXT) (GLuint, GLint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform3dv) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform3dvEXT) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform3f) (GLuint, GLint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform3fEXT) (GLuint, GLint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform3fv) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform3fvEXT) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform3i) (GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform3i64ARB) (GLuint, GLint, GLint64, GLint64, GLint64);
typedef void (* FUNC_glProgramUniform3i64NV) (GLuint, GLint, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glProgramUniform3i64vARB) (GLuint, GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glProgramUniform3i64vNV) (GLuint, GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glProgramUniform3iEXT) (GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform3iv) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform3ivEXT) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform3ui) (GLuint, GLint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform3ui64ARB) (GLuint, GLint, GLuint64, GLuint64, GLuint64);
typedef void (* FUNC_glProgramUniform3ui64NV) (GLuint, GLint, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glProgramUniform3ui64vARB) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniform3ui64vNV) (GLuint, GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glProgramUniform3uiEXT) (GLuint, GLint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform3uiv) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform3uivEXT) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform4d) (GLuint, GLint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform4dEXT) (GLuint, GLint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glProgramUniform4dv) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform4dvEXT) (GLuint, GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glProgramUniform4f) (GLuint, GLint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform4fEXT) (GLuint, GLint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glProgramUniform4fv) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform4fvEXT) (GLuint, GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glProgramUniform4i) (GLuint, GLint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform4i64ARB) (GLuint, GLint, GLint64, GLint64, GLint64, GLint64);
typedef void (* FUNC_glProgramUniform4i64NV) (GLuint, GLint, GLint64EXT, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glProgramUniform4i64vARB) (GLuint, GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glProgramUniform4i64vNV) (GLuint, GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glProgramUniform4iEXT) (GLuint, GLint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glProgramUniform4iv) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform4ivEXT) (GLuint, GLint, GLsizei, const GLint *);
typedef void (* FUNC_glProgramUniform4ui) (GLuint, GLint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform4ui64ARB) (GLuint, GLint, GLuint64, GLuint64, GLuint64, GLuint64);
typedef void (* FUNC_glProgramUniform4ui64NV) (GLuint, GLint, GLuint64EXT, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glProgramUniform4ui64vARB) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniform4ui64vNV) (GLuint, GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glProgramUniform4uiEXT) (GLuint, GLint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glProgramUniform4uiv) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniform4uivEXT) (GLuint, GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glProgramUniformHandleui64ARB) (GLuint, GLint, GLuint64);
typedef void (* FUNC_glProgramUniformHandleui64IMG) (GLuint, GLint, GLuint64);
typedef void (* FUNC_glProgramUniformHandleui64NV) (GLuint, GLint, GLuint64);
typedef void (* FUNC_glProgramUniformHandleui64vARB) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniformHandleui64vIMG) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniformHandleui64vNV) (GLuint, GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glProgramUniformMatrix2dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix2fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix2x3dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2x3dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2x3fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix2x3fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix2x4dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2x4dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix2x4fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix2x4fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3x2dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3x2dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3x2fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3x2fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3x4dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3x4dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix3x4fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix3x4fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4x2dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4x2dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4x2fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4x2fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4x3dv) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4x3dvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glProgramUniformMatrix4x3fv) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformMatrix4x3fvEXT) (GLuint, GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glProgramUniformui64NV) (GLuint, GLint, GLuint64EXT);
typedef void (* FUNC_glProgramUniformui64vNV) (GLuint, GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glProgramVertexLimitNV) (GLenum, GLint);
typedef void (* FUNC_glProvokingVertex) (GLenum);
typedef void (* FUNC_glProvokingVertexEXT) (GLenum);
typedef void (* FUNC_glPushAttrib) (GLbitfield);
typedef void (* FUNC_glPushClientAttrib) (GLbitfield);
typedef void (* FUNC_glPushClientAttribDefaultEXT) (GLbitfield);
typedef void (* FUNC_glPushDebugGroup) (GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glPushDebugGroupKHR) (GLenum, GLuint, GLsizei, const GLchar *);
typedef void (* FUNC_glPushGroupMarkerEXT) (GLsizei, const GLchar *);
typedef void (* FUNC_glPushMatrix) ();
typedef void (* FUNC_glPushName) (GLuint);
typedef void (* FUNC_glQueryCounter) (GLuint, GLenum);
typedef void (* FUNC_glQueryCounterEXT) (GLuint, GLenum);
typedef GLbitfield (* FUNC_glQueryMatrixxOES) (GLfixed *, GLint *);
typedef void (* FUNC_glQueryObjectParameteruiAMD) (GLenum, GLuint, GLenum, GLuint);
typedef void (* FUNC_glRasterPos2d) (GLdouble, GLdouble);
typedef void (* FUNC_glRasterPos2dv) (const GLdouble *);
typedef void (* FUNC_glRasterPos2f) (GLfloat, GLfloat);
typedef void (* FUNC_glRasterPos2fv) (const GLfloat *);
typedef void (* FUNC_glRasterPos2i) (GLint, GLint);
typedef void (* FUNC_glRasterPos2iv) (const GLint *);
typedef void (* FUNC_glRasterPos2s) (GLshort, GLshort);
typedef void (* FUNC_glRasterPos2sv) (const GLshort *);
typedef void (* FUNC_glRasterPos2xOES) (GLfixed, GLfixed);
typedef void (* FUNC_glRasterPos2xvOES) (const GLfixed *);
typedef void (* FUNC_glRasterPos3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glRasterPos3dv) (const GLdouble *);
typedef void (* FUNC_glRasterPos3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glRasterPos3fv) (const GLfloat *);
typedef void (* FUNC_glRasterPos3i) (GLint, GLint, GLint);
typedef void (* FUNC_glRasterPos3iv) (const GLint *);
typedef void (* FUNC_glRasterPos3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glRasterPos3sv) (const GLshort *);
typedef void (* FUNC_glRasterPos3xOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glRasterPos3xvOES) (const GLfixed *);
typedef void (* FUNC_glRasterPos4d) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glRasterPos4dv) (const GLdouble *);
typedef void (* FUNC_glRasterPos4f) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glRasterPos4fv) (const GLfloat *);
typedef void (* FUNC_glRasterPos4i) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glRasterPos4iv) (const GLint *);
typedef void (* FUNC_glRasterPos4s) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glRasterPos4sv) (const GLshort *);
typedef void (* FUNC_glRasterPos4xOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glRasterPos4xvOES) (const GLfixed *);
typedef void (* FUNC_glRasterSamplesEXT) (GLuint, GLboolean);
typedef void (* FUNC_glReadBuffer) (GLenum);
typedef void (* FUNC_glReadBufferIndexedEXT) (GLenum, GLint);
typedef void (* FUNC_glReadBufferNV) (GLenum);
typedef void (* FUNC_glReadInstrumentsSGIX) (GLint);
typedef void (* FUNC_glReadPixels) (GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, void *);
typedef void (* FUNC_glReadnPixels) (GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glReadnPixelsARB) (GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glReadnPixelsEXT) (GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glReadnPixelsKHR) (GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void *);
typedef void (* FUNC_glRectd) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glRectdv) (const GLdouble *, const GLdouble *);
typedef void (* FUNC_glRectf) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glRectfv) (const GLfloat *, const GLfloat *);
typedef void (* FUNC_glRecti) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glRectiv) (const GLint *, const GLint *);
typedef void (* FUNC_glRects) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glRectsv) (const GLshort *, const GLshort *);
typedef void (* FUNC_glRectxOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glRectxvOES) (const GLfixed *, const GLfixed *);
typedef void (* FUNC_glReferencePlaneSGIX) (const GLdouble *);
typedef void (* FUNC_glReleaseShaderCompiler) ();
typedef GLint (* FUNC_glRenderMode) (GLenum);
typedef void (* FUNC_glRenderbufferStorage) (GLenum, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageEXT) (GLenum, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisample) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleANGLE) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleAPPLE) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleCoverageNV) (GLenum, GLsizei, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleEXT) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleIMG) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageMultisampleNV) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glRenderbufferStorageOES) (GLenum, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glReplacementCodePointerSUN) (GLenum, GLsizei, const void **);
typedef void (* FUNC_glReplacementCodeubSUN) (GLubyte);
typedef void (* FUNC_glReplacementCodeubvSUN) (const GLubyte *);
typedef void (* FUNC_glReplacementCodeuiColor3fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiColor3fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiColor4fNormal3fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiColor4fNormal3fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiColor4ubVertex3fSUN) (GLuint, GLubyte, GLubyte, GLubyte, GLubyte, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiColor4ubVertex3fvSUN) (const GLuint *, const GLubyte *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiNormal3fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiNormal3fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiSUN) (GLuint);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiTexCoord2fVertex3fvSUN) (const GLuint *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuiVertex3fSUN) (GLuint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glReplacementCodeuiVertex3fvSUN) (const GLuint *, const GLfloat *);
typedef void (* FUNC_glReplacementCodeuivSUN) (const GLuint *);
typedef void (* FUNC_glReplacementCodeusSUN) (GLushort);
typedef void (* FUNC_glReplacementCodeusvSUN) (const GLushort *);
typedef void (* FUNC_glRequestResidentProgramsNV) (GLsizei, const GLuint *);
typedef void (* FUNC_glResetHistogram) (GLenum);
typedef void (* FUNC_glResetHistogramEXT) (GLenum);
typedef void (* FUNC_glResetMinmax) (GLenum);
typedef void (* FUNC_glResetMinmaxEXT) (GLenum);
typedef void (* FUNC_glResizeBuffersMESA) ();
typedef void (* FUNC_glResolveDepthValuesNV) ();
typedef void (* FUNC_glResolveMultisampleFramebufferAPPLE) ();
typedef void (* FUNC_glResumeTransformFeedback) ();
typedef void (* FUNC_glResumeTransformFeedbackNV) ();
typedef void (* FUNC_glRotated) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glRotatef) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glRotatex) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glRotatexOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glSampleCoverage) (GLfloat, GLboolean);
typedef void (* FUNC_glSampleCoverageARB) (GLfloat, GLboolean);
typedef void (* FUNC_glSampleCoveragex) (GLclampx, GLboolean);
typedef void (* FUNC_glSampleCoveragexOES) (GLclampx, GLboolean);
typedef void (* FUNC_glSampleMapATI) (GLuint, GLuint, GLenum);
typedef void (* FUNC_glSampleMaskEXT) (GLclampf, GLboolean);
typedef void (* FUNC_glSampleMaskIndexedNV) (GLuint, GLbitfield);
typedef void (* FUNC_glSampleMaskSGIS) (GLclampf, GLboolean);
typedef void (* FUNC_glSampleMaski) (GLuint, GLbitfield);
typedef void (* FUNC_glSamplePatternEXT) (GLenum);
typedef void (* FUNC_glSamplePatternSGIS) (GLenum);
typedef void (* FUNC_glSamplerParameterIiv) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glSamplerParameterIivEXT) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glSamplerParameterIivOES) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glSamplerParameterIuiv) (GLuint, GLenum, const GLuint *);
typedef void (* FUNC_glSamplerParameterIuivEXT) (GLuint, GLenum, const GLuint *);
typedef void (* FUNC_glSamplerParameterIuivOES) (GLuint, GLenum, const GLuint *);
typedef void (* FUNC_glSamplerParameterf) (GLuint, GLenum, GLfloat);
typedef void (* FUNC_glSamplerParameterfv) (GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glSamplerParameteri) (GLuint, GLenum, GLint);
typedef void (* FUNC_glSamplerParameteriv) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glScaled) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glScalef) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glScalex) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glScalexOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glScissor) (GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glScissorArrayv) (GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glScissorArrayvNV) (GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glScissorArrayvOES) (GLuint, GLsizei, const GLint *);
typedef void (* FUNC_glScissorIndexed) (GLuint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glScissorIndexedNV) (GLuint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glScissorIndexedOES) (GLuint, GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glScissorIndexedv) (GLuint, const GLint *);
typedef void (* FUNC_glScissorIndexedvNV) (GLuint, const GLint *);
typedef void (* FUNC_glScissorIndexedvOES) (GLuint, const GLint *);
typedef void (* FUNC_glSecondaryColor3b) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glSecondaryColor3bEXT) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glSecondaryColor3bv) (const GLbyte *);
typedef void (* FUNC_glSecondaryColor3bvEXT) (const GLbyte *);
typedef void (* FUNC_glSecondaryColor3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glSecondaryColor3dEXT) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glSecondaryColor3dv) (const GLdouble *);
typedef void (* FUNC_glSecondaryColor3dvEXT) (const GLdouble *);
typedef void (* FUNC_glSecondaryColor3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glSecondaryColor3fEXT) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glSecondaryColor3fv) (const GLfloat *);
typedef void (* FUNC_glSecondaryColor3fvEXT) (const GLfloat *);
typedef void (* FUNC_glSecondaryColor3hNV) (GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glSecondaryColor3hvNV) (const GLhalfNV *);
typedef void (* FUNC_glSecondaryColor3i) (GLint, GLint, GLint);
typedef void (* FUNC_glSecondaryColor3iEXT) (GLint, GLint, GLint);
typedef void (* FUNC_glSecondaryColor3iv) (const GLint *);
typedef void (* FUNC_glSecondaryColor3ivEXT) (const GLint *);
typedef void (* FUNC_glSecondaryColor3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glSecondaryColor3sEXT) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glSecondaryColor3sv) (const GLshort *);
typedef void (* FUNC_glSecondaryColor3svEXT) (const GLshort *);
typedef void (* FUNC_glSecondaryColor3ub) (GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glSecondaryColor3ubEXT) (GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glSecondaryColor3ubv) (const GLubyte *);
typedef void (* FUNC_glSecondaryColor3ubvEXT) (const GLubyte *);
typedef void (* FUNC_glSecondaryColor3ui) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glSecondaryColor3uiEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glSecondaryColor3uiv) (const GLuint *);
typedef void (* FUNC_glSecondaryColor3uivEXT) (const GLuint *);
typedef void (* FUNC_glSecondaryColor3us) (GLushort, GLushort, GLushort);
typedef void (* FUNC_glSecondaryColor3usEXT) (GLushort, GLushort, GLushort);
typedef void (* FUNC_glSecondaryColor3usv) (const GLushort *);
typedef void (* FUNC_glSecondaryColor3usvEXT) (const GLushort *);
typedef void (* FUNC_glSecondaryColorFormatNV) (GLint, GLenum, GLsizei);
typedef void (* FUNC_glSecondaryColorP3ui) (GLenum, GLuint);
typedef void (* FUNC_glSecondaryColorP3uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glSecondaryColorPointer) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glSecondaryColorPointerEXT) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glSecondaryColorPointerListIBM) (GLint, GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glSelectBuffer) (GLsizei, GLuint *);
typedef void (* FUNC_glSelectPerfMonitorCountersAMD) (GLuint, GLboolean, GLuint, GLint, GLuint *);
typedef void (* FUNC_glSeparableFilter2D) (GLenum, GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *, const void *);
typedef void (* FUNC_glSeparableFilter2DEXT) (GLenum, GLenum, GLsizei, GLsizei, GLenum, GLenum, const void *, const void *);
typedef void (* FUNC_glSetFenceAPPLE) (GLuint);
typedef void (* FUNC_glSetFenceNV) (GLuint, GLenum);
typedef void (* FUNC_glSetFragmentShaderConstantATI) (GLuint, const GLfloat *);
typedef void (* FUNC_glSetInvariantEXT) (GLuint, GLenum, const void *);
typedef void (* FUNC_glSetLocalConstantEXT) (GLuint, GLenum, const void *);
typedef void (* FUNC_glSetMultisamplefvAMD) (GLenum, GLuint, const GLfloat *);
typedef void (* FUNC_glShadeModel) (GLenum);
typedef void (* FUNC_glShaderBinary) (GLsizei, const GLuint *, GLenum, const void *, GLsizei);
typedef void (* FUNC_glShaderOp1EXT) (GLenum, GLuint, GLuint);
typedef void (* FUNC_glShaderOp2EXT) (GLenum, GLuint, GLuint, GLuint);
typedef void (* FUNC_glShaderOp3EXT) (GLenum, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glShaderSource) (GLuint, GLsizei, const GLchar *const*, const GLint *);
typedef void (* FUNC_glShaderSourceARB) (GLhandleARB, GLsizei, const GLcharARB **, const GLint *);
typedef void (* FUNC_glShaderStorageBlockBinding) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glSharpenTexFuncSGIS) (GLenum, GLsizei, const GLfloat *);
typedef void (* FUNC_glSpriteParameterfSGIX) (GLenum, GLfloat);
typedef void (* FUNC_glSpriteParameterfvSGIX) (GLenum, const GLfloat *);
typedef void (* FUNC_glSpriteParameteriSGIX) (GLenum, GLint);
typedef void (* FUNC_glSpriteParameterivSGIX) (GLenum, const GLint *);
typedef void (* FUNC_glStartInstrumentsSGIX) ();
typedef void (* FUNC_glStartTilingQCOM) (GLuint, GLuint, GLuint, GLuint, GLbitfield);
typedef void (* FUNC_glStateCaptureNV) (GLuint, GLenum);
typedef void (* FUNC_glStencilClearTagEXT) (GLsizei, GLuint);
typedef void (* FUNC_glStencilFillPathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLenum, GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glStencilFillPathNV) (GLuint, GLenum, GLuint);
typedef void (* FUNC_glStencilFunc) (GLenum, GLint, GLuint);
typedef void (* FUNC_glStencilFuncSeparate) (GLenum, GLenum, GLint, GLuint);
typedef void (* FUNC_glStencilFuncSeparateATI) (GLenum, GLenum, GLint, GLuint);
typedef void (* FUNC_glStencilMask) (GLuint);
typedef void (* FUNC_glStencilMaskSeparate) (GLenum, GLuint);
typedef void (* FUNC_glStencilOp) (GLenum, GLenum, GLenum);
typedef void (* FUNC_glStencilOpSeparate) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glStencilOpSeparateATI) (GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glStencilOpValueAMD) (GLenum, GLuint);
typedef void (* FUNC_glStencilStrokePathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLint, GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glStencilStrokePathNV) (GLuint, GLint, GLuint);
typedef void (* FUNC_glStencilThenCoverFillPathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLenum, GLuint, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glStencilThenCoverFillPathNV) (GLuint, GLenum, GLuint, GLenum);
typedef void (* FUNC_glStencilThenCoverStrokePathInstancedNV) (GLsizei, GLenum, const void *, GLuint, GLint, GLuint, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glStencilThenCoverStrokePathNV) (GLuint, GLint, GLuint, GLenum);
typedef void (* FUNC_glStopInstrumentsSGIX) (GLint);
typedef void (* FUNC_glStringMarkerGREMEDY) (GLsizei, const void *);
typedef void (* FUNC_glSubpixelPrecisionBiasNV) (GLuint, GLuint);
typedef void (* FUNC_glSwizzleEXT) (GLuint, GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glSyncTextureINTEL) (GLuint);
typedef void (* FUNC_glTagSampleBufferSGIX) ();
typedef void (* FUNC_glTangent3bEXT) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glTangent3bvEXT) (const GLbyte *);
typedef void (* FUNC_glTangent3dEXT) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glTangent3dvEXT) (const GLdouble *);
typedef void (* FUNC_glTangent3fEXT) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTangent3fvEXT) (const GLfloat *);
typedef void (* FUNC_glTangent3iEXT) (GLint, GLint, GLint);
typedef void (* FUNC_glTangent3ivEXT) (const GLint *);
typedef void (* FUNC_glTangent3sEXT) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glTangent3svEXT) (const GLshort *);
typedef void (* FUNC_glTangentPointerEXT) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glTbufferMask3DFX) (GLuint);
typedef void (* FUNC_glTessellationFactorAMD) (GLfloat);
typedef void (* FUNC_glTessellationModeAMD) (GLenum);
typedef GLboolean (* FUNC_glTestFenceAPPLE) (GLuint);
typedef GLboolean (* FUNC_glTestFenceNV) (GLuint);
typedef GLboolean (* FUNC_glTestObjectAPPLE) (GLenum, GLuint);
typedef void (* FUNC_glTexBuffer) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glTexBufferARB) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glTexBufferEXT) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glTexBufferOES) (GLenum, GLenum, GLuint);
typedef void (* FUNC_glTexBufferRange) (GLenum, GLenum, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTexBufferRangeEXT) (GLenum, GLenum, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTexBufferRangeOES) (GLenum, GLenum, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTexBumpParameterfvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glTexBumpParameterivATI) (GLenum, const GLint *);
typedef void (* FUNC_glTexCoord1bOES) (GLbyte);
typedef void (* FUNC_glTexCoord1bvOES) (const GLbyte *);
typedef void (* FUNC_glTexCoord1d) (GLdouble);
typedef void (* FUNC_glTexCoord1dv) (const GLdouble *);
typedef void (* FUNC_glTexCoord1f) (GLfloat);
typedef void (* FUNC_glTexCoord1fv) (const GLfloat *);
typedef void (* FUNC_glTexCoord1hNV) (GLhalfNV);
typedef void (* FUNC_glTexCoord1hvNV) (const GLhalfNV *);
typedef void (* FUNC_glTexCoord1i) (GLint);
typedef void (* FUNC_glTexCoord1iv) (const GLint *);
typedef void (* FUNC_glTexCoord1s) (GLshort);
typedef void (* FUNC_glTexCoord1sv) (const GLshort *);
typedef void (* FUNC_glTexCoord1xOES) (GLfixed);
typedef void (* FUNC_glTexCoord1xvOES) (const GLfixed *);
typedef void (* FUNC_glTexCoord2bOES) (GLbyte, GLbyte);
typedef void (* FUNC_glTexCoord2bvOES) (const GLbyte *);
typedef void (* FUNC_glTexCoord2d) (GLdouble, GLdouble);
typedef void (* FUNC_glTexCoord2dv) (const GLdouble *);
typedef void (* FUNC_glTexCoord2f) (GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fColor3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fColor3fVertex3fvSUN) (const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord2fColor4fNormal3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fColor4fNormal3fVertex3fvSUN) (const GLfloat *, const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord2fColor4ubVertex3fSUN) (GLfloat, GLfloat, GLubyte, GLubyte, GLubyte, GLubyte, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fColor4ubVertex3fvSUN) (const GLfloat *, const GLubyte *, const GLfloat *);
typedef void (* FUNC_glTexCoord2fNormal3fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fNormal3fVertex3fvSUN) (const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord2fVertex3fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord2fVertex3fvSUN) (const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord2fv) (const GLfloat *);
typedef void (* FUNC_glTexCoord2hNV) (GLhalfNV, GLhalfNV);
typedef void (* FUNC_glTexCoord2hvNV) (const GLhalfNV *);
typedef void (* FUNC_glTexCoord2i) (GLint, GLint);
typedef void (* FUNC_glTexCoord2iv) (const GLint *);
typedef void (* FUNC_glTexCoord2s) (GLshort, GLshort);
typedef void (* FUNC_glTexCoord2sv) (const GLshort *);
typedef void (* FUNC_glTexCoord2xOES) (GLfixed, GLfixed);
typedef void (* FUNC_glTexCoord2xvOES) (const GLfixed *);
typedef void (* FUNC_glTexCoord3bOES) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glTexCoord3bvOES) (const GLbyte *);
typedef void (* FUNC_glTexCoord3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glTexCoord3dv) (const GLdouble *);
typedef void (* FUNC_glTexCoord3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord3fv) (const GLfloat *);
typedef void (* FUNC_glTexCoord3hNV) (GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glTexCoord3hvNV) (const GLhalfNV *);
typedef void (* FUNC_glTexCoord3i) (GLint, GLint, GLint);
typedef void (* FUNC_glTexCoord3iv) (const GLint *);
typedef void (* FUNC_glTexCoord3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glTexCoord3sv) (const GLshort *);
typedef void (* FUNC_glTexCoord3xOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glTexCoord3xvOES) (const GLfixed *);
typedef void (* FUNC_glTexCoord4bOES) (GLbyte, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glTexCoord4bvOES) (const GLbyte *);
typedef void (* FUNC_glTexCoord4d) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glTexCoord4dv) (const GLdouble *);
typedef void (* FUNC_glTexCoord4f) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord4fColor4fNormal3fVertex4fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord4fColor4fNormal3fVertex4fvSUN) (const GLfloat *, const GLfloat *, const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord4fVertex4fSUN) (GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTexCoord4fVertex4fvSUN) (const GLfloat *, const GLfloat *);
typedef void (* FUNC_glTexCoord4fv) (const GLfloat *);
typedef void (* FUNC_glTexCoord4hNV) (GLhalfNV, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glTexCoord4hvNV) (const GLhalfNV *);
typedef void (* FUNC_glTexCoord4i) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glTexCoord4iv) (const GLint *);
typedef void (* FUNC_glTexCoord4s) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glTexCoord4sv) (const GLshort *);
typedef void (* FUNC_glTexCoord4xOES) (GLfixed, GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glTexCoord4xvOES) (const GLfixed *);
typedef void (* FUNC_glTexCoordFormatNV) (GLint, GLenum, GLsizei);
typedef void (* FUNC_glTexCoordP1ui) (GLenum, GLuint);
typedef void (* FUNC_glTexCoordP1uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glTexCoordP2ui) (GLenum, GLuint);
typedef void (* FUNC_glTexCoordP2uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glTexCoordP3ui) (GLenum, GLuint);
typedef void (* FUNC_glTexCoordP3uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glTexCoordP4ui) (GLenum, GLuint);
typedef void (* FUNC_glTexCoordP4uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glTexCoordPointer) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glTexCoordPointerEXT) (GLint, GLenum, GLsizei, GLsizei, const void *);
typedef void (* FUNC_glTexCoordPointerListIBM) (GLint, GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glTexCoordPointervINTEL) (GLint, GLenum, const void **);
typedef void (* FUNC_glTexEnvf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glTexEnvfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glTexEnvi) (GLenum, GLenum, GLint);
typedef void (* FUNC_glTexEnviv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexEnvx) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glTexEnvxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glTexEnvxv) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glTexEnvxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glTexFilterFuncSGIS) (GLenum, GLenum, GLsizei, const GLfloat *);
typedef void (* FUNC_glTexGend) (GLenum, GLenum, GLdouble);
typedef void (* FUNC_glTexGendv) (GLenum, GLenum, const GLdouble *);
typedef void (* FUNC_glTexGenf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glTexGenfOES) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glTexGenfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glTexGenfvOES) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glTexGeni) (GLenum, GLenum, GLint);
typedef void (* FUNC_glTexGeniOES) (GLenum, GLenum, GLint);
typedef void (* FUNC_glTexGeniv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexGenivOES) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexGenxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glTexGenxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glTexImage1D) (GLenum, GLint, GLint, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexImage2D) (GLenum, GLint, GLint, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexImage2DMultisample) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexImage2DMultisampleCoverageNV) (GLenum, GLsizei, GLsizei, GLint, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexImage3D) (GLenum, GLint, GLint, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexImage3DEXT) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexImage3DMultisample) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexImage3DMultisampleCoverageNV) (GLenum, GLsizei, GLsizei, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexImage3DOES) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexImage4DSGIS) (GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexPageCommitmentARB) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexPageCommitmentEXT) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexParameterIiv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexParameterIivEXT) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexParameterIivOES) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexParameterIuiv) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glTexParameterIuivEXT) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glTexParameterIuivOES) (GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glTexParameterf) (GLenum, GLenum, GLfloat);
typedef void (* FUNC_glTexParameterfv) (GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glTexParameteri) (GLenum, GLenum, GLint);
typedef void (* FUNC_glTexParameteriv) (GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTexParameterx) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glTexParameterxOES) (GLenum, GLenum, GLfixed);
typedef void (* FUNC_glTexParameterxv) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glTexParameterxvOES) (GLenum, GLenum, const GLfixed *);
typedef void (* FUNC_glTexRenderbufferNV) (GLenum, GLuint);
typedef void (* FUNC_glTexStorage1D) (GLenum, GLsizei, GLenum, GLsizei);
typedef void (* FUNC_glTexStorage1DEXT) (GLenum, GLsizei, GLenum, GLsizei);
typedef void (* FUNC_glTexStorage2D) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glTexStorage2DEXT) (GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glTexStorage2DMultisample) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexStorage3D) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glTexStorage3DEXT) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glTexStorage3DMultisample) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexStorage3DMultisampleOES) (GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTexStorageSparseAMD) (GLenum, GLenum, GLsizei, GLsizei, GLsizei, GLsizei, GLbitfield);
typedef void (* FUNC_glTexSubImage1D) (GLenum, GLint, GLint, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage1DEXT) (GLenum, GLint, GLint, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage2D) (GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage2DEXT) (GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage3D) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage3DEXT) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage3DOES) (GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTexSubImage4DSGIS) (GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureBarrier) ();
typedef void (* FUNC_glTextureBarrierNV) ();
typedef void (* FUNC_glTextureBuffer) (GLuint, GLenum, GLuint);
typedef void (* FUNC_glTextureBufferEXT) (GLuint, GLenum, GLenum, GLuint);
typedef void (* FUNC_glTextureBufferRange) (GLuint, GLenum, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTextureBufferRangeEXT) (GLuint, GLenum, GLenum, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTextureColorMaskSGIS) (GLboolean, GLboolean, GLboolean, GLboolean);
typedef void (* FUNC_glTextureImage1DEXT) (GLuint, GLenum, GLint, GLint, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureImage2DEXT) (GLuint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureImage2DMultisampleCoverageNV) (GLuint, GLenum, GLsizei, GLsizei, GLint, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureImage2DMultisampleNV) (GLuint, GLenum, GLsizei, GLint, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureImage3DEXT) (GLuint, GLenum, GLint, GLint, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureImage3DMultisampleCoverageNV) (GLuint, GLenum, GLsizei, GLsizei, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureImage3DMultisampleNV) (GLuint, GLenum, GLsizei, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureLightEXT) (GLenum);
typedef void (* FUNC_glTextureMaterialEXT) (GLenum, GLenum);
typedef void (* FUNC_glTextureNormalEXT) (GLenum);
typedef void (* FUNC_glTexturePageCommitmentEXT) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureParameterIiv) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glTextureParameterIivEXT) (GLuint, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTextureParameterIuiv) (GLuint, GLenum, const GLuint *);
typedef void (* FUNC_glTextureParameterIuivEXT) (GLuint, GLenum, GLenum, const GLuint *);
typedef void (* FUNC_glTextureParameterf) (GLuint, GLenum, GLfloat);
typedef void (* FUNC_glTextureParameterfEXT) (GLuint, GLenum, GLenum, GLfloat);
typedef void (* FUNC_glTextureParameterfv) (GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glTextureParameterfvEXT) (GLuint, GLenum, GLenum, const GLfloat *);
typedef void (* FUNC_glTextureParameteri) (GLuint, GLenum, GLint);
typedef void (* FUNC_glTextureParameteriEXT) (GLuint, GLenum, GLenum, GLint);
typedef void (* FUNC_glTextureParameteriv) (GLuint, GLenum, const GLint *);
typedef void (* FUNC_glTextureParameterivEXT) (GLuint, GLenum, GLenum, const GLint *);
typedef void (* FUNC_glTextureRangeAPPLE) (GLenum, GLsizei, const void *);
typedef void (* FUNC_glTextureRenderbufferEXT) (GLuint, GLenum, GLuint);
typedef void (* FUNC_glTextureStorage1D) (GLuint, GLsizei, GLenum, GLsizei);
typedef void (* FUNC_glTextureStorage1DEXT) (GLuint, GLenum, GLsizei, GLenum, GLsizei);
typedef void (* FUNC_glTextureStorage2D) (GLuint, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glTextureStorage2DEXT) (GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei);
typedef void (* FUNC_glTextureStorage2DMultisample) (GLuint, GLsizei, GLenum, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureStorage2DMultisampleEXT) (GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureStorage3D) (GLuint, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glTextureStorage3DEXT) (GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
typedef void (* FUNC_glTextureStorage3DMultisample) (GLuint, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureStorage3DMultisampleEXT) (GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
typedef void (* FUNC_glTextureStorageSparseAMD) (GLuint, GLenum, GLenum, GLsizei, GLsizei, GLsizei, GLsizei, GLbitfield);
typedef void (* FUNC_glTextureSubImage1D) (GLuint, GLint, GLint, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureSubImage1DEXT) (GLuint, GLenum, GLint, GLint, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureSubImage2D) (GLuint, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureSubImage2DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureSubImage3D) (GLuint, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureSubImage3DEXT) (GLuint, GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void *);
typedef void (* FUNC_glTextureView) (GLuint, GLenum, GLuint, GLenum, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glTextureViewEXT) (GLuint, GLenum, GLuint, GLenum, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glTextureViewOES) (GLuint, GLenum, GLuint, GLenum, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glTrackMatrixNV) (GLenum, GLuint, GLenum, GLenum);
typedef void (* FUNC_glTransformFeedbackAttribsNV) (GLsizei, const GLint *, GLenum);
typedef void (* FUNC_glTransformFeedbackBufferBase) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glTransformFeedbackBufferRange) (GLuint, GLuint, GLuint, GLintptr, GLsizeiptr);
typedef void (* FUNC_glTransformFeedbackStreamAttribsNV) (GLsizei, const GLint *, GLsizei, const GLint *, GLenum);
typedef void (* FUNC_glTransformFeedbackVaryings) (GLuint, GLsizei, const GLchar *const*, GLenum);
typedef void (* FUNC_glTransformFeedbackVaryingsEXT) (GLuint, GLsizei, const GLchar *const*, GLenum);
typedef void (* FUNC_glTransformFeedbackVaryingsNV) (GLuint, GLsizei, const GLint *, GLenum);
typedef void (* FUNC_glTransformPathNV) (GLuint, GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glTranslated) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glTranslatef) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glTranslatex) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glTranslatexOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glUniform1d) (GLint, GLdouble);
typedef void (* FUNC_glUniform1dv) (GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glUniform1f) (GLint, GLfloat);
typedef void (* FUNC_glUniform1fARB) (GLint, GLfloat);
typedef void (* FUNC_glUniform1fv) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform1fvARB) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform1i) (GLint, GLint);
typedef void (* FUNC_glUniform1i64ARB) (GLint, GLint64);
typedef void (* FUNC_glUniform1i64NV) (GLint, GLint64EXT);
typedef void (* FUNC_glUniform1i64vARB) (GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glUniform1i64vNV) (GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glUniform1iARB) (GLint, GLint);
typedef void (* FUNC_glUniform1iv) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform1ivARB) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform1ui) (GLint, GLuint);
typedef void (* FUNC_glUniform1ui64ARB) (GLint, GLuint64);
typedef void (* FUNC_glUniform1ui64NV) (GLint, GLuint64EXT);
typedef void (* FUNC_glUniform1ui64vARB) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniform1ui64vNV) (GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glUniform1uiEXT) (GLint, GLuint);
typedef void (* FUNC_glUniform1uiv) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform1uivEXT) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform2d) (GLint, GLdouble, GLdouble);
typedef void (* FUNC_glUniform2dv) (GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glUniform2f) (GLint, GLfloat, GLfloat);
typedef void (* FUNC_glUniform2fARB) (GLint, GLfloat, GLfloat);
typedef void (* FUNC_glUniform2fv) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform2fvARB) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform2i) (GLint, GLint, GLint);
typedef void (* FUNC_glUniform2i64ARB) (GLint, GLint64, GLint64);
typedef void (* FUNC_glUniform2i64NV) (GLint, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glUniform2i64vARB) (GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glUniform2i64vNV) (GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glUniform2iARB) (GLint, GLint, GLint);
typedef void (* FUNC_glUniform2iv) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform2ivARB) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform2ui) (GLint, GLuint, GLuint);
typedef void (* FUNC_glUniform2ui64ARB) (GLint, GLuint64, GLuint64);
typedef void (* FUNC_glUniform2ui64NV) (GLint, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glUniform2ui64vARB) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniform2ui64vNV) (GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glUniform2uiEXT) (GLint, GLuint, GLuint);
typedef void (* FUNC_glUniform2uiv) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform2uivEXT) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform3d) (GLint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glUniform3dv) (GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glUniform3f) (GLint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glUniform3fARB) (GLint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glUniform3fv) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform3fvARB) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform3i) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glUniform3i64ARB) (GLint, GLint64, GLint64, GLint64);
typedef void (* FUNC_glUniform3i64NV) (GLint, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glUniform3i64vARB) (GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glUniform3i64vNV) (GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glUniform3iARB) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glUniform3iv) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform3ivARB) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform3ui) (GLint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glUniform3ui64ARB) (GLint, GLuint64, GLuint64, GLuint64);
typedef void (* FUNC_glUniform3ui64NV) (GLint, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glUniform3ui64vARB) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniform3ui64vNV) (GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glUniform3uiEXT) (GLint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glUniform3uiv) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform3uivEXT) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform4d) (GLint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glUniform4dv) (GLint, GLsizei, const GLdouble *);
typedef void (* FUNC_glUniform4f) (GLint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glUniform4fARB) (GLint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glUniform4fv) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform4fvARB) (GLint, GLsizei, const GLfloat *);
typedef void (* FUNC_glUniform4i) (GLint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glUniform4i64ARB) (GLint, GLint64, GLint64, GLint64, GLint64);
typedef void (* FUNC_glUniform4i64NV) (GLint, GLint64EXT, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glUniform4i64vARB) (GLint, GLsizei, const GLint64 *);
typedef void (* FUNC_glUniform4i64vNV) (GLint, GLsizei, const GLint64EXT *);
typedef void (* FUNC_glUniform4iARB) (GLint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glUniform4iv) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform4ivARB) (GLint, GLsizei, const GLint *);
typedef void (* FUNC_glUniform4ui) (GLint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glUniform4ui64ARB) (GLint, GLuint64, GLuint64, GLuint64, GLuint64);
typedef void (* FUNC_glUniform4ui64NV) (GLint, GLuint64EXT, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glUniform4ui64vARB) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniform4ui64vNV) (GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glUniform4uiEXT) (GLint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glUniform4uiv) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniform4uivEXT) (GLint, GLsizei, const GLuint *);
typedef void (* FUNC_glUniformBlockBinding) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glUniformBufferEXT) (GLuint, GLint, GLuint);
typedef void (* FUNC_glUniformHandleui64ARB) (GLint, GLuint64);
typedef void (* FUNC_glUniformHandleui64IMG) (GLint, GLuint64);
typedef void (* FUNC_glUniformHandleui64NV) (GLint, GLuint64);
typedef void (* FUNC_glUniformHandleui64vARB) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniformHandleui64vIMG) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniformHandleui64vNV) (GLint, GLsizei, const GLuint64 *);
typedef void (* FUNC_glUniformMatrix2dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix2fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix2fvARB) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix2x3dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix2x3fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix2x3fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix2x4dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix2x4fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix2x4fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix3fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3fvARB) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3x2dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix3x2fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3x2fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3x4dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix3x4fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix3x4fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix4fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4fvARB) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4x2dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix4x2fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4x2fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4x3dv) (GLint, GLsizei, GLboolean, const GLdouble *);
typedef void (* FUNC_glUniformMatrix4x3fv) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformMatrix4x3fvNV) (GLint, GLsizei, GLboolean, const GLfloat *);
typedef void (* FUNC_glUniformSubroutinesuiv) (GLenum, GLsizei, const GLuint *);
typedef void (* FUNC_glUniformui64NV) (GLint, GLuint64EXT);
typedef void (* FUNC_glUniformui64vNV) (GLint, GLsizei, const GLuint64EXT *);
typedef void (* FUNC_glUnlockArraysEXT) ();
typedef GLboolean (* FUNC_glUnmapBuffer) (GLenum);
typedef GLboolean (* FUNC_glUnmapBufferARB) (GLenum);
typedef GLboolean (* FUNC_glUnmapBufferOES) (GLenum);
typedef GLboolean (* FUNC_glUnmapNamedBuffer) (GLuint);
typedef GLboolean (* FUNC_glUnmapNamedBufferEXT) (GLuint);
typedef void (* FUNC_glUnmapObjectBufferATI) (GLuint);
typedef void (* FUNC_glUnmapTexture2DINTEL) (GLuint, GLint);
typedef void (* FUNC_glUpdateObjectBufferATI) (GLuint, GLuint, GLsizei, const void *, GLenum);
typedef void (* FUNC_glUseProgram) (GLuint);
typedef void (* FUNC_glUseProgramObjectARB) (GLhandleARB);
typedef void (* FUNC_glUseProgramStages) (GLuint, GLbitfield, GLuint);
typedef void (* FUNC_glUseProgramStagesEXT) (GLuint, GLbitfield, GLuint);
typedef void (* FUNC_glUseShaderProgramEXT) (GLenum, GLuint);
typedef void (* FUNC_glVDPAUFiniNV) ();
typedef void (* FUNC_glVDPAUGetSurfaceivNV) (GLvdpauSurfaceNV, GLenum, GLsizei, GLsizei *, GLint *);
typedef void (* FUNC_glVDPAUInitNV) (const void *, const void *);
typedef GLboolean (* FUNC_glVDPAUIsSurfaceNV) (GLvdpauSurfaceNV);
typedef void (* FUNC_glVDPAUMapSurfacesNV) (GLsizei, const GLvdpauSurfaceNV *);
typedef GLvdpauSurfaceNV (* FUNC_glVDPAURegisterOutputSurfaceNV) (const void *, GLenum, GLsizei, const GLuint *);
typedef GLvdpauSurfaceNV (* FUNC_glVDPAURegisterVideoSurfaceNV) (const void *, GLenum, GLsizei, const GLuint *);
typedef void (* FUNC_glVDPAUSurfaceAccessNV) (GLvdpauSurfaceNV, GLenum);
typedef void (* FUNC_glVDPAUUnmapSurfacesNV) (GLsizei, const GLvdpauSurfaceNV *);
typedef void (* FUNC_glVDPAUUnregisterSurfaceNV) (GLvdpauSurfaceNV);
typedef void (* FUNC_glValidateProgram) (GLuint);
typedef void (* FUNC_glValidateProgramARB) (GLhandleARB);
typedef void (* FUNC_glValidateProgramPipeline) (GLuint);
typedef void (* FUNC_glValidateProgramPipelineEXT) (GLuint);
typedef void (* FUNC_glVariantArrayObjectATI) (GLuint, GLenum, GLsizei, GLuint, GLuint);
typedef void (* FUNC_glVariantPointerEXT) (GLuint, GLenum, GLuint, const void *);
typedef void (* FUNC_glVariantbvEXT) (GLuint, const GLbyte *);
typedef void (* FUNC_glVariantdvEXT) (GLuint, const GLdouble *);
typedef void (* FUNC_glVariantfvEXT) (GLuint, const GLfloat *);
typedef void (* FUNC_glVariantivEXT) (GLuint, const GLint *);
typedef void (* FUNC_glVariantsvEXT) (GLuint, const GLshort *);
typedef void (* FUNC_glVariantubvEXT) (GLuint, const GLubyte *);
typedef void (* FUNC_glVariantuivEXT) (GLuint, const GLuint *);
typedef void (* FUNC_glVariantusvEXT) (GLuint, const GLushort *);
typedef void (* FUNC_glVertex2bOES) (GLbyte, GLbyte);
typedef void (* FUNC_glVertex2bvOES) (const GLbyte *);
typedef void (* FUNC_glVertex2d) (GLdouble, GLdouble);
typedef void (* FUNC_glVertex2dv) (const GLdouble *);
typedef void (* FUNC_glVertex2f) (GLfloat, GLfloat);
typedef void (* FUNC_glVertex2fv) (const GLfloat *);
typedef void (* FUNC_glVertex2hNV) (GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertex2hvNV) (const GLhalfNV *);
typedef void (* FUNC_glVertex2i) (GLint, GLint);
typedef void (* FUNC_glVertex2iv) (const GLint *);
typedef void (* FUNC_glVertex2s) (GLshort, GLshort);
typedef void (* FUNC_glVertex2sv) (const GLshort *);
typedef void (* FUNC_glVertex2xOES) (GLfixed);
typedef void (* FUNC_glVertex2xvOES) (const GLfixed *);
typedef void (* FUNC_glVertex3bOES) (GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glVertex3bvOES) (const GLbyte *);
typedef void (* FUNC_glVertex3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertex3dv) (const GLdouble *);
typedef void (* FUNC_glVertex3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertex3fv) (const GLfloat *);
typedef void (* FUNC_glVertex3hNV) (GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertex3hvNV) (const GLhalfNV *);
typedef void (* FUNC_glVertex3i) (GLint, GLint, GLint);
typedef void (* FUNC_glVertex3iv) (const GLint *);
typedef void (* FUNC_glVertex3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertex3sv) (const GLshort *);
typedef void (* FUNC_glVertex3xOES) (GLfixed, GLfixed);
typedef void (* FUNC_glVertex3xvOES) (const GLfixed *);
typedef void (* FUNC_glVertex4bOES) (GLbyte, GLbyte, GLbyte, GLbyte);
typedef void (* FUNC_glVertex4bvOES) (const GLbyte *);
typedef void (* FUNC_glVertex4d) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertex4dv) (const GLdouble *);
typedef void (* FUNC_glVertex4f) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertex4fv) (const GLfloat *);
typedef void (* FUNC_glVertex4hNV) (GLhalfNV, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertex4hvNV) (const GLhalfNV *);
typedef void (* FUNC_glVertex4i) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glVertex4iv) (const GLint *);
typedef void (* FUNC_glVertex4s) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertex4sv) (const GLshort *);
typedef void (* FUNC_glVertex4xOES) (GLfixed, GLfixed, GLfixed);
typedef void (* FUNC_glVertex4xvOES) (const GLfixed *);
typedef void (* FUNC_glVertexArrayAttribBinding) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexArrayAttribFormat) (GLuint, GLuint, GLint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexArrayAttribIFormat) (GLuint, GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexArrayAttribLFormat) (GLuint, GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexArrayBindVertexBufferEXT) (GLuint, GLuint, GLuint, GLintptr, GLsizei);
typedef void (* FUNC_glVertexArrayBindingDivisor) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexArrayColorOffsetEXT) (GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayEdgeFlagOffsetEXT) (GLuint, GLuint, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayElementBuffer) (GLuint, GLuint);
typedef void (* FUNC_glVertexArrayFogCoordOffsetEXT) (GLuint, GLuint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayIndexOffsetEXT) (GLuint, GLuint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayMultiTexCoordOffsetEXT) (GLuint, GLuint, GLenum, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayNormalOffsetEXT) (GLuint, GLuint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayParameteriAPPLE) (GLenum, GLint);
typedef void (* FUNC_glVertexArrayRangeAPPLE) (GLsizei, void *);
typedef void (* FUNC_glVertexArrayRangeNV) (GLsizei, const void *);
typedef void (* FUNC_glVertexArraySecondaryColorOffsetEXT) (GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayTexCoordOffsetEXT) (GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayVertexAttribBindingEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexArrayVertexAttribDivisorEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexArrayVertexAttribFormatEXT) (GLuint, GLuint, GLint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexArrayVertexAttribIFormatEXT) (GLuint, GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexArrayVertexAttribIOffsetEXT) (GLuint, GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayVertexAttribLFormatEXT) (GLuint, GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexArrayVertexAttribLOffsetEXT) (GLuint, GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayVertexAttribOffsetEXT) (GLuint, GLuint, GLuint, GLint, GLenum, GLboolean, GLsizei, GLintptr);
typedef void (* FUNC_glVertexArrayVertexBindingDivisorEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexArrayVertexBuffer) (GLuint, GLuint, GLuint, GLintptr, GLsizei);
typedef void (* FUNC_glVertexArrayVertexBuffers) (GLuint, GLuint, GLsizei, const GLuint *, const GLintptr *, const GLsizei *);
typedef void (* FUNC_glVertexArrayVertexOffsetEXT) (GLuint, GLuint, GLint, GLenum, GLsizei, GLintptr);
typedef void (* FUNC_glVertexAttrib1d) (GLuint, GLdouble);
typedef void (* FUNC_glVertexAttrib1dARB) (GLuint, GLdouble);
typedef void (* FUNC_glVertexAttrib1dNV) (GLuint, GLdouble);
typedef void (* FUNC_glVertexAttrib1dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib1dvARB) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib1dvNV) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib1f) (GLuint, GLfloat);
typedef void (* FUNC_glVertexAttrib1fARB) (GLuint, GLfloat);
typedef void (* FUNC_glVertexAttrib1fNV) (GLuint, GLfloat);
typedef void (* FUNC_glVertexAttrib1fv) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib1fvARB) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib1fvNV) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib1hNV) (GLuint, GLhalfNV);
typedef void (* FUNC_glVertexAttrib1hvNV) (GLuint, const GLhalfNV *);
typedef void (* FUNC_glVertexAttrib1s) (GLuint, GLshort);
typedef void (* FUNC_glVertexAttrib1sARB) (GLuint, GLshort);
typedef void (* FUNC_glVertexAttrib1sNV) (GLuint, GLshort);
typedef void (* FUNC_glVertexAttrib1sv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib1svARB) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib1svNV) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib2d) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib2dARB) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib2dNV) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib2dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib2dvARB) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib2dvNV) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib2f) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib2fARB) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib2fNV) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib2fv) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib2fvARB) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib2fvNV) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib2hNV) (GLuint, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertexAttrib2hvNV) (GLuint, const GLhalfNV *);
typedef void (* FUNC_glVertexAttrib2s) (GLuint, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib2sARB) (GLuint, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib2sNV) (GLuint, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib2sv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib2svARB) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib2svNV) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib3d) (GLuint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib3dARB) (GLuint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib3dNV) (GLuint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib3dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib3dvARB) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib3dvNV) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib3f) (GLuint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib3fARB) (GLuint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib3fNV) (GLuint, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib3fv) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib3fvARB) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib3fvNV) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib3hNV) (GLuint, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertexAttrib3hvNV) (GLuint, const GLhalfNV *);
typedef void (* FUNC_glVertexAttrib3s) (GLuint, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib3sARB) (GLuint, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib3sNV) (GLuint, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib3sv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib3svARB) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib3svNV) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4Nbv) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttrib4NbvARB) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttrib4Niv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttrib4NivARB) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttrib4Nsv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4NsvARB) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4Nub) (GLuint, GLubyte, GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glVertexAttrib4NubARB) (GLuint, GLubyte, GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glVertexAttrib4Nubv) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttrib4NubvARB) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttrib4Nuiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttrib4NuivARB) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttrib4Nusv) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttrib4NusvARB) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttrib4bv) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttrib4bvARB) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttrib4d) (GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib4dARB) (GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib4dNV) (GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttrib4dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib4dvARB) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib4dvNV) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttrib4f) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib4fARB) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib4fNV) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexAttrib4fv) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib4fvARB) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib4fvNV) (GLuint, const GLfloat *);
typedef void (* FUNC_glVertexAttrib4hNV) (GLuint, GLhalfNV, GLhalfNV, GLhalfNV, GLhalfNV);
typedef void (* FUNC_glVertexAttrib4hvNV) (GLuint, const GLhalfNV *);
typedef void (* FUNC_glVertexAttrib4iv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttrib4ivARB) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttrib4s) (GLuint, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib4sARB) (GLuint, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib4sNV) (GLuint, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexAttrib4sv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4svARB) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4svNV) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttrib4ubNV) (GLuint, GLubyte, GLubyte, GLubyte, GLubyte);
typedef void (* FUNC_glVertexAttrib4ubv) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttrib4ubvARB) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttrib4ubvNV) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttrib4uiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttrib4uivARB) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttrib4usv) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttrib4usvARB) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttribArrayObjectATI) (GLuint, GLint, GLenum, GLboolean, GLsizei, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribBinding) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribDivisor) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribDivisorANGLE) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribDivisorARB) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribDivisorEXT) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribDivisorNV) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribFormat) (GLuint, GLint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexAttribFormatNV) (GLuint, GLint, GLenum, GLboolean, GLsizei);
typedef void (* FUNC_glVertexAttribI1i) (GLuint, GLint);
typedef void (* FUNC_glVertexAttribI1iEXT) (GLuint, GLint);
typedef void (* FUNC_glVertexAttribI1iv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI1ivEXT) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI1ui) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI1uiEXT) (GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI1uiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI1uivEXT) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI2i) (GLuint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI2iEXT) (GLuint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI2iv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI2ivEXT) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI2ui) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI2uiEXT) (GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI2uiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI2uivEXT) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI3i) (GLuint, GLint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI3iEXT) (GLuint, GLint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI3iv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI3ivEXT) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI3ui) (GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI3uiEXT) (GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI3uiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI3uivEXT) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI4bv) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttribI4bvEXT) (GLuint, const GLbyte *);
typedef void (* FUNC_glVertexAttribI4i) (GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI4iEXT) (GLuint, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glVertexAttribI4iv) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI4ivEXT) (GLuint, const GLint *);
typedef void (* FUNC_glVertexAttribI4sv) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttribI4svEXT) (GLuint, const GLshort *);
typedef void (* FUNC_glVertexAttribI4ubv) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttribI4ubvEXT) (GLuint, const GLubyte *);
typedef void (* FUNC_glVertexAttribI4ui) (GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI4uiEXT) (GLuint, GLuint, GLuint, GLuint, GLuint);
typedef void (* FUNC_glVertexAttribI4uiv) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI4uivEXT) (GLuint, const GLuint *);
typedef void (* FUNC_glVertexAttribI4usv) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttribI4usvEXT) (GLuint, const GLushort *);
typedef void (* FUNC_glVertexAttribIFormat) (GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexAttribIFormatNV) (GLuint, GLint, GLenum, GLsizei);
typedef void (* FUNC_glVertexAttribIPointer) (GLuint, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribIPointerEXT) (GLuint, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribL1d) (GLuint, GLdouble);
typedef void (* FUNC_glVertexAttribL1dEXT) (GLuint, GLdouble);
typedef void (* FUNC_glVertexAttribL1dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL1dvEXT) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL1i64NV) (GLuint, GLint64EXT);
typedef void (* FUNC_glVertexAttribL1i64vNV) (GLuint, const GLint64EXT *);
typedef void (* FUNC_glVertexAttribL1ui64ARB) (GLuint, GLuint64EXT);
typedef void (* FUNC_glVertexAttribL1ui64NV) (GLuint, GLuint64EXT);
typedef void (* FUNC_glVertexAttribL1ui64vARB) (GLuint, const GLuint64EXT *);
typedef void (* FUNC_glVertexAttribL1ui64vNV) (GLuint, const GLuint64EXT *);
typedef void (* FUNC_glVertexAttribL2d) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL2dEXT) (GLuint, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL2dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL2dvEXT) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL2i64NV) (GLuint, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glVertexAttribL2i64vNV) (GLuint, const GLint64EXT *);
typedef void (* FUNC_glVertexAttribL2ui64NV) (GLuint, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glVertexAttribL2ui64vNV) (GLuint, const GLuint64EXT *);
typedef void (* FUNC_glVertexAttribL3d) (GLuint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL3dEXT) (GLuint, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL3dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL3dvEXT) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL3i64NV) (GLuint, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glVertexAttribL3i64vNV) (GLuint, const GLint64EXT *);
typedef void (* FUNC_glVertexAttribL3ui64NV) (GLuint, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glVertexAttribL3ui64vNV) (GLuint, const GLuint64EXT *);
typedef void (* FUNC_glVertexAttribL4d) (GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL4dEXT) (GLuint, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexAttribL4dv) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL4dvEXT) (GLuint, const GLdouble *);
typedef void (* FUNC_glVertexAttribL4i64NV) (GLuint, GLint64EXT, GLint64EXT, GLint64EXT, GLint64EXT);
typedef void (* FUNC_glVertexAttribL4i64vNV) (GLuint, const GLint64EXT *);
typedef void (* FUNC_glVertexAttribL4ui64NV) (GLuint, GLuint64EXT, GLuint64EXT, GLuint64EXT, GLuint64EXT);
typedef void (* FUNC_glVertexAttribL4ui64vNV) (GLuint, const GLuint64EXT *);
typedef void (* FUNC_glVertexAttribLFormat) (GLuint, GLint, GLenum, GLuint);
typedef void (* FUNC_glVertexAttribLFormatNV) (GLuint, GLint, GLenum, GLsizei);
typedef void (* FUNC_glVertexAttribLPointer) (GLuint, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribLPointerEXT) (GLuint, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribP1ui) (GLuint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexAttribP1uiv) (GLuint, GLenum, GLboolean, const GLuint *);
typedef void (* FUNC_glVertexAttribP2ui) (GLuint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexAttribP2uiv) (GLuint, GLenum, GLboolean, const GLuint *);
typedef void (* FUNC_glVertexAttribP3ui) (GLuint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexAttribP3uiv) (GLuint, GLenum, GLboolean, const GLuint *);
typedef void (* FUNC_glVertexAttribP4ui) (GLuint, GLenum, GLboolean, GLuint);
typedef void (* FUNC_glVertexAttribP4uiv) (GLuint, GLenum, GLboolean, const GLuint *);
typedef void (* FUNC_glVertexAttribParameteriAMD) (GLuint, GLenum, GLint);
typedef void (* FUNC_glVertexAttribPointer) (GLuint, GLint, GLenum, GLboolean, GLsizei, unsigned long long);
typedef void (* FUNC_glVertexAttribPointerARB) (GLuint, GLint, GLenum, GLboolean, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribPointerNV) (GLuint, GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexAttribs1dvNV) (GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glVertexAttribs1fvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glVertexAttribs1hvNV) (GLuint, GLsizei, const GLhalfNV *);
typedef void (* FUNC_glVertexAttribs1svNV) (GLuint, GLsizei, const GLshort *);
typedef void (* FUNC_glVertexAttribs2dvNV) (GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glVertexAttribs2fvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glVertexAttribs2hvNV) (GLuint, GLsizei, const GLhalfNV *);
typedef void (* FUNC_glVertexAttribs2svNV) (GLuint, GLsizei, const GLshort *);
typedef void (* FUNC_glVertexAttribs3dvNV) (GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glVertexAttribs3fvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glVertexAttribs3hvNV) (GLuint, GLsizei, const GLhalfNV *);
typedef void (* FUNC_glVertexAttribs3svNV) (GLuint, GLsizei, const GLshort *);
typedef void (* FUNC_glVertexAttribs4dvNV) (GLuint, GLsizei, const GLdouble *);
typedef void (* FUNC_glVertexAttribs4fvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glVertexAttribs4hvNV) (GLuint, GLsizei, const GLhalfNV *);
typedef void (* FUNC_glVertexAttribs4svNV) (GLuint, GLsizei, const GLshort *);
typedef void (* FUNC_glVertexAttribs4ubvNV) (GLuint, GLsizei, const GLubyte *);
typedef void (* FUNC_glVertexBindingDivisor) (GLuint, GLuint);
typedef void (* FUNC_glVertexBlendARB) (GLint);
typedef void (* FUNC_glVertexBlendEnvfATI) (GLenum, GLfloat);
typedef void (* FUNC_glVertexBlendEnviATI) (GLenum, GLint);
typedef void (* FUNC_glVertexFormatNV) (GLint, GLenum, GLsizei);
typedef void (* FUNC_glVertexP2ui) (GLenum, GLuint);
typedef void (* FUNC_glVertexP2uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glVertexP3ui) (GLenum, GLuint);
typedef void (* FUNC_glVertexP3uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glVertexP4ui) (GLenum, GLuint);
typedef void (* FUNC_glVertexP4uiv) (GLenum, const GLuint *);
typedef void (* FUNC_glVertexPointer) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexPointerEXT) (GLint, GLenum, GLsizei, GLsizei, const void *);
typedef void (* FUNC_glVertexPointerListIBM) (GLint, GLenum, GLint, const void **, GLint);
typedef void (* FUNC_glVertexPointervINTEL) (GLint, GLenum, const void **);
typedef void (* FUNC_glVertexStream1dATI) (GLenum, GLdouble);
typedef void (* FUNC_glVertexStream1dvATI) (GLenum, const GLdouble *);
typedef void (* FUNC_glVertexStream1fATI) (GLenum, GLfloat);
typedef void (* FUNC_glVertexStream1fvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glVertexStream1iATI) (GLenum, GLint);
typedef void (* FUNC_glVertexStream1ivATI) (GLenum, const GLint *);
typedef void (* FUNC_glVertexStream1sATI) (GLenum, GLshort);
typedef void (* FUNC_glVertexStream1svATI) (GLenum, const GLshort *);
typedef void (* FUNC_glVertexStream2dATI) (GLenum, GLdouble, GLdouble);
typedef void (* FUNC_glVertexStream2dvATI) (GLenum, const GLdouble *);
typedef void (* FUNC_glVertexStream2fATI) (GLenum, GLfloat, GLfloat);
typedef void (* FUNC_glVertexStream2fvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glVertexStream2iATI) (GLenum, GLint, GLint);
typedef void (* FUNC_glVertexStream2ivATI) (GLenum, const GLint *);
typedef void (* FUNC_glVertexStream2sATI) (GLenum, GLshort, GLshort);
typedef void (* FUNC_glVertexStream2svATI) (GLenum, const GLshort *);
typedef void (* FUNC_glVertexStream3dATI) (GLenum, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexStream3dvATI) (GLenum, const GLdouble *);
typedef void (* FUNC_glVertexStream3fATI) (GLenum, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexStream3fvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glVertexStream3iATI) (GLenum, GLint, GLint, GLint);
typedef void (* FUNC_glVertexStream3ivATI) (GLenum, const GLint *);
typedef void (* FUNC_glVertexStream3sATI) (GLenum, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexStream3svATI) (GLenum, const GLshort *);
typedef void (* FUNC_glVertexStream4dATI) (GLenum, GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glVertexStream4dvATI) (GLenum, const GLdouble *);
typedef void (* FUNC_glVertexStream4fATI) (GLenum, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glVertexStream4fvATI) (GLenum, const GLfloat *);
typedef void (* FUNC_glVertexStream4iATI) (GLenum, GLint, GLint, GLint, GLint);
typedef void (* FUNC_glVertexStream4ivATI) (GLenum, const GLint *);
typedef void (* FUNC_glVertexStream4sATI) (GLenum, GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glVertexStream4svATI) (GLenum, const GLshort *);
typedef void (* FUNC_glVertexWeightPointerEXT) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glVertexWeightfEXT) (GLfloat);
typedef void (* FUNC_glVertexWeightfvEXT) (const GLfloat *);
typedef void (* FUNC_glVertexWeighthNV) (GLhalfNV);
typedef void (* FUNC_glVertexWeighthvNV) (const GLhalfNV *);
typedef GLenum (* FUNC_glVideoCaptureNV) (GLuint, GLuint *, GLuint64EXT *);
typedef void (* FUNC_glVideoCaptureStreamParameterdvNV) (GLuint, GLuint, GLenum, const GLdouble *);
typedef void (* FUNC_glVideoCaptureStreamParameterfvNV) (GLuint, GLuint, GLenum, const GLfloat *);
typedef void (* FUNC_glVideoCaptureStreamParameterivNV) (GLuint, GLuint, GLenum, const GLint *);
typedef void (* FUNC_glViewport) (GLint, GLint, GLsizei, GLsizei);
typedef void (* FUNC_glViewportArrayv) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glViewportArrayvNV) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glViewportArrayvOES) (GLuint, GLsizei, const GLfloat *);
typedef void (* FUNC_glViewportIndexedf) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glViewportIndexedfOES) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glViewportIndexedfNV) (GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glViewportIndexedfv) (GLuint, const GLfloat *);
typedef void (* FUNC_glViewportIndexedfvOES) (GLuint, const GLfloat *);
typedef void (* FUNC_glViewportIndexedfvNV) (GLuint, const GLfloat *);
typedef void (* FUNC_glViewportPositionWScaleNV) (GLuint, GLfloat, GLfloat);
typedef void (* FUNC_glViewportSwizzleNV) (GLuint, GLenum, GLenum, GLenum, GLenum);
typedef void (* FUNC_glWaitSync) (GLsync, GLbitfield, GLuint64);
typedef void (* FUNC_glWaitSyncAPPLE) (GLsync, GLbitfield, GLuint64);
typedef void (* FUNC_glWeightPathsNV) (GLuint, GLsizei, const GLuint *, const GLfloat *);
typedef void (* FUNC_glWeightPointerARB) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glWeightPointerOES) (GLint, GLenum, GLsizei, const void *);
typedef void (* FUNC_glWeightbvARB) (GLint, const GLbyte *);
typedef void (* FUNC_glWeightdvARB) (GLint, const GLdouble *);
typedef void (* FUNC_glWeightfvARB) (GLint, const GLfloat *);
typedef void (* FUNC_glWeightivARB) (GLint, const GLint *);
typedef void (* FUNC_glWeightsvARB) (GLint, const GLshort *);
typedef void (* FUNC_glWeightubvARB) (GLint, const GLubyte *);
typedef void (* FUNC_glWeightuivARB) (GLint, const GLuint *);
typedef void (* FUNC_glWeightusvARB) (GLint, const GLushort *);
typedef void (* FUNC_glWindowPos2d) (GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos2dARB) (GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos2dMESA) (GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos2dv) (const GLdouble *);
typedef void (* FUNC_glWindowPos2dvARB) (const GLdouble *);
typedef void (* FUNC_glWindowPos2dvMESA) (const GLdouble *);
typedef void (* FUNC_glWindowPos2f) (GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos2fARB) (GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos2fMESA) (GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos2fv) (const GLfloat *);
typedef void (* FUNC_glWindowPos2fvARB) (const GLfloat *);
typedef void (* FUNC_glWindowPos2fvMESA) (const GLfloat *);
typedef void (* FUNC_glWindowPos2i) (GLint, GLint);
typedef void (* FUNC_glWindowPos2iARB) (GLint, GLint);
typedef void (* FUNC_glWindowPos2iMESA) (GLint, GLint);
typedef void (* FUNC_glWindowPos2iv) (const GLint *);
typedef void (* FUNC_glWindowPos2ivARB) (const GLint *);
typedef void (* FUNC_glWindowPos2ivMESA) (const GLint *);
typedef void (* FUNC_glWindowPos2s) (GLshort, GLshort);
typedef void (* FUNC_glWindowPos2sARB) (GLshort, GLshort);
typedef void (* FUNC_glWindowPos2sMESA) (GLshort, GLshort);
typedef void (* FUNC_glWindowPos2sv) (const GLshort *);
typedef void (* FUNC_glWindowPos2svARB) (const GLshort *);
typedef void (* FUNC_glWindowPos2svMESA) (const GLshort *);
typedef void (* FUNC_glWindowPos3d) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos3dARB) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos3dMESA) (GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos3dv) (const GLdouble *);
typedef void (* FUNC_glWindowPos3dvARB) (const GLdouble *);
typedef void (* FUNC_glWindowPos3dvMESA) (const GLdouble *);
typedef void (* FUNC_glWindowPos3f) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos3fARB) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos3fMESA) (GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos3fv) (const GLfloat *);
typedef void (* FUNC_glWindowPos3fvARB) (const GLfloat *);
typedef void (* FUNC_glWindowPos3fvMESA) (const GLfloat *);
typedef void (* FUNC_glWindowPos3i) (GLint, GLint, GLint);
typedef void (* FUNC_glWindowPos3iARB) (GLint, GLint, GLint);
typedef void (* FUNC_glWindowPos3iMESA) (GLint, GLint, GLint);
typedef void (* FUNC_glWindowPos3iv) (const GLint *);
typedef void (* FUNC_glWindowPos3ivARB) (const GLint *);
typedef void (* FUNC_glWindowPos3ivMESA) (const GLint *);
typedef void (* FUNC_glWindowPos3s) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glWindowPos3sARB) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glWindowPos3sMESA) (GLshort, GLshort, GLshort);
typedef void (* FUNC_glWindowPos3sv) (const GLshort *);
typedef void (* FUNC_glWindowPos3svARB) (const GLshort *);
typedef void (* FUNC_glWindowPos3svMESA) (const GLshort *);
typedef void (* FUNC_glWindowPos4dMESA) (GLdouble, GLdouble, GLdouble, GLdouble);
typedef void (* FUNC_glWindowPos4dvMESA) (const GLdouble *);
typedef void (* FUNC_glWindowPos4fMESA) (GLfloat, GLfloat, GLfloat, GLfloat);
typedef void (* FUNC_glWindowPos4fvMESA) (const GLfloat *);
typedef void (* FUNC_glWindowPos4iMESA) (GLint, GLint, GLint, GLint);
typedef void (* FUNC_glWindowPos4ivMESA) (const GLint *);
typedef void (* FUNC_glWindowPos4sMESA) (GLshort, GLshort, GLshort, GLshort);
typedef void (* FUNC_glWindowPos4svMESA) (const GLshort *);
typedef void (* FUNC_glWindowRectanglesEXT) (GLenum, GLsizei, const GLint *);
typedef void (* FUNC_glWriteMaskEXT) (GLuint, GLuint, GLenum, GLenum, GLenum, GLenum);
